commit 5fc5a3eaa6fc2ab23a3585cf22799adae642afa7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 2 11:01:27 2017 -0400

    2.54.1

 NEWS         | 14 ++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 16 insertions(+), 2 deletions(-)

commit f480caf760d094040987edb5d492111a5f350f95
Author: Ondrej Holy <oholy@redhat.com>
Date:   Mon Oct 2 11:24:34 2017 +0200

    gunixmounts: Fix mount points generation

    Commit 53ed180 improved mtab processing, however, also introduced bug
    in code obtaining mount points. mtab was used by mistake also for
    g_unix_mount_points_get implementation, which is obviously wrong and
    fstab has to be used instead...

    https://bugzilla.gnome.org/show_bug.cgi?id=781867

 gio/gunixmounts.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab3a0e6176127a106896ac8d85cf20c6512a7d4f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Sep 29 08:41:21 2017 +0200

    Updated Slovenian translation

 po/sl.po | 1018
 ++++++++++++++++++++++++--------------------------------------
 1 file changed, 391 insertions(+), 627 deletions(-)

commit 20364bbdf55a7662b657ad50e16c6b121463809b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 15 13:10:34 2017 +0800

    Build: Fix glib/glibconfig.h.win32.in for x64 builds

    Fix the [GSIZE|GSSIZE]_TO_[BE|LE] macros on x64 builds.

 glib/glibconfig.h.win32.in | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit 90e86f8a2a7efdc4908d8b5b0849ebaefd104750
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 15 12:02:49 2017 +0800

    config.h.win32.in: Fix and update entries

    Make config.h.win32.in reflect on the entries that are in the
    autotools/Meson builds more closely.

    Also declare that we have fd_set, declare SIZEOF_[SIZE|SSIZE]_T and
    SIZEOF_LONG_LONG for 32-bit and x64 builds properly.

    Note that since the Visual Studio 2015/2017 CRT's vsnprintf() and
    snprintf() are not compliant enough (though they are much closer than
    before) for GLib's purporses, we still use the gnulib's
    implementations
    of them, as with the pre-Visual Studio 2015 builds.

 config.h.win32.in | 81
 +++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 61 insertions(+), 20 deletions(-)

commit 915ab35e96897e1d04cc5205c46e5256e14bd73b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Jul 27 16:48:11 2017 +0800

    meson: Install items according to their relevance

    The m4 and bash completion items are usable and relevant
    depending on the host system's configuration.  So, we check for the
    presence of the programs that these items depend on, and only install
    them when those programs are found.

    For the Valgrind suppression files, we don't install them on
    Windows as
    Valgrind is currently not supported on Windows.

    Als fix the path where the GDB helpers are installed, as the path is
    incorrectly constructed.

    This will fix the "install" stage when building on Visual Studio at
    least as there are some post-install steps that are related to them,
    which will make use of these programs.

    https://bugzilla.gnome.org/show_bug.cgi?id=783270

 gio/meson.build     | 16 +++++++++-------
 glib/meson.build    |  3 ++-
 gobject/meson.build |  2 +-
 meson.build         | 37 +++++++++++++++++++++++++------------
 4 files changed, 37 insertions(+), 21 deletions(-)

commit fcf26cbf054a5220b0492f3ff230e042a1060bde
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Sep 13 19:57:53 2017 +0800

    build: Dist the other required Meson build files

    Some of the Meson build files are not dist'ed by 'make dist',
    which are
    reqired for things to work, and there was a missing '\' that
    cause some
    of the meson.build files under tests/ not to be disted.

    https://bugzilla.gnome.org/show_bug.cgi?id=783210

 Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 4ba41dbd201c483e5eb37352d080f6b527515f0e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Aug 23 17:01:13 2017 +0800

    build: Define G_HAVE_GNUC_[VARARGS|VISIBILITY] conditionally

    They are not supported by Visual Studio, so only define them in
    glibconfig.h.in when not on Visual Studio.  Fixes builds of GTK+-2.x
    against Meson/MSVC builds of GLib.

    https://bugzilla.gnome.org/show_bug.cgi?id=783270

 glib/glibconfig.h.in | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f9d95de490847808bcdea2096840e30bb97bbfa1
Author: Ignacio Casal Quinteiro <qignacio@amazon.com>
Date:   Thu May 11 17:51:56 2017 +0200

    Revert "GSocket: Fix race conditions on Win32 if multiple threads
    are waiting on conditions for the same socket"

    This reverts commit 799f8dcd46fb40ea206d9f1b5468db62cc00a72e.
    This patch seems to break applications that use GTask specific
    operations with GSocket. We will need to investigate a bit more
    on this issue but for now we revert it and leave it for the
    next major release.

 gio/gsocket.c | 94
 +++++++++++++++++------------------------------------------
 1 file changed, 26 insertions(+), 68 deletions(-)

commit 51e852e5d040381f123d6df6e9d7a3293afe4965
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 11 09:41:28 2017 -0500

    validate_pspec_to_install(): Factor out function to validate a
    GParamSpec

    This was duplicated also in g_object_interface_install_property().

    Now, validations specific to classes happen in
    validate_and_install_class_property() - specifically, the checks for
    the presence of the get_property() and set_property() methods.

    https://bugzilla.gnome.org/show_bug.cgi?id=787551

 gobject/gobject.c | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit 20720eaf1e258e8b2189da1d6e84eccf1426a889
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 11 09:37:07 2017 -0500

    validate_and_install_property(): Check pspec-specific fields in the
    same order as g_object_interface_install_property()

    https://bugzilla.gnome.org/show_bug.cgi?id=787551

 gobject/gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95f44b280fc5e36c23e5e67d50e86de1098bd39c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 11 09:35:53 2017 -0500

    validate_and_install_property(): Validate presence of get/set_property
    methods last

    https://bugzilla.gnome.org/show_bug.cgi?id=787551

 gobject/gobject.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 1b08414f061ce217fec473b519dd1ba71c31bc3b
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 11 09:34:52 2017 -0500

    g_object_interface_install_property(): Do interface-specific
    validations first

    https://bugzilla.gnome.org/show_bug.cgi?id=787551

 gobject/gobject.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e667d0d4c0ae16b01b0f72093a6b448889b2f621
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 11 09:30:08 2017 -0500

    install_property_internal(): Propagate failure when installing
    duplicated properties

    https://bugzilla.gnome.org/show_bug.cgi?id=787551

 gobject/gobject.c | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit 9dd9fe4febc424d72fa48aec801097501469ed15
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 11 09:20:18 2017 -0500

    validate_and_install_class_property(): Factor out function to add
    a new property to a class

    This was duplicated between g_object_class_install_property() and
    g_object_class_install_properties().

    https://bugzilla.gnome.org/show_bug.cgi?id=787551

 gobject/gobject.c | 96
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 48 insertions(+), 48 deletions(-)

commit 85ef14433485046624175ac99c7e381f6aef8aba
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 11 09:02:23 2017 -0500

    GObjectClass: extract class type and parent type at the beginning

    https://bugzilla.gnome.org/show_bug.cgi?id=787551

 gobject/gobject.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 7d9a6c86872257c6f32a44e2c792794e0447540b
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 11 08:54:19 2017 -0500

    GObjectClass: Validate installing property/properties in the same way

    Then we'll be able to factor out duplicated code.

    https://bugzilla.gnome.org/show_bug.cgi?id=787551

 gobject/gobject.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 6503352be1a3d08efdb81a4b016a57740eaa3b1d
Author: Carlo Caione <carlo@endlessm.com>
Date:   Thu Aug 24 17:13:20 2017 +0200

    gvariant: Add g_variant_get() example for dicts

    In the Dictionary section of the gvariant-format-strings documentation
    only how to construct a dictionary is shown.

    Add a small example showing how to extract data from a nested
    dictionary
    and specifically from a GVariant of type "(oa{sa{sv})". Move also the
    Dictionary section after the GVariant * section for the sake of
    clarity.

    https://bugzilla.gnome.org/show_bug.cgi?id=786737

 docs/reference/glib/gvariant-varargs.xml | 80
 ++++++++++++++++++++++----------
 1 file changed, 55 insertions(+), 25 deletions(-)

commit 738eff5decf0e354e692c36a0b9d466fc5775e3c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 10 20:18:10 2017 -0400

    2.54.0

 NEWS         | 17 +++++++++++++++++
 configure.ac |  4 ++--
 meson.build  |  2 +-
 3 files changed, 20 insertions(+), 3 deletions(-)

commit b6ea70bf0b2b47cbd9be5119f6ac4af4ea507600
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Sep 10 12:26:26 2017 +0000

    Update Swedish translation

 po/sv.po | 1921
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1078 insertions(+), 843 deletions(-)

commit aceedae17d6ebd20204489e9281f1c8f5975bcd9
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Sun Sep 10 11:37:50 2017 +0000

    Update Romanian translation

 po/ro.po | 8151
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 5170 insertions(+), 2981 deletions(-)

commit 1ad6e4f25493dff3871b6c16b2dc24493dea1c91
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Sep 10 08:08:43 2017 +0200

    Fixes to Catalan translation

 po/ca.po | 80
 ++++++++++++++++++----------------------------------------------
 1 file changed, 22 insertions(+), 58 deletions(-)

commit c0a04b60a21cec3c9e5b168070592c23220f732b
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Sep 9 16:11:31 2017 +0200

    Update Basque language

 po/eu.po | 2281
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1139 insertions(+), 1142 deletions(-)

commit 88a39670e70c3bbe6d1be37fd2c3506c50ede6dd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sun Aug 27 12:15:37 2017 -0700

    GSettingsBackend: use a GWeakRef during dispatch

    Instead of a full reference, which causes problems for clients that
    expect a GSettings instance to stop firing signals once they drop the
    last reference.

    https://bugzilla.gnome.org/show_bug.cgi?id=780861

 gio/gsettingsbackend.c | 34 +++++++++++++++++++++-------------
 1 file changed, 21 insertions(+), 13 deletions(-)

commit 61cb8b232b90db551ccf1814ed696a48acc38a54
Author: INSUN PYO <insun.pyo@samsung.com>
Date:   Sat Sep 2 02:21:14 2017 +0900

    GMainLoop: match of parameter pair of LOCK_CONTEXT/UNLOCK_CONTEXT

    There is no reason to use source->context as as parameter of
    UNLOCK_CONTEXT.
    To avoid confusion, change to the parameter used in LOCK_CONTEXT.

    https://bugzilla.gnome.org/show_bug.cgi?id=787146

 glib/gmain.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f813ce6abe89c2d26f5b8c8e5f41d24923a525e9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 1 14:53:21 2017 +0200

    glib: Slightly update GIOChannel documentation

    Explain the default values of _{get,set}_close_on_unref() in the main
    description rather than the argument one, link to the GIOChannel
    structure when talking about it, and mention the default value of
    "close on unref" in g_io_channel_unix_new().

    https://bugzilla.gnome.org/show_bug.cgi?id=787123

 glib/giochannel.c | 13 +++++++------
 glib/giounix.c    |  2 ++
 2 files changed, 9 insertions(+), 6 deletions(-)

commit a72f57eeabb7857a3476d199dd96e117b6c9afb9
Author: Philip Chimento <philip@endlessm.com>
Date:   Thu Aug 31 15:16:11 2017 -0700

    valgrind: Add false positive to suppressions file

    Valgrind will check that the third argument to ioctl() is a valid
    pointer, but some ioctls interpret that argument as an integer,
    and that
    is the case here (it's a file descriptor), so this is a false
    positive.

    https://bugzilla.gnome.org/show_bug.cgi?id=787109

 glib.supp | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit e5eaca5492d3e08d7d955e475cb4607a2d0fff61
Author: Chris Lamb <lamby@debian.org>
Date:   Tue Aug 29 16:59:56 2017 +0100

    gio-querymodules: Make the output reproducible

    Whilst working on the Reproducible Builds effort [0], we noticed that
    queryimmodules generates non-reproducible output as it iterates
    over the
    filesystem without sorting.

    Patch attached.

     [0] https://reproducible-builds.org/

    Signed-off-by: Chris Lamb <lamby@debian.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=786983

 gio/gio-querymodules.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2204034b9ff1925a60bafd369217bcccda2300d7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Sep 7 10:56:18 2017 +0800

    win32/gen_util_scripts.py: Update script type error message

    We should also mention glib-genmarshal in the acceptable types,
    since it
    is now a Python script.

    Pointed out by John Emmas

 win32/gen_util_scripts.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1b00517cf7a19911c4bc66697a26df6d03b41aa
Author: Daniel Boles <dboles@src.gnome.org>
Date:   Wed Sep 6 21:44:25 2017 +0100

    GApplication: Fix required # of elements in docs

    The reality, as shown by our tests, is that only 2 elements are
    needed.

 gio/gapplication.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 052f134528ae5bf828f39684efe2ff4d4e0cf24c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 4 09:02:53 2017 -0400

    2.53.7

 NEWS         | 30 ++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 meson.build  |  2 +-
 3 files changed, 32 insertions(+), 2 deletions(-)

commit 03b595fe95f5a0893960f5a7dc80b9ed5b276112
Author: Jordi Mas <jmas@softcatala.org>
Date:   Mon Sep 4 00:30:10 2017 +0200

    Update Catalan translation

 po/ca.po | 283
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 148 insertions(+), 135 deletions(-)

commit bb7c1983980da470faf903ec9d0ad58ce4935ce5
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Sun Sep 3 19:50:22 2017 +0000

    Update Turkish translation

 po/tr.po | 3570
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1900 insertions(+), 1670 deletions(-)

commit 4a5808d35db3be1afbeccafaf26aa2324a2f1dee
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Sep 3 17:53:24 2017 +0200

    Updated Danish translation

 po/da.po | 499
 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 209 insertions(+), 290 deletions(-)

commit c202dea5493878ee6659a45e80b701ed6760e439
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 2 03:55:54 2017 +0000

    Update Korean translation

 po/ko.po | 1879
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1039 insertions(+), 840 deletions(-)

commit 31b1536993bac0f00a7fea3c1ca10f7f183538aa
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Thu Aug 31 08:11:03 2017 +0000

    Update Finnish translation

 po/fi.po | 3061
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1791 insertions(+), 1270 deletions(-)

commit 32a57ecfbdf7bc0f0b404f1b0d77a8cd9277e022
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Wed Aug 30 01:08:04 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 2349
 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 1174 insertions(+), 1175 deletions(-)

commit 414225d7b36aa28938ba45fb91b1f48ec8aeeb32
Author: Armin K <krejzi@email.com>
Date:   Fri Aug 25 17:05:03 2017 +0200

    meson: Compile guuid.c into libglib-2.0

    https://bugzilla.gnome.org/show_bug.cgi?id=786807

 glib/meson.build | 1 +
 1 file changed, 1 insertion(+)

commit 728857e2610560a876c41840ac6c69b3ad4f4e8b
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Mon Aug 28 18:10:44 2017 +0300

    Update Latvian translation

 po/lv.po | 1894
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 941 insertions(+), 953 deletions(-)

commit 20f2c487a751dd489e7b169f9b3e2b407c557a4d
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Aug 28 08:44:01 2017 +0000

    Update Italian translation

 po/it.po | 2137
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1184 insertions(+), 953 deletions(-)

commit aac0144164518cb6674934c98ae39e60419c417d
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Sat Aug 26 20:40:51 2017 +0000

    Update German translation

 po/de.po | 874
 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 528 insertions(+), 346 deletions(-)

commit abe7323beef15b36664cba20251743c4f3c056b7
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Aug 26 18:44:00 2017 +0200

    Updated Danish translation

 po/da.po | 2219
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1252 insertions(+), 967 deletions(-)

commit 9891e3c9e1f5465ce89160982489c306ec983d2a
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Aug 26 11:56:37 2017 +0200

    Updated French translation

 po/fr.po | 2402
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1301 insertions(+), 1101 deletions(-)

commit 96ae6f1a3b5d7a74a9c179f4526dfa56d801ced2
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Aug 25 10:24:21 2017 +0000

    Update Friulian translation

 po/fur.po | 85
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 46 insertions(+), 39 deletions(-)

commit 100b83a7faf277e2ea5ed2ec6f667ef5ac916416
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 25 09:43:27 2017 +0100

    genmarshal Only wrap body prototypes in C++ guards

    Commit 31ae2c559810675aae483269f234a349cd933528 added the C++ guards
    around all prototypes, including inside the header file. The header
    file, though, already has C++ guards, so while it's harmless to have
    them there, it's also unnecessary.

    We should only emit C++ guards around the prototypes we include in the
    generated source.

 gobject/glib-genmarshal.in | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 9ff6f24a58dcc4dee8205eaa0bbe1b2678ff900e
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Aug 25 08:49:44 2017 +0000

    Update Friulian translation

 po/fur.po | 1700
 +++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 969 insertions(+), 731 deletions(-)

commit cceef1681dc49638a2f4d9839c5f2a4cd8b92ae4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 24 01:04:20 2017 +0200

    Update Polish translation

 po/pl.po | 1542
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 870 insertions(+), 672 deletions(-)

commit 926db3174adb762a33da893a7017f25f020d11e0
Author: Cj Malone <CjMalone@mail.com>
Date:   Wed Aug 23 20:26:28 2017 +0100

    gdesktopappinfo.c: Drop disregarded xterm check

    https://bugzilla.gnome.org/show_bug.cgi?id=786580

 gio/gdesktopappinfo.c | 2 --
 1 file changed, 2 deletions(-)

commit 830744b0f4030db38b84f484587799c6a18920c8
Author: Daniel Boles <dboles@src.gnome.org>
Date:   Wed Aug 23 12:21:58 2017 +0100

    docs/running: Remove outdated refs, fix name caps

    Drop references to old versions of Fedora pointed out by Mohammed
    Sadiq.

    While here, fix the capitalisation of various names to official
    styles.

 docs/reference/glib/running.xml | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 73eee8d64ed4a074bb17d26a6e387a4c272f94f6
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed Aug 23 11:24:32 2017 +0100

    tests: Fix some leaks and double-frees in the GSubprocess tests

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=786456

 gio/tests/gsubprocess.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 65a95a5a2d902bf8685851db34e5df21562e096a
Author: Will Thompson <will@willthompson.co.uk>
Date:   Fri Aug 18 10:41:46 2017 +0100

    gio: failing cases for subprocess cancellable bug

    https://bugzilla.gnome.org/show_bug.cgi?id=786456

 gio/tests/gsubprocess.c | 124
 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 124 insertions(+)

commit 8f86d312d8437d20d3d1f703ed2b270cee1803ea
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed Aug 23 11:21:38 2017 +0100

    gio: Fix double-callback on cancellation with GSubprocess

    See bug #786456 for a detailed analysis of the situation which
    can cause
    this (in summary, if a g_subprocess_wait_async() call is cancelled
    on a
    GSubprocess which is already known to be dead).

    The problem was that the GCancellable callback handler was
    unconditionally returning a result for the GTask for
    g_subprocess_wait_async(), even if that GTask had already returned a
    result and the callback was being invoked after the GTask had been
    removed from the pending_waits list.

    Fix that by checking whether the GTask is still in the pending_waits
    list before returning a result for it.

    Thanks to Will Thompson for some very useful unit tests which
    reproduce
    this (which will be pushed in the following commit).

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=786456

 gio/gsubprocess.c | 36 +++++++++++++++++++++++++++++++++---
 1 file changed, 33 insertions(+), 3 deletions(-)

commit a60359aee24e866ae9dfae33859a6cd73bc1e65c
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Aug 18 10:01:18 2017 +0100

    tests: Add temporary working directory for monitor test

    Similarly to the previous commit, move the temporary directory for the
    monitor test from $(cwd) to the system temporary directory.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=785260

 gio/tests/monitor.c | 36 ++++++++++++++++++++++++++++++------
 1 file changed, 30 insertions(+), 6 deletions(-)

commit 0f5b523fac8b2d9b9305419937e51b6c87e765be
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Aug 18 09:53:23 2017 +0100

    tests: Add temporary working directory for appmonitor test

    Rather than creating a temporary directory in the current directory
    (typically the builddir), then never deleting it; create one in the
    system /tmp directory, and clean it up properly afterwards.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=785260

 gio/tests/appmonitor.c | 55
 ++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 40 insertions(+), 15 deletions(-)

commit 3ce00b29ec0bb240412506affb5c65bdb18c7ad3
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Aug 18 09:37:23 2017 +0100

    tests: Fix leak in appmonitor test

    Spotted by Daniel Macks.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=785260

 gio/tests/appmonitor.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2586eb992193ee9226a7a2b92c1c644347e9a842
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Aug 22 15:58:18 2017 +0100

    docs: Clarify lack of threading guarantees in GArray

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=786555

 glib/garray.c | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 8cac6797d72fe9433ea5980b22d262fbe1f1f996
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Tue Aug 22 16:47:10 2017 +0200

    Updated Czech translation

 po/cs.po | 1880
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1041 insertions(+), 839 deletions(-)

commit 7fda97c326df7970f3f6d7fdaa75edd24677de99
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 22 11:35:05 2017 +0000

    Update Spanish translation

 po/es.po | 69
 +++++++++++++++++++---------------------------------------------
 1 file changed, 20 insertions(+), 49 deletions(-)

commit 6fcdf90300d7adf2737d6880141c5fe3933ab591
Author: Patrick Welche <prlw1@cam.ac.uk>
Date:   Thu Jun 25 17:48:30 2015 +0100

    gresource: fix documentation typo

 docs/reference/gio/gresource.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2237bb451df037467c0dda400d290dc050f95df9
Author: Patrick Welche <prlw1@cam.ac.uk>
Date:   Mon Oct 6 17:51:37 2014 +0100

    build: remove unnecessary executions of libtool from configure

    https://bugzilla.gnome.org/show_bug.cgi?id=736710

 configure.ac | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit cb1db9e23e25c0316db26386d0c26b8e2e2fc2e7
Author: Pawan Chitrakar <chautari@gmail.com>
Date:   Mon Aug 21 06:56:34 2017 +0000

    Update Nepali translation

 po/ne.po | 830
 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 383 insertions(+), 447 deletions(-)

commit 89a4a37a34e9fb449f8d35451d019d114bf14fee
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Aug 20 16:48:00 2017 +0000

    Update Kazakh translation

 po/kk.po | 804
 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 488 insertions(+), 316 deletions(-)

commit fd081f38b6183eb4d8d62d63820634ecf7281ef8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 19 09:48:14 2017 -0400

    2.53.6

 NEWS         | 24 ++++++++++++++++++++++++
 configure.ac |  2 +-
 meson.build  |  2 +-
 3 files changed, 26 insertions(+), 2 deletions(-)

commit 087525b62bfce2137f0f580fa5a6dcc7a294f48c
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Aug 11 13:50:36 2017 +0200

    gio-tool: Use print_file_error correctly

    Use print_file_error where an error relates to that file and vice
    versa.

    https://bugzilla.gnome.org/show_bug.cgi?id=786463

 gio/gio-tool-cat.c  | 2 +-
 gio/gio-tool-save.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 78fa67e70c600633025d81fce4689b778540064d
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Aug 11 13:47:14 2017 +0200

    gio-tool-save: Use g_output_stream_write_all instead of while

    Simplify the read-write copy code and use g_output_stream_write_all
    instead of while and g_output_stream_write.

    https://bugzilla.gnome.org/show_bug.cgi?id=786462

 gio/gio-tool-save.c | 26 ++++++++------------------
 1 file changed, 8 insertions(+), 18 deletions(-)

commit 1cce5dda1837e5feba10f96ef6a9422ead6336c6
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Aug 11 13:43:35 2017 +0200

    gfile: Use g_output_stream_write_all instead of while

    Simplify the read-write copy code and use g_output_stream_write_all
    instead of while and g_output_stream_write.

    https://bugzilla.gnome.org/show_bug.cgi?id=786462

 gio/gfile.c | 20 ++++----------------
 1 file changed, 4 insertions(+), 16 deletions(-)

commit c7f2a7e431eb48b64fc544b04cbd0dd61eb07f4f
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Aug 11 13:37:29 2017 +0200

    gio-tool-save: Prevent overwriting error

    The following warning is shown, when both g_output_stream_write and
    g_output_stream_close fail:
    "GError set over the top of a previous GError or uninitialized
    memory."

    Let's clear the error after use.

    https://bugzilla.gnome.org/show_bug.cgi?id=786463

 gio/gio-tool-save.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37cddec0ee141beefc74e2b67f2e0808d3c94ff2
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Aug 11 13:21:28 2017 +0200

    gio-tool: Unify buffer sizes

    Recently, buffer size for copying has been increased in order
    to improve
    performance:
    https://bugzilla.gnome.org/show_bug.cgi?id=773823

    Let's do the same for gio-tool-save and gio-tool-cat.

    https://bugzilla.gnome.org/show_bug.cgi?id=786460

 gio/gio-tool-cat.c  | 10 ++++++++--
 gio/gio-tool-save.c |  9 +++++++--
 2 files changed, 15 insertions(+), 4 deletions(-)

commit 72a87d8629101635bc6815ce119f18016f6fecee
Author: Pawan Chitrakar <chautari@gmail.com>
Date:   Fri Aug 18 12:17:42 2017 +0000

    Update Nepali translation

 po/ne.po | 7121
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 4463 insertions(+), 2658 deletions(-)

commit 51d2f4fef78c50ea3c729ed5d74ae3ac35cf03b3
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Fri Aug 18 08:31:58 2017 +0000

    Update Hungarian translation

 po/hu.po | 11256
 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 5647 insertions(+), 5609 deletions(-)

commit 15faf0ef62c3053292eb67a93fdbf6c72762112b
Author: INSUN PYO <insun.pyo@samsung.com>
Date:   Fri Aug 18 13:42:44 2017 +0900

    glog: fix crash on Linux without stderr stream

    0  __GI_raise (sig=sig@entry=6) at
    ../sysdeps/unix/sysv/linux/raise.c:58
    1  0xb67c43f0 in __GI_abort () at abort.c:89
    2  0xb69ee9d8 in _g_log_abort (breakpoint=2, breakpoint@entry=1)
    at gmessages.c:548
    3  0xb69ef692 in g_logv (log_domain=0xb6a1dfc8 "GLib",
    log_level=-1254563840, log_level@entry=G_LOG_LEVEL_CRITICAL,
    format=format@entry=0xb6a26a48 "%s: assertion '%s' failed", args=...,
    args@entry=...) at gmessages.c:1357
    4  0xb69ef728 in g_log (log_domain=<optimized out>,
    log_level=log_level@entry=G_LOG_LEVEL_CRITICAL, format=0xb6a26a48
    "%s: assertion '%s' failed") at gmessages.c:1398
    5  0xb69efa5a in g_return_if_fail_warning (log_domain=<optimized
    out>, pretty_function=<optimized out>, expression=<optimized out>)
    at gmessages.c:2687
    6  0xb69efe7c in g_log_writer_is_journald (output_fd=-1) at
    gmessages.c:2122
    7  0xb69f02a2 in g_log_writer_default (log_level=G_LOG_LEVEL_CRITICAL,
    fields=0xbedc9d00, n_fields=4, user_data=0x0) at gmessages.c:2584
    8  0xb69ef21a in g_log_structured_array
    (log_level=G_LOG_LEVEL_CRITICAL, fields=0xbedc9d00, n_fields=4)
    at gmessages.c:1933
    9  0xb69ef47e in g_log_default_handler (log_domain=0xb6a1dfc8
    "GLib", log_level=G_LOG_LEVEL_CRITICAL, message=<optimized out>,
    unused_data=<optimized out>) at gmessages.c:3036
    10 0xb69ef5fc in g_logv (log_domain=0xb6a1dfc8
    "GLib", log_level=log_level@entry=G_LOG_LEVEL_CRITICAL,
    format=format@entry=0xb6a26a48 "%s: assertion '%s' failed", args=...,
    args@entry=...) at gmessages.c:1336
    11 0xb69ef728 in g_log (log_domain=<optimized out>,
    log_level=log_level@entry=G_LOG_LEVEL_CRITICAL, format=0xb6a26a48
    "%s: assertion '%s' failed") at gmessages.c:1398
    12 0xb69efa5a in g_return_if_fail_warning (log_domain=<optimized
    out>, pretty_function=<optimized out>, expression=<optimized out>)
    at gmessages.c:2687

    If stderr is not associated with an output stream, the fileno(stderr)
    returned is -1.
    So, g_return_if_fail_warning is recursively called and the abort
    occurs on the second call.

    Modified by Philip Withnall to include mention this in the
    documentation.

    https://bugzilla.gnome.org/show_bug.cgi?id=786452

 glib/gmessages.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 54aee1f627272fbd0d5b7b261b1568a3cac7b73f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jul 18 22:19:54 2017 +0800

    Meson: Set _WIN32_WINNT to 0x0601 (Windows 7)

    We want to set _WIN32_WINNT so that functions will be properly
    found in
    the headers, to target the NT6.1+ (Windows 7+) APIs.

    Also improve the checks for if_nametoindex() and if_indextoname() on
    Windows as they are supported in Windows Vista+, but they have
    to be checked by linking against iphlpapi.lib (or -liphlpapi).
    On other
    platforms, they are still checked as they were before.

    https://bugzilla.gnome.org/show_bug.cgi?id=783270

 config.h.meson  |  2 +-
 gio/meson.build |  2 +-
 meson.build     | 27 +++++++++++++++++++++++++--
 3 files changed, 27 insertions(+), 4 deletions(-)

commit ea6ac5f71eefcfa98fdce130170ab15f8464219d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jul 25 16:28:29 2017 +0800

    meson/Windows: Check whether system PCRE is a static build

    Instead of hardcoding -DPCRE_STATIC into the CFLAGS of GLib, do the
    following on Windows only (since PCRE_STATIC only matters on Windows):

    -If there is no installed PCRE, use the included PCRE copy and
     enable -DPCRE_STATIC, as we did before.
    -If there is a installed PCRE, check whether the PCRE build is
    a static
     or DLL build by checking the linkage against pcre_free() with
     PCRE_STATIC defined works.  If it does, enable -DPCRE_STATIC.
    -On non-Windows builds, do not enable -DPCRE_STATIC

    https://bugzilla.gnome.org/show_bug.cgi?id=783270

 glib/meson.build |  8 +++++++-
 meson.build      | 21 +++++++++++++++++++++
 2 files changed, 28 insertions(+), 1 deletion(-)

commit 72528938b726f807e073a31ca2b111b1388e09d3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 17 15:51:54 2017 +0800

    Meson: Check for HAVE_GOOD_PRINTF

    The HAVE_GOOD_PRINTF config variable determines whether we are able to
    use the CRT-supplied *printf() functions directly, by determining
    whether
    the CRT-supplied vsnprintf() and snprintf() functions support C99 well
    enough.

    This means, we need to build the gnulib subdir as a static lib in
    GLib, and use
    the gnulib *printf() functions when:

    -We are on Windows
    -The CRT's vsnprintf() and snprintf() is not sufficiently
    C99-compliant.

    This will fix the problem when the *printf() functions cause a CRT
    abort() call on pre-2015 Visual Studio builds at least, and ensures
    that
    the Visual Studio 2015+ builds will pass the printf tests in GLib,
    since
    the *printf() in Visual Studio 2015/2017's CRT does not support the %n
    format specifier, nor the positional parameters (which requires
    different _*printf_p*() functions), as indicated by
    glib/tests/test-printf.c.

    https://bugzilla.gnome.org/show_bug.cgi?id=783270

 glib/gnulib/meson.build |  4 ++++
 glib/meson.build        |  7 ++++++-
 meson.build             | 24 ++++++++++++++++++------
 3 files changed, 28 insertions(+), 7 deletions(-)

commit 79b84ba3fcde0abbffc51bd62cd395b02ca8e6f3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Aug 16 17:44:20 2017 +0800

    meson: Install msvc_recommended_pragmas.h on Windows

    Copy the msvc_recommended_pragmas.h helper header when we build for
    Windows, so that people developing/using GLib on Windows can make use
    of them in Visual Studio, so that unwanted compiler noise can be
    filtered out and code with potentially-problematic warnings can be
    attended to.

    https://bugzilla.gnome.org/show_bug.cgi?id=783270

 meson.build | 4 ++++
 1 file changed, 4 insertions(+)

commit 32d6a76b98657cec971327ffaa7866f3c801a379
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Aug 15 17:08:47 2017 +0800

    build: Use Meson's find_library() for MSVC builds as needed

    Some of the dependencies' build systems for Visual Studio do not
    provide a
    pkg-config file upon build, so we use find_library() for them when the
    corresponding pkg-config files are not found during Visual Studio
    builds,
    so that one will not need to make up pkg-config files for them, which
    could be error-prone.  These .lib names match the names that are built
    with the officially supported build system that is used by their
    respective Visual Studio support.

    For ZLib, this will make gio-2.0.pc reflect on the zlib .lib based on
    what is found, or whether we use the fallback/bundled ZLib, when we
    don't have a pkg-config file for ZLib on MSVC.  We still need
    to depend
    on Meson to be updated to put the correct link argument for linking
    ZLib
    in the pkg-config case.

    https://bugzilla.gnome.org/show_bug.cgi?id=783270

 gio/tests/meson.build | 12 ++++++++++++
 meson.build           | 43 +++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 53 insertions(+), 2 deletions(-)

commit 615425d10069d1595db62a5d3f678a78cc970350
Author: Jordi Mas <jmas@softcatala.org>
Date:   Thu Aug 17 07:35:17 2017 +0200

    Update Catalan translation

 po/ca.po | 1585
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 925 insertions(+), 660 deletions(-)

commit 00f5d2ffa2aaa6423176bdd48db777b47de8735a
Author: Ernestas Kulik <ernestask@gnome.org>
Date:   Wed Aug 16 14:19:30 2017 +0300

    gobject: add autoptr support for GClosure

    This commit defines a g_autoptr() cleanup function for use with
    GClosure.

    https://bugzilla.gnome.org/show_bug.cgi?id=786360

 gobject/gobject-autocleanups.h | 1 +
 1 file changed, 1 insertion(+)

commit 44b5036714487f60deedf52d6660fb26171d8b8e
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Aug 16 07:24:45 2017 +0200

    Updated Serbian translation

 po/sr.po       | 1920
 ++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 1920
 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 1910 insertions(+), 1930 deletions(-)

commit 947fea1d163db78671e24c970ded13a242acdd0a
Author: Robert Ancell <robert.ancell@canonical.com>
Date:   Fri Aug 4 10:57:26 2017 +1200

    GDateTime: Reject days outside of month limits

    The previous code allowed February 30th.

 glib/gdatetime.c       |  2 +-
 glib/tests/gdatetime.c | 67
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+), 1 deletion(-)

commit f6ee658974b25ee99db102dc9a8dc778868483d9
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Aug 15 17:51:59 2017 +0300

    Updated Lithuanian translation

 po/lt.po | 1164
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 691 insertions(+), 473 deletions(-)

commit 4c46869081ceb156fd7555b6fa67954dc0ca1bca
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Mon Aug 14 00:05:52 2017 +0530

    meson: Always define _GNU_SOURCE for pthread checks

    Without this, GNU-specific symbols won't be defined and the compiler
    check will pass because GCC will assume that you know what you're
    doing since it doesn't know what the symbol prototype is and compiler
    checks aren't built with -Wall -Werror.

    This will then cause a build failure because the wrong prototype will
    be used.

 meson.build | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 788705633ede3a82f7ca0e1014dc8e6f7a02b349
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Thu May 12 08:49:51 2016 +0000

    W32: Support XDG_* environment variables

    Try to get XDG_* environment variables and, if they are available,
    use their
    contents to initialize various directories the same way this happens
    on *nix.
    When these variables are not available, fall back to the W32-specific
    APIs for
    getting directories.

    https://bugzilla.gnome.org/show_bug.cgi?id=766358

 glib/gutils.c | 190
 ++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 125 insertions(+), 65 deletions(-)

commit f9fe9ea41703c54e81ba8463d8f0574a4fd640ef
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Sat Aug 12 10:29:12 2017 +0000

    Update Galician translation

 po/gl.po | 75
 ++++++----------------------------------------------------------
 1 file changed, 7 insertions(+), 68 deletions(-)

commit fac7f2be2e99c71410260c70b47954154823cb3d
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Aug 10 12:31:35 2017 +0100

    gsequence: Add introspection annotations to Return values

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=786060

 glib/gsequence.c | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 50eeb244157a36ea045499eafc4c49ea6d769036
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 9 21:31:59 2017 +0100

    meson: Update the pthread feature checks

    For GNU extensions, we need to define _GNU_SOURCE; but, more
    importantly, we need to tell Meson to use the threadlib dependency
    when
    compiling and linking the feature check.

    This currently exposes a bug in Meson; see:

    https://github.com/mesonbuild/meson/issues/2165

    But once that's fixed, the check will work as intended.

    https://bugzilla.gnome.org/show_bug.cgi?id=785955

 meson.build | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit 1a755a63e1c632ae57de8117e9e03497c19d9b20
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 9 21:29:13 2017 +0100

    meson: Define _GNU_SOURCE as a project argument

    We use it pretty much everywhere in order to get feature detection,
    and
    that's also what the AC_USE_SYSTEM_EXTENSIONS m4 macro defines in the
    Autotools build.

    https://bugzilla.gnome.org/show_bug.cgi?id=785955

 meson.build | 2 ++
 1 file changed, 2 insertions(+)

commit 4860511d8dd9cfbca00d10c6131d88e91d6b289f
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Thu Aug 10 09:29:48 2017 +0000

    Update Galician translation

 po/gl.po | 1981
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1139 insertions(+), 842 deletions(-)

commit 189243b585298c51b39adf62ce8f53f0a2da34be
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Tue Aug 8 16:01:29 2017 +0000

    Update Indonesian translation

 po/id.po | 880
 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 530 insertions(+), 350 deletions(-)

commit f6aa8c398868907bb68ab39c61d943bcde76e284
Author: Daniel Boles <dboles@src.gnome.org>
Date:   Mon Aug 7 20:39:06 2017 +0100

    GSList: Note that using ->next directly is OK

    as for GList

 glib/gslist.c | 2 ++
 1 file changed, 2 insertions(+)

commit a2ec32833e0b2d1132f25489ad2f572eaba7c641
Author: Daniel Boles <dboles@src.gnome.org>
Date:   Mon Aug 7 20:33:25 2017 +0100

    GList: Fix typo of member ->prev in documentation

    It said list->previous, which is not a thing that exists.

 glib/glist.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47e10489c5601feac370465767ce03c4a6dd5942
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 7 11:13:16 2017 -0400

    2.53.5

 NEWS         | 26 ++++++++++++++++++++++++++
 configure.ac |  2 +-
 meson.build  |  2 +-
 3 files changed, 28 insertions(+), 2 deletions(-)

commit 7c97e3d784f7243d6a426f1c5659cbccc6acb139
Author: Simon McVittie <smcv@collabora.com>
Date:   Mon Jun 19 12:47:50 2017 +0100

    gdbus: Check signature of NameAcquired, NameLost

    Calling g_variant_get (parameters, "(&s)") when parameters has a
    signature other than (s) is considered to be a programming error.
    In practice the message bus (dbus-daemon or a reimplementation) should
    always send the expected type, but be defensive.

    (Modified by Philip Withnall to improve type check.)

    Signed-off-by: Simon McVittie <smcv@collabora.com>
    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=784392

 gio/gdbusnameowning.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit c53b44edb28b7aec62349a11a8263c488b35b70e
Author: Simon McVittie <smcv@collabora.com>
Date:   Mon Jun 19 12:41:53 2017 +0100

    GBusNameOwnerFlags: Add DO_NOT_QUEUE flag

    PulseAudio and LibreOffice are among the services that use this flag.
    Refusing to queue for a name lets you do this transaction,
    but atomically, avoiding the transient state where you briefly join
    the queue and then are given the name when its primary owner drops it:

        result = RequestName(name)

        if result == IN_QUEUE:
            ReleaseName(name)
            result = EXISTS

        return result

    (Modified by Philip Withnall to add documentation.)

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=784392

 gio/gioenums.h | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 92f1ba200d48bceec10a9be8f0262c57f7375d02
Author: Simon McVittie <smcv@collabora.com>
Date:   Mon Jun 19 12:36:11 2017 +0100

    GBusNameOwnerFlags: Note equivalence with D-Bus Specification

    The implementation passes flags through directly to the RequestName()
    call, so if any new values break that equivalence, the implementation
    will have to be changed.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=784392

 gio/gioenums.h | 2 ++
 1 file changed, 2 insertions(+)

commit 05abc6cfce75c28a354fa69212d8e6f38ce4a8b9
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Aug 4 13:46:46 2017 +0100

    gio: Fix crash in open URI portal when no callback is provided

    If no callback is provided, token is never set, but it’s then
    passed to
    g_variant_new_string(), which requires a non-NULL input.

    Fix that by moving all the option handling inside the (callback
    != NULL)
    case.

    Spotted by Coverity (CID #1378714).

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=785817

 gio/gopenuriportal.c | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 31ae2c559810675aae483269f234a349cd933528
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Sat Jul 29 09:09:39 2017 +0200

    glib-genmarshal: wrap prototypes in G_{BEGIN,END}_DECLS.

    Since --header --body has been deprecated and replaced with --body
    --prototypes, the generated body is not wrapped with
    G_{BEGIN,END}_DECLS
    any longer. Projects using C++ break due to that. Automatically wrap
    prototypes individually in G_{BEGIN,END}_DECLS instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=785554

 gobject/glib-genmarshal.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c4dc30e2a36de57fbf963319b21de935492e5782
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Aug 7 08:44:11 2017 +0200

    Updated Slovenian translation

 po/sl.po | 3739
 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 2511 insertions(+), 1228 deletions(-)

commit ce46e13fbc7854cf04a3d5b4516c4f3a0339b774
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Aug 5 11:56:28 2017 +0200

    Updated Spanish translation

 po/es.po | 867
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 535 insertions(+), 332 deletions(-)

commit 1782219fb859bab1c5715b3bd1308f15d369d5cf
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Aug 4 13:30:10 2017 +0100

    docs: Fix typo in GDBusInterfaceSkeleton documentation

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 gio/gdbusinterfaceskeleton.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1fdae8afcb9abe9327a367ffae8deee9c99400f
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Thu Aug 3 19:23:25 2017 +0100

    meson: don't error out if xmllint is not found

    Only needed for glib/tests and entirely optional.

 glib/tests/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad9d5a11f2496d931036c0a507b5e789c5432e5f
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Aug 3 16:32:42 2017 +0100

    tests: Fix gschema-compile test for translatable string changes

    Little did I know when making commit
    c257757cf6774974cf15370ccf09fad7ee855668 that a lot of the output of
    glib-compile-schemas is string matched in some of the unit tests. Fix
    them to match the updated strings.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=695573

 gio/tests/gschema-compile.c | 46
 ++++++++++++++++++++++-----------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

commit 25c01e1c557e03914f1ae88398f705b1437eea3b
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Aug 3 16:31:37 2017 +0100

    glib-compile-schemas: Use double quotes rather than single quotes

    It’s what GLib is standardising on. See bug #772221.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=695573

 gio/glib-compile-schemas.c | 46
 +++++++++++++++++++++++-----------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

commit e02e3540abbe166abd2ae892c92d82f3fda016f2
Author: Daniel Boles <dboles@src.gnome.org>
Date:   Thu Aug 3 14:40:29 2017 +0100

    gspawn: Don’t mention removed gdk_spawn functions

    Mention alternatives that actually still exist instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=785520

 glib/gspawn.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit f591366eee341f2c40516821e8a5a0bc7a9bd288
Author: Daniel Macks <dmacks@netspace.org>
Date:   Thu Aug 3 12:43:00 2017 +0100

    gtest: Handle -s as explicit SKIP instead of inhibiting altogether

    Improves diagnostics and makes test transcripts easier to compare

    https://bugzilla.gnome.org/show_bug.cgi?id=769135

 glib/gtestutils.c | 47 +++++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 22 deletions(-)

commit f7a14fece4891ea31522ca282807c71ca7f89938
Author: Daniel Macks <dmacks@netspace.org>
Date:   Mon Jun 16 01:02:49 2014 -0400

    Use "-module" when compiling loadable modules

    Some platforms use different extensions for compile-time linkable
    libraries vs runtime-loadable modules. Need to use special libtool
    flag in the latter case for consistency with what gmodule expects.

    https://bugzilla.gnome.org/show_bug.cgi?id=731703

 gio/tests/modules/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 22700faf88bdf7be0bbd8dad658f0d08816a7c51
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Aug 3 11:55:23 2017 +0100

    build: Loosen --enable-compile-warnings check

    Instead of requiring --enable-compile-warnings or
    --enable-compile-warnings=yes, allow any value which is not
    ‘no’. This
    enables compile warnings for --enable-compile-warnings=maximum or
    --enable-compile-warnings=error, which are common values for other
    GNOME
    projects. While we don’t change our behaviour for [yes, maximum,
    error],
    at least it means the warnings are enabled now, rather than disabled.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 96528396064e8fef757b095957fd6c527d9ac78c
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Aug 3 11:54:58 2017 +0100

    gslice: Fix inline delarations in GSlice

    Accidentally introduced in commit
    5cddde1fb2b8466d8104595008eafabd0728de5d.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 glib/gslice.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit c257757cf6774974cf15370ccf09fad7ee855668
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Aug 3 11:34:08 2017 +0100

    glib-compile-schemas: Improve some translatable strings

     • Fix capitalisation to be consistent
     • Use Unicode quotation marks where appropriate
     • Move trailing \n characters out of the translable strings
     and append
       them unconditionally

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=695573

 gio/glib-compile-schemas.c | 90
 ++++++++++++++++++++++++++--------------------
 1 file changed, 52 insertions(+), 38 deletions(-)

commit 94816e10d21ac545f9d0120a07b8c6d5dee0456d
Author: Daniel Boles <dboles@src.gnome.org>
Date:   Thu Aug 3 11:30:20 2017 +0100

    glib-compile-schemas: Fix typo in newly translatable string

 gio/glib-compile-schemas.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7aa8acc4896fd359fb947bf7f8645c4caa2b0b8
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Wed Aug 2 17:19:30 2017 +0200

    glib-compile-schemas: Mark missing strings for translation

    https://bugzilla.gnome.org/show_bug.cgi?id=695573

 gio/glib-compile-schemas.c | 86
 +++++++++++++++++++++++-----------------------
 1 file changed, 43 insertions(+), 43 deletions(-)

commit f2b6c116295e87d1b74ecae86eda0d1a040b936c
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Jul 31 12:16:44 2017 +0100

    gstrfuncs: Expand documentation for errno functions

    Mention that it really is a good idea to save errno before doing
    literally anything else after calling a function which could set it.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=785577

 gio/gioerror.c   | 12 ++++++++++++
 glib/gstrfuncs.c | 12 +++++++++++-
 2 files changed, 23 insertions(+), 1 deletion(-)

commit 5cddde1fb2b8466d8104595008eafabd0728de5d
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Jul 31 11:30:55 2017 +0100

    Consistently save errno immediately after the operation setting it

    Prevent the situation where errno is set by function A, then
    function B
    is called (which is typically _(), but could be anything else) and it
    overwrites errno, then errno is checked by the caller.

    errno is a horrific API, and we need to be careful to save its
    value as
    soon as a function call (which might set it) returns. i.e. Follow the
    pattern:
      int errsv, ret;
      ret = some_call_which_might_set_errno ();
      errsv = errno;

      if (ret < 0)
        puts (strerror (errsv));

    This patch implements that pattern throughout GLib. There might be
    a few
    places in the test code which still use errno directly. They should be
    ported as necessary. It doesn’t modify all the call sites like this:
      if (some_call_which_might_set_errno () && errno == ESOMETHING)
    since the refactoring involved is probably more harmful than
    beneficial
    there. It does, however, refactor other call sites regardless
    of whether
    they were originally buggy.

    https://bugzilla.gnome.org/show_bug.cgi?id=785577

 gio/gcharsetconverter.c               |  4 ++-
 gio/gdbusaddress.c                    |  7 ++++--
 gio/gdbusauthmechanismsha1.c          | 33 +++++++++++++++----------
 gio/gdbusmessage.c                    |  3 ++-
 gio/gdbusserver.c                     |  9 ++++---
 gio/gdocumentportal.c                 |  5 ++--
 gio/gfile.c                           |  7 +++---
 gio/gio-querymodules.c                |  5 +++-
 gio/gio-tool-cat.c                    |  5 +++-
 gio/glocalfile.c                      | 26 ++++++++++++++------
 gio/glocalfileinfo.c                  | 23 +++++++++++++-----
 gio/glocalfileoutputstream.c          | 16 ++++++------
 gio/gnetworkmonitornetlink.c          |  6 ++---
 gio/gopenuriportal.c                  | 10 +++++---
 gio/gsocket.c                         |  9 ++++---
 gio/gsubprocess.c                     | 46
 +++++++++++++++++++++++++----------
 gio/gtestdbus.c                       |  7 ++++--
 gio/gunixconnection.c                 | 15 +++++++-----
 gio/gunixfdmessage.c                  | 11 ++++++---
 gio/gunixinputstream.c                | 11 ++++++---
 gio/gunixoutputstream.c               | 14 ++++++-----
 gio/inotify/inotify-kernel.c          | 12 ++++++---
 gio/tests/dbus-launch.c               |  5 ++--
 gio/tests/gdbus-peer-object-manager.c |  5 ++--
 gio/tests/gdbus-peer.c                |  9 ++++---
 gio/tests/gdbus-unix-addresses.c      | 15 +++++++++---
 gio/tests/gsubprocess-testprog.c      |  3 ++-
 glib/gerror.c                         |  4 ++-
 glib/giowin32.c                       | 42
 ++++++++++++++++++++------------
 glib/gkeyfile.c                       | 24 ++++++++++++------
 glib/gmain.c                          | 10 +++++---
 glib/gslice.c                         |  4 ++-
 glib/gtester.c                        |  4 ++-
 glib/gtestutils.c                     | 19 ++++++++++++---
 glib/gutils.c                         |  4 ++-
 glib/tests/fileutils.c                |  5 +++-
 glib/tests/protocol.c                 |  6 +++--
 tests/gobject/timeloop-closure.c      |  8 +++---
 tests/mainloop-test.c                 |  3 ++-
 tests/spawn-test-win32-gui.c          |  9 ++++---
 tests/spawn-test.c                    | 15 ++++++++----
 tests/testglib.c                      |  7 ++++--
 tests/timeloop-basic.c                |  8 +++---
 tests/timeloop.c                      |  8 +++---
 44 files changed, 336 insertions(+), 165 deletions(-)

commit 41a4a70b433fc5a1e7b0c536fdd3d32a9c214219
Author: Ondrej Holy <oholy@redhat.com>
Date:   Thu Aug 3 09:50:41 2017 +0200

    gunixmounts: Add missing const qualifier for mtab path

    get_mtab_read_file and get_mtab_monitor_file returns const path,
    but const qualifier is missing. Let's add it.

    https://bugzilla.gnome.org/show_bug.cgi?id=779607

 gio/gunixmounts.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 2db36d0d5cef9fb97861f79b1e97fa1c33f1ed59
Author: Ondrej Holy <oholy@redhat.com>
Date:   Mon Jul 17 15:53:24 2017 +0200

    gunixmounts: Prevent "mounts-changed" race if /etc/mtab is used

    The /etc/mtab file is still used by some distributions
    (e.g. Slackware),
    so it has to be monitored instead of /proc/self/mountinfo in order to
    avoid races between g_unix_mounts_get and "mounts-changed" signal. The
    util-linux is built with --enable-libmount-support-mtab in that
    case and
    mnt_has_regular_mtab is used for checks. Let's use
    mnt_has_regular_mtab
    also to determine which file to monitor.

    https://bugzilla.gnome.org/show_bug.cgi?id=779607

 gio/gunixmounts.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit b267f648d936902e5cad679f2da575bad8bcd1ed
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Jul 29 08:12:40 2017 +0000

    glib/gpoll W32: trust WFMOE() return value

    WaitForMultipleObjectsEx() returns the index of the *first* handle
    that triggered the wakeup, and promises that all handles with lower
    index are still inactive. Therefore, don't check them, only check
    the handles with higher index. This removes the need of rearranging
    the handles (and, now, handle_to_fd) array, it's enough to take a
    pointer to the next item and use it as a new, shorter array.

    https://bugzilla.gnome.org/show_bug.cgi?id=785468

 glib/gpoll.c | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 226ea946853cf4fa340988a8adb8774162acd231
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Jul 29 08:09:05 2017 +0000

    glib/gpoll W32: faster GPollFD lookup

    Put all ptrs for GPollFDs that contribute handles into an array, the
    layout of which mirrors the handles array. This way finding GPollFD
    for a handle is a simple matter of knowing this handle's index in
    the handles array (which is something we always know). Removes the
    need to loop through all fds looking for the right one. And, with
    the message FD also passed along, it's now completely unnecessary
    to even pass fds to poll_rest() at all.

    https://bugzilla.gnome.org/show_bug.cgi?id=785468

 glib/gpoll.c | 43 +++++++++++++++++++++----------------------
 1 file changed, 21 insertions(+), 22 deletions(-)

commit 201977983e237e35b9e640866e71613387fe1ab9
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Jul 29 08:06:18 2017 +0000

    glib/gpoll W32: pass along GPollFD ptr for msg

    Instead of just indicating that messages should be polled for,
    save the pointer to GPollFD that contains G_WIN32_MSG_HANDLE, and
    pass it along. This way it won't be necessary to loop through all
    fds later on, searching for G_WIN32_MSG_HANDLE.

    https://bugzilla.gnome.org/show_bug.cgi?id=785468

 glib/gpoll.c | 30 ++++++++++++++----------------
 1 file changed, 14 insertions(+), 16 deletions(-)

commit 1f3da929f5718c24eed67a8e7007f6c39adb441a
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Jul 29 08:04:10 2017 +0000

    glib/gpoll W32: fold f->revents = 0 into for() loop

    GCC most likely optimizes that already, but no harm in trying.

    https://bugzilla.gnome.org/show_bug.cgi?id=785468

 glib/gpoll.c | 46 +++++++++++++++++++++++-----------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

commit cb2316aaa1adc1f80498141d51467a850cde5fac
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Jul 29 07:56:19 2017 +0000

    glib/gpoll W32: use WFSOE() instead of SleepEx()

    WaitForSingleObjectEx() is supposed to be a more efficient sleep
    method.
    It waits on the handle of the current process. That handle will be
    signaled once the process terminates, and since we're *inside* the
    process, it'll never happen (and if it does, we won't care anymore).
    The use of an alertable wait ensures that we wake up when a completion
    routine wants to run.

    https://bugzilla.gnome.org/show_bug.cgi?id=785468

 glib/gpoll.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit d67b58a9a6799850dd51f38c122682fc8fe5cd5b
Author: Alistair Francis <alistair.francis@xilinx.com>
Date:   Thu Jun 29 14:42:40 2017 -0700

    glib/gpoll: Remove if conditional

    The original ready < nhandles - 1 can be re-written as ready +
    1 < nhandles
    which is the same confition that we are checking on the first
    itteration of the for loop. This means we can remove the if statement
    and let the for loop check the code.

    This also has the side effect of removing an invalid check as
    WAIT_OBJECT_0 was not subtracted from ready in the if statement.

    Signed-off-by: Alistair Francis <alistair.francis@xilinx.com>

 glib/gpoll.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 425a9f5864f69f804f11279b558ff925d421b546
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Jul 29 07:40:35 2017 +0000

    gio: add a simple gpoll performance test for W32

    It just creates a number of socket pairs, then triggers read-ready
    status on these pairs in different patterns (none, one, half, all)
    and checks how much time it takes to g_poll() those. Also sometimes
    posts a Windows message and polls for its arrival.
    The g_main_context_new() is necessary to initialize g_poll() debugging
    on W32.

    Measures minimal and maximal time it takes to g_poll(), as well as
    the average, over 1000 runs.
    Collects the time values into 25 non-linear buckets between 0ns and
    1000ns, and displays them at the conclusion of each subtest.

    https://bugzilla.gnome.org/show_bug.cgi?id=785468

 glib/tests/Makefile.am |   4 +
 glib/tests/gpoll.c     | 624
 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 628 insertions(+)

commit 8cc99502022944917f5dd78ce1d1427582081396
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Aug 1 12:18:42 2017 +0300

    glib-mkenums: fix parsing of flags annotation

    https://bugzilla.gnome.org/show_bug.cgi?id=779332

 gobject/glib-mkenums.in | 5 +++++
 1 file changed, 5 insertions(+)

commit ca69df0f16fd0bda99baf609a8ce9f38e1039f65
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 1 10:11:09 2017 +0100

    Revert "glib-mkenums: fix parsing of /*< flags >*/ annotation"

    This reverts commit 1672678bc48c1c060d1ee6bb3df124b3e4f9ca33.

    A more comprehensive fix will follow.

 gobject/glib-mkenums.in | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 867b5e6f902e945e8a02a3d2d35d698e19f8f892
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Wed Jul 26 11:26:00 2017 +0200

    glib-mkenums: Python2: use locale encoding when redirecting stdout

    In case of Python 2 and stdout being redirected to a file,
    sys.stdout.encoding
    is None and it defaults ASCII for encoding text.

    To match the behaviour of Python 3, which uses the locale encoding
    also when
    redirecting to a file, wrap sys.stdout with a StreamWriter using the
    locale encoding.

    https://bugzilla.gnome.org/show_bug.cgi?id=785113

 gobject/glib-mkenums.in | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit a7926117dde57d6408f292b54d9950b3a1f4cb79
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Jul 26 11:34:02 2017 +0200

    gdatetime: Silence -Wmaybe-uninitialized

    GCC 6.3.1 thinks that tmp is being used uninitialized:
      gdatetime.c: In function ‘format_ampm’:
      gdatetime.c:2248:7: warning: ‘tmp’ may be used uninitialized
      in this
        function [-Wmaybe-uninitialized]
             g_free (tmp);
             ^~~~~~~~~~~~

    It is not an actual problem because the code in question is guarded by
    "if (!locale_is_utf8)" and "#if defined (HAVE_LANGINFO_TIME)", and it
    does get initialized under those circumstances. Still, it is a small
    price to pay for a cleaner build and having actual problems stand out
    more prominently.

    https://bugzilla.gnome.org/show_bug.cgi?id=785438

 glib/gdatetime.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 528a1b9288e410f961b012c75d4887da3ad15b2e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Jul 15 03:42:15 2017 +0200

    Use the glib preset for i18n in Meson

    Preset handles xgettext options for us,
    and we can rely on Meson to parse LINGUAS.

    https://bugzilla.gnome.org/show_bug.cgi?id=784965

 po/meson.build | 126
 +--------------------------------------------------------
 1 file changed, 1 insertion(+), 125 deletions(-)

commit b51a0e7c63313ecfc0c6bbb9f2a8d99f193e51ea
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Jul 21 14:37:35 2017 +0200

    GApplication: Use a WARNING if dbus_unregister is called by destructor

    Unlike g_application_register, there is no public API to unregister
    the
    GApplication from D-Bus. Therefore, if the GApplication is set up
    manually without using g_application_run, then neither can the
    GApplicationImpl be destroyed nor can dbus_unregister be called before
    destruction.

    This is fine as long as no sub-class has implemented dbus_unregister.
    If they have, their method method will be called after destruction,
    and
    they should be prepared to deal with the consequences.

    As long as there is no public API for unregistering, let's demote the
    assertion to a WARNING. Bravehearts who don't use g_application_run
    can continue to implement dbus_unregister, but they would have been
    adequately notified.

    This reverts commit c1ae1170fa47483b9bcb30de8cd346cbc4fe10e3.

    https://bugzilla.gnome.org/show_bug.cgi?id=725950

 gio/gapplication.c | 22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

commit df06dc65501100606ca027d4e85aa5a240305be2
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Thu Jun 8 20:15:46 2017 +0200

    GApplication: Don't call dbus_unregister multiple times

    https://bugzilla.gnome.org/show_bug.cgi?id=725950

 gio/gapplicationimpl-dbus.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit b92e15c75df7ed517bc4b256c710cad5cfa43816
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Sat Jul 22 20:47:43 2017 +0200

    glib-mkenums: fix encoding error when writing files

    Instead of using NamedTemporaryFile, which doesn't take an encoding
    in Python 2
    use mkstemp() to create a file and open it with io.open(), with
    a proper
    encoding set.

    https://bugzilla.gnome.org/show_bug.cgi?id=785113

 gobject/glib-mkenums.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 039c40e6ec96020e568fb6c1e45dc48f3c4fa6de
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 21 15:33:37 2017 +0100

    Revert "GKeyFile – Add array length annotations to to_data(),
    get_keys() and get_groups()"

    This reverts commit fd329f4853f180eb92746f39fc96fd5d91394009.

    The commit changed the Introspection ABI, and it requires a change in
    any application using an introspection-based language binding.

 glib/gkeyfile.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bfd307855bd21108c98d72bf4d85a6c632396cde
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 21 14:03:05 2017 +0100

    meson: Allow toggling internal/system PCRE dependency

    We don't always want to build GLib with a dependency on the system's
    PCRE. The Autotools build allows this, and so should the Meson build.

 glib/meson.build  |  2 +-
 meson.build       | 12 +++++++++---
 meson_options.txt |  1 +
 3 files changed, 11 insertions(+), 4 deletions(-)

commit 8962736ba9deb8f6a6b143fce1b6fd692ffaaa21
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Thu Jul 20 18:57:01 2017 +0200

    docs: Encourage applications to define G_LOG_DOMAIN

    https://bugzilla.gnome.org/show_bug.cgi?id=785130

 glib/gmessages.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit fd541c35184f1aba027ac176074fa52c374073cb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 20 15:11:50 2017 +0100

    Require Python 2.7

    Python 2.7 is the last stable release of the 2.x series, as per PEP
    404: http://legacy.python.org/dev/peps/pep-0404/

    Python 2.7 is also 7 years old, and maintained until 2020.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c1ae1170fa47483b9bcb30de8cd346cbc4fe10e3
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon Jun 19 16:16:08 2017 +0200

    GApplication: Assert that dbus_unregister was called before
    destruction

    Invoking the dbus_unregister virtual method during destruction is
    problematic. It would happen after a sub-class has dropped its
    references to its instance objects, and it is surprising to be
    asked to
    unexport exported D-Bus objects after that.

    This problem was masked as a side-effect of commit 21b1c390a3ce1f7e.
    Let's ensure that it doesn't regress by asserting that dbus_unregister
    has happened before destruction.

    Based on a patch by Giovanni Campagna.

    https://bugzilla.gnome.org/show_bug.cgi?id=725950

 gio/gapplication.c | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit be7c3ae611af6b8705319250ca9942e5144be795
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Mon Jul 17 21:39:31 2017 +0200

    meson: set glib_extension in glibconfig.h to match the autotools
    output

    https://bugzilla.gnome.org/show_bug.cgi?id=784995

 meson.build | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit cb0c224e94b366872292eada2d2f295e562d8f92
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Mon Jul 17 21:31:39 2017 +0200

    meson: use set_quoted() instead of quoting manually

    https://bugzilla.gnome.org/show_bug.cgi?id=784995

 meson.build | 134
 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 67 insertions(+), 67 deletions(-)

commit ab6e425574ce2f6aeaeddeee82cbbe7d1bbdd8d4
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Mon Jul 17 18:33:42 2017 +0200

    meson: define G_PID_FORMAT

    https://bugzilla.gnome.org/show_bug.cgi?id=784995

 glib/glibconfig.h.in | 1 +
 meson.build          | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit d88d1ba7e844b5493a53dfcdba77d4df3ea1684d
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Wed Jul 19 11:49:04 2017 +0200

    glib-mkenums: Don't use FileNotFoundError, it's Python 3 only.

    https://bugzilla.gnome.org/show_bug.cgi?id=785113

 gobject/glib-mkenums.in | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit c2dace6b8b982ca821edc29501c7635d008a8357
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Wed Jul 19 11:43:47 2017 +0200

    glib-mkenums: Use utf-8 for reading files

    On Windows open() defaults to ANSI and on Python 2 it doesn't take
    an encoding. Use io.open() instead which provides the same interface
    on both Python versions.

    https://bugzilla.gnome.org/show_bug.cgi?id=785113

 gobject/glib-mkenums.in | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 2ac8079b9414be67a99f736e15383e85da56f7dd
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Wed Jul 19 10:34:45 2017 +0100

    meson: fix unit tests and "Invalid byte sequence in conversion input"

    Check if strerror_r returns a char * and define STRERROR_R_CHAR_P
    if so, which is needed by g_strerror() since c8e268b

    https://bugzilla.gnome.org/show_bug.cgi?id=784000

 config.h.meson |  3 +++
 meson.build    | 17 +++++++++++++++++
 2 files changed, 20 insertions(+)

commit f8a88a768d976a3bb642c5088634006e1b5e3611
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:   Tue Jul 11 22:28:50 2017 +0300

    Map G_NOTIFICATION_PRIORITY_HIGH to NOTIFY_URGENCY_NORMAL

    When using the Freedesktop backend for GNotification, it seems like a
    better idea to map G_NOTIFICATION_PRIORITY_HIGH to
    NOTIFY_URGENCY_NORMAL
    (instead of NOTIFY_URGENCY_CRITICAL) provided that the difference
    between GNotification's NORMAL and HIGH priorities is minor.

    Signed-off-by: Adrian Perez de Castro <aperez@igalia.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=784815

 gio/gfdonotificationbackend.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a31103ebbf3af09fb5fc783491a6fb5dd25b4be
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 18 11:56:16 2017 +0100

    Add Meson build files to the Autotools dist

    We should allow building GLib with Meson from an Autotools dist
    tarball.

 Makefile.am | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

commit 9424facde289185c7bde4159be6961dba4cb5983
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 17 16:20:52 2017 -0400

    2.53.4

 gio/tests/modules/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2219cfb92daf9b9413de35a1089efa3a1dff7602
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 17 16:29:40 2017 +0100

    mkenums: Keep compatibility with Python 2.x

    Since every other tool in GLib is allowed to be used with Python 2.x,
    glib-mkenums should follow suit.

 gobject/glib-mkenums.in | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit f18556749c75629b9bff538dced6311cf77a3ffb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 17 16:04:03 2017 +0100

    mkenums: Skip unparsed lines

    The old glib-mkenums just skipped lines it could not understand.

 gobject/glib-mkenums.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1e4135f253bcc315a459363bfe62a8f01b127ee7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 17 10:46:19 2017 -0400

    2.53.4

 NEWS         | 34 ++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 35 insertions(+), 1 deletion(-)

commit a45bf85ce5c9bc7dd26551430cd2e2d80e079d1c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 17 13:59:20 2017 +0100

    tests: Do not use gnome.genmarshal()

    We are providing glib-genmarshal; using the gnome module in Meson does
    not call the just built glib-genmarshal tool.

 tests/gobject/meson.build | 44
 +++++++++++++++++++++++++++++++-------------
 1 file changed, 31 insertions(+), 13 deletions(-)

commit 4f17d1049f49d8d9e880b4e8a34cc62e0da9092e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 17 11:15:06 2017 +0100

    mkenums: Add missing --fprod handler

    We are not generating the template for the --fprod command line
    argument.

 gobject/glib-mkenums.in | 1 +
 1 file changed, 1 insertion(+)

commit 3c03cc8f68b5d81c7b47423b1a3be3b8c9197d1c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 17 10:54:28 2017 +0100

    meson: Simplify the use of built tools

    The Meson build has fallen a bit behind the Autotools one, when
    it comes
    to the internally built tools like glib-mkenums and glib-genmarshals.

    We don't need to generate gmarshal.strings any more, and since the
    glib-genmarshal tool is now written in Python it can also be used when
    cross-compiling, and without indirection, just like we use
    glib-mkenums.

    We can also coalesce various rules into a simple array iteration, with
    minimal changes to glib-mkenums, thus making the build a bit more
    resilient and without unnecessary duplication.

 gobject/glib-mkenums.in               | 21 ++++++-------
 gobject/gmarshal-list-to-strings.py   | 21 -------------
 gobject/meson.build                   | 43 +++++++++++++--------------
 gobject/tests/gobject_test_marshal.py | 21 -------------
 gobject/tests/meson.build             | 55
 +++++++++++++++++++++--------------
 meson.build                           |  1 +
 tests/gobject/meson.build             |  2 +-
 7 files changed, 65 insertions(+), 99 deletions(-)

commit 7ee050dc4bf5187842f656889017414aa1c9a729
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 17 10:32:33 2017 +0100

    mkenums: Use the same reporting functions from genmarshal

    We can reuse the same code to make error reporting stand out a
    bit more,
    with colors and potentially with the ability to make warnings fatal.

 gobject/glib-mkenums.in | 49
 ++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 46 insertions(+), 3 deletions(-)

commit 69515e9f5c43046e673e8751e3703703cd41e540
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 17 10:24:32 2017 +0100

    mkenums: Skip files not found

    The old glib-mkenums was more forgiving, and simply ignored any
    files it
    could not find.

    We're going to print a warning, as in the future we may want to allow
    more strictness.

 gobject/glib-mkenums.in | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 77a3a962189df86a48c28a3c35d46575f35f7b95
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 17 09:36:13 2017 +0100

    mkenums: Change ordering for template file and arguments

    This is a bit of a hack to maintain some semblance of backward
    compatibility with the old, Perl-based glib-mkenums. The old tool
    had an
    implicit ordering on the arguments and templates; each argument was
    parsed in order, and all the strings appended. This allowed developers
    to write:

      glib-mkenums \
        --fhead ... \
        --template a-template-file.c.in \
        --ftail ...

    And have the fhead be prepended to the file-head stanza in the
    template,
    as well as the ftail be appended to the file-tail stanza in the
    template.  Short of throwing away ArgumentParser and going over
    sys.argv[] element by element, we can simulate that behaviour by
    ensuring some ordering in how we build the template strings:

      - the head stanzas are always prepended to the template
      - the prod stanzas are always appended to the template
      - the tail stanzas are always appended to the template

    Within each instance of the command line argument, we append each
    value
    to the array in the order in which it appears on the command line.

    This change fixes the libqmi build.

 gobject/glib-mkenums.in | 41 ++++++++++++++++++++++++++++++++++-------
 1 file changed, 34 insertions(+), 7 deletions(-)

commit 5ba3b4022ebda9e1756d568b7baac7f285bfc0b4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 17 12:49:24 2017 +0800

    meson.build: Improve checks for va_copy() and __va_copy()

    On Visual Studio, the compilation of the check program for va_copy()
    and
    __va_copy() succeeds even though they may not be really available.
    So,
    make sure we include msvc_recommended_pragmas.h which helps us
    to detect
    this situation by bailing out when warning C4013 (which means this
    function is really not available) is encountered.

    Also make sure that on Visual Studio builds we always include
    msvc_recommended_pragmas.h is included so that it helps us to find out
    problems in the build, and update comments for dirent.h and sys/time.h
    as they are not shipped with any Visual Studio.

    https://bugzilla.gnome.org/show_bug.cgi?id=783270

 meson.build | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 35db0457297d29a5d2446c7af840eb74324e90be
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 16 17:25:08 2017 +0100

    mkenums: Fix typo

    There's a stray '~' that needs to be removed.

 gobject/glib-mkenums.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69389bdc3475e2b5621f69bb1da2b3781a52539c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 16 12:06:34 2017 +0100

    mkenums: Do not check for None

    The symprefix variable can only be a string.

 gobject/glib-mkenums.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af4a6457eb2ee67296f7f0b8bf05413bb285724b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 16 11:56:52 2017 +0100

    mkenums: Some arguments can be used multiple times

    Some of the arguments that affect the generated result in glib-mkenums
    can be used multiple times, to avoid embedding unnecessary newlines in
    their values.

    This change fixes the NetworkManager build.

 gobject/glib-mkenums.in | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit d19f53a7676f456cc18b14750675bd1f70852bb2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 16 11:15:07 2017 +0100

    Add more compatibility mode hacks

    When using the `--header --body` compatibility mode, we need to emit
    things we generally define in the header, such as the aliases for
    standard marshallers, and aliases for deprecated tokens.

    This fixes dbus-binding-tool, which is using `--header --body` and
    deprecated tokens.

    See: https://bugs.freedesktop.org/show_bug.cgi?id=101799

 gobject/glib-genmarshal.in | 33 +++++++++++++++++++++++++++------
 1 file changed, 27 insertions(+), 6 deletions(-)

commit fbf35113093e79c8c80f44ade21b5e8a338fe9b2
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Sun Jul 16 00:18:43 2017 +0200

    meson: fix typo in install path for gobject_gdb.py

 gobject/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8451f0b8173cf726d0c6d5275aff465960383276
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Sat Jul 15 10:17:48 2017 +0100

    glib-mkenums: unescape \n etc. in command line arguments

    Fixes generation of GStreamer enumtype files with autotools build.

    https://bugzilla.gnome.org/show_bug.cgi?id=779332

 gobject/glib-mkenums.in | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit a882c974d30174f308dff325d9f3cec0e303d7c6
Author: Igor Gnatenko <ignatenko@src.gnome.org>
Date:   Sat Jul 15 15:31:05 2017 +0200

    mkenums: pass string for re.sub() for real

    Signed-off-by: Igor Gnatenko <ignatenko@src.gnome.org>

 gobject/glib-mkenums.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a182df5d1abdc7a1101c53651561e6cc5f30f73
Author: Igor Gnatenko <ignatenko@src.gnome.org>
Date:   Sat Jul 15 15:30:16 2017 +0200

    mkenums: don't try to call undefined function

    argparse will take care about everything

    Signed-off-by: Igor Gnatenko <ignatenko@src.gnome.org>

 gobject/glib-mkenums.in | 3 ---
 1 file changed, 3 deletions(-)

commit 615238d0a46bcce8fa7109c7d6653f5fbf239e24
Author: Igor Gnatenko <ignatenko@src.gnome.org>
Date:   Sat Jul 15 15:26:54 2017 +0200

    mkenums: make string raw for real regex

    Signed-off-by: Igor Gnatenko <ignatenko@src.gnome.org>

 gobject/glib-mkenums.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d753a411c0f74b8fc8f4e9bc106b29bd1b603776
Author: Igor Gnatenko <ignatenko@src.gnome.org>
Date:   Sat Jul 15 15:22:20 2017 +0200

    mkenums: trivial style fixes

    Signed-off-by: Igor Gnatenko <ignatenko@src.gnome.org>

 gobject/glib-mkenums.in | 58
 ++++++++++++++++++++++++++-----------------------
 1 file changed, 31 insertions(+), 27 deletions(-)

commit 112908d9e4a7a9ecac8cda830dba599f88b47672
Author: Igor Gnatenko <ignatenko@src.gnome.org>
Date:   Sat Jul 15 15:21:11 2017 +0200

    mkenums: fix main incompatibility with python2

    Signed-off-by: Igor Gnatenko <ignatenko@src.gnome.org>

 gobject/glib-mkenums.in | 2 ++
 1 file changed, 2 insertions(+)

commit 9306ada4fdd2c00813c7ea088cd6fb5003ccd352
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Sat Jul 15 11:21:57 2017 +0100

    meson: fix 'Unknown variable "gtester"' error on windows

    With msys64/mingw.

 glib/tests/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 683809d5f751575775d12917581eb7b9a2acf0f5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 14 22:05:01 2017 +0100

    Use env for gdbus-codegen's script

    This allows us to build with Python 3 without using an absolute path.

 gio/gdbus-2.0/codegen/gdbus-codegen.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4395a8977727e2c569b472dbe8710ffb87c219e2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 14 21:21:33 2017 +0100

    Use env to run the Python-based tools

    Otherwise overriding the Python interpreter with `--with-python` won't
    work correctly.

 gobject/glib-genmarshal.in | 2 +-
 gobject/glib-mkenums.in    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0f18a2ebda4ec0440ec545542f9fc2f60cd54c5d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 14 20:43:19 2017 +0100

    meson: Substitute the Python shebang

    Just like we do with Autotools. This allows building glib-mkenums and
    glib-genmarshal on older platforms that only have Python 2.

 gobject/glib-genmarshal.in | 2 +-
 gobject/glib-mkenums.in    | 2 +-
 gobject/meson.build        | 2 ++
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 1eda0627f3792cc626f19c28eb1f478dd9d2df5e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 14 13:56:47 2017 +0100

    meson: Use the appropriate libdir-relative paths

 meson.build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 065a8a488ad2ee4a7523fb673e1555e5cf8762b5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 14 13:56:02 2017 +0100

    meson: Use the appropriate interface and binary ages

    We need to build them out of the project version, and then propagate
    them.

 glib/tests/meson.build    |  2 +-
 gobject/tests/meson.build |  2 +-
 meson.build               | 15 +++++++++------
 3 files changed, 11 insertions(+), 8 deletions(-)

commit 37ff4189fdbb73e81c6431c6862317d94fbef55e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 14 13:55:42 2017 +0100

    meson: Sync the version with Autotools

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be8820128faf1eb466ad896afd6133c8e5092156
Author: Thibault Saunier <thibault.saunier@osg.samsung.com>
Date:   Thu Jul 13 22:22:16 2017 -0400

    meson: fix remaining wrong #include's for gdbus_codegen files

    This is a follow up on 266bc1e510e154f7b5e793adb227d979ae655446
    to fix building tests and examples when using GLib as a meson
    subproject.

 gio/tests/gdbus-object-manager-example/meson.build | 5 +++--
 gio/tests/meson.build                              | 3 ++-
 2 files changed, 5 insertions(+), 3 deletions(-)

commit b8c8bb73b0683456b632cf8a49fa9d00568115b5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jul 13 19:35:09 2017 -0400

    Fix glib-genmarshal build with meson

    This is no longer built from a C source, but a python file.

 gobject/glib-genmarshal.in |  2 +-
 gobject/meson.build        | 10 ++++++----
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 653be67d7d756958917f6107d676c78666416dc4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jul 13 19:34:21 2017 -0400

    Add gopenuriportal.c to the meson build

    This was added recently.

 gio/meson.build | 6 ++++++
 1 file changed, 6 insertions(+)

commit 4db695bfb7d9f2d085020ace67b370afc8838172
Author: Alessandro Decina <alessandro.d@gmail.com>
Date:   Wed Jul 12 21:57:11 2017 +1000

    meson: replace meson.current_source_dir() with files()

    As the meson reference doc says, files() is preferred over building
    paths with current_source_dir().

 gio/meson.build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 266bc1e510e154f7b5e793adb227d979ae655446
Author: Alessandro Decina <alessandro.d@gmail.com>
Date:   Wed Jul 12 16:15:38 2017 +1000

    meson: fix wrong #include's for gdbus_codegen files

    When building glib as a subproject, #include's for xdp-dbus.h from
    xdp-dbus.c
    and for gdbus-daemon-generated.h from gdbus-daemon-generated.c were
    generated as
    being prefixed with the subproject prefix, eg
     #include "subproject/glib/gio/gdbus-daemon-generated.h".
    That failed since the root of the build directory is obviously not
    part of the
    include path when building a subproject.

    Passing --output-directory @OUTDIR@ to gdbus-codegen and removing
    @OUTDIR@ from
    --generate-c-code fixes the issue.

 gio/meson.build | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit dbf0a566703586db9777c3d56e01aa40c02ab9ac
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Mon Jun 26 23:50:01 2017 +0100

    glib-mkenums: pick up /*< nick=xyz >*/ annotation again

    ... in glib-mkenums python port.

    Was parsed correctly but then skipped due to inverted condition.

    https://bugzilla.gnome.org/show_bug.cgi?id=779332

 gobject/glib-mkenums.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4268372fae64a1942bcab0f8b1acb0b16a1d65cd
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Wed Jun 14 23:57:11 2017 +0100

    meson: error out if atomic ops would be available with -march=i486

    Same as autotools build.

 meson.build | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 0689231bd61f86190688cc262fcc3058cb672557
Author: Thibault Saunier <thibault.saunier@osg.samsung.com>
Date:   Fri Jun 23 12:36:38 2017 -0400

    meson: Fix the build defining HAVE_RTLD_X

    Otherwise RTLD_XXX get redefined.

    https://bugzilla.gnome.org/show_bug.cgi?id=784133

 config.h.meson |  3 +++
 meson.build    | 12 ++++++++++++
 2 files changed, 15 insertions(+)

commit eb2196e89d1700941b35c604bf6b657660b3b2c8
Author: Thibault Saunier <thibault.saunier@osg.samsung.com>
Date:   Fri Jun 23 12:00:13 2017 -0400

    meson: Fix building as a subproject

    meson.source_root() returns the toplevel source directory
    of the toplevel project, thus the paths were wrong when using
    it. Simply using files() gets us the right path

    https://bugzilla.gnome.org/show_bug.cgi?id=784133

 gio/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d30c9eebc8bc4efcd8da8c479040389edd0cfe3
Author: Thibault Saunier <thibault.saunier@osg.samsung.com>
Date:   Fri Jun 23 11:58:51 2017 -0400

    meson: Defining MAJOR_IN_ as done by AC_HEADER_MAJOR

    https://bugzilla.gnome.org/show_bug.cgi?id=784133

 config.h.meson | 3 +++
 meson.build    | 6 ++++++
 2 files changed, 9 insertions(+)

commit 10ae3867274457aa2906b96991e46fbce3db63bd
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Sun Jun 4 16:13:21 2017 +0100

    meson: gio tests need to link against gobject as well

    With meson from git dependencies of dependencies are no
    longer added automatically and recursively to the linker
    lines. Meaning dependencies that are used have to be
    passed directly and explicitly or we'll get linker errors.

 gio/tests/meson.build | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 24ea260b4cb623db4af02085f8f8492ddf635b7e
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Wed May 31 23:54:59 2017 +0100

    meson: docs: make gtk-doc find the gobject.types file

    Should really use files('gobject.types') instead, but that
    seems to get expanded to the build path for some reason:
    https://github.com/mesonbuild/meson/issues/1875

 docs/reference/gobject/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42705b57f78556ce0327f3a4bf741bf8bb1d3a2b
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Mon May 29 15:59:11 2017 +0100

    meson add missing gio/tests subdirectory/file

 gio/tests/de/LC_MESSAGES/meson.build | 8 ++++++++
 1 file changed, 8 insertions(+)

commit dc9b01fd64e74fc678ee5f03360778c5fc32b9da
Author: Matej Knopp <matej.knopp@gmail.com>
Date:   Sun May 28 22:29:20 2017 +0200

    glib-mkenums: add back missing --fprod option

    ... in glib-mkenums python port.

    https://bugzilla.gnome.org/show_bug.cgi?id=779332
    https://bugzilla.gnome.org/show_bug.cgi?id=783198

 gobject/glib-mkenums.in | 2 ++
 1 file changed, 2 insertions(+)

commit 29f9fe041b75c32d0d7400a22dae346f4ad6a670
Author: Matej Knopp <matej.knopp@gmail.com>
Date:   Sun May 28 22:29:20 2017 +0200

    glib-mkenums: Fix parsing of multiline comments

    ... in glib-mkenums python port.

    https://bugzilla.gnome.org/show_bug.cgi?id=779332
    https://bugzilla.gnome.org/show_bug.cgi?id=783198

 gobject/glib-mkenums.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 69bfd1a7710fb4da4b2a226a401a406aec24df6b
Author: Sebastian Dröge <sebastian@centricular.com>
Date:   Mon May 22 13:07:19 2017 +0300

    meson: Install missing guuid.h header

 glib/meson.build | 1 +
 1 file changed, 1 insertion(+)

commit 1672678bc48c1c060d1ee6bb3df124b3e4f9ca33
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Sat May 13 14:56:29 2017 +0100

    glib-mkenums: fix parsing of /*< flags >*/ annotation

    Fixes get_type function generation for:

     - GMountMountFlags
     - GDriveStartFlags
     - GResourceLookupFlags
     - GSocketMsgFlags
     - GTlsDatabaseVerifyFlags
     - GTestDBusFlags

    which were registered as enum types before, which broke
    some unit tests.

    Problem is that the flags annotation has no value, so
    options.get('flags') would always return None even if
    it was present.

    https://bugzilla.gnome.org/show_bug.cgi?id=779332

 gobject/glib-mkenums.in | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 03eac5fac51da789085ad60dc1858b2cf2c6a80d
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Sat May 13 11:10:52 2017 +0100

    meson: rebase on top of master ~2.53.1

    From 2.51.2

 gio/meson.build       | 29 ++++++++++++++++++-----------
 gio/tests/meson.build | 34 ++++++++++++++++++++++------------
 meson.build           | 22 +++++++++++++++++++++-
 3 files changed, 61 insertions(+), 24 deletions(-)

commit 2e9fd74b2576d276e246655aef7c40e04e51ea9e
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Tue May 2 17:04:58 2017 +0100

    meson: add tests/gobject and tests/refcount

 meson.build                |  3 ++-
 tests/gobject/meson.build  | 59
 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/meson.build          | 14 +++++++++++
 tests/refcount/meson.build | 29 +++++++++++++++++++++++
 4 files changed, 104 insertions(+), 1 deletion(-)

commit 6af4f1752a44384290f378594c9fb7f655e31682
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Fri Feb 24 20:58:04 2017 +0000

    meson: gio/tests: remove some leftover rubbish

 gio/tests/meson.build | 40 ----------------------------------------
 1 file changed, 40 deletions(-)

commit 613e00826ead73e541648fcb53cbfde77c36650d
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Fri Feb 24 09:46:36 2017 +0000

    meson: gio/tests: add more gio tests

    Need to fix up some of the tests a little, because the
    test binary will not necessarily be run from the current
    build sub-directory, and the build directory structure
    might not always be a mirror of the source directory
    structure, so pass location of glib-mkenums and
    glib-compile-scheme and such directly.

 gio/meson.build              |  2 +-
 gio/tests/appinfo.c          |  9 ++++++++
 gio/tests/desktop-app-info.c |  8 +++++++
 gio/tests/gschema-compile.c  |  7 +++++-
 gio/tests/gsettings.c        | 30 +++++++++++++++++++++-----
 gio/tests/meson.build        | 51
 ++++++++++++++++++++++++++++++++++++++++----
 6 files changed, 96 insertions(+), 11 deletions(-)

commit 1acd6de763b33f43b366c0298653734087001f5f
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Sat Mar 25 11:09:46 2017 +0530

    meson: Use glib-mkenums directly instead of via build_mkenum.py

    This is no longer needed because we use templates and custom targets
    can capture output just fine on all platforms.

 gio/build_mkenum.py | 25 -------------------------
 gio/meson.build     | 14 ++++++++------
 2 files changed, 8 insertions(+), 31 deletions(-)

commit 2d72a9e1d13fbcf9483eaf9ddb2a258d7aaf3ca2
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Thu Mar 23 10:29:50 2017 +0530

    glib-mkenums: misc fixes to python port

 gobject/glib-mkenums.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 806a4be4cfd6186b43a379bf1653224804d3a224
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Tue Mar 21 22:45:42 2017 +0530

    Add zlib, libffi, and proxy-libintl subproject wraps

    This allows you to clone glib and just build it anywhere without any
    extra dependencies besides Python 3 and Meson itself (and maybe git).

 .gitignore                     | 2 +-
 subprojects/libffi.wrap        | 4 ++++
 subprojects/proxy-libintl.wrap | 4 ++++
 subprojects/zlib.wrap          | 4 ++++
 4 files changed, 13 insertions(+), 1 deletion(-)

commit dd8ff547362bb407f786ff31d853a0b3a61024f7
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Tue Mar 21 22:12:19 2017 +0530

    meson: Use Python port of glib-mkenums

    This reduces the build-time dependencies of glib to only Python 3,
    Meson, and git. Git is also optional if you provide a tarball in
    which the subproject directories already exist.

    The Python port was done by Jussi Pakkanen on bugzilla:
    https://bugzilla.gnome.org/show_bug.cgi?id=779332

    This version contains some fixes from that and also changes all
    instances of `@` to `\u0040` because Meson does not yet provide a
    configure_file() mode that ignores unknown @MACRO@ values.

 gio/build_mkenum.py     |    4 +-
 gio/meson.build         |    4 +-
 gobject/glib-mkenums.in | 1150
 +++++++++++++++++++++++------------------------
 gobject/meson.build     |    1 -
 meson.build             |    3 -
 5 files changed, 579 insertions(+), 583 deletions(-)

commit ee94ad776ef533f16c2561ea038106a8e23b1a75
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Tue Mar 21 22:06:22 2017 +0530

    meson: Use proxy-libintl if gettext is not found

    This is a stub-only library that can be used while building against
    MSVC and contains no i18n machinery at all.

    The dependencies added indirectly use the libintl.h header, and when
    built as a subproject, the header won't be in a path known the
    pre-processor.

 gio/meson.build       |  2 +-
 gio/win32/meson.build |  1 +
 glib/meson.build      |  8 ++++----
 gobject/meson.build   |  2 +-
 meson.build           | 25 ++++++++++++++++---------
 5 files changed, 23 insertions(+), 15 deletions(-)

commit fb1f52e32fa21e0d7a3b5ac5e37afbd155ed8cee
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Tue Mar 21 16:49:55 2017 +0530

    meson: Only require libmount on Linux

    It's not available on other platforms, so don't require the user to
    explicitly disable it there.

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb07a2c87dd22039f2ce90aef7872aaef2e5d4af
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Tue Mar 21 16:49:09 2017 +0530

    meson: Allow using libffi and zlib as subprojects

    Also use the python3 module to find python3, and require Meson 0.37.1

 meson.build | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit 2f792f64848307d6662e7b2f026c1c8ea1fc9437
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Tue Mar 21 16:41:40 2017 +0530

    meson: Print output for more compiler checks

    When no 'name:' kwarg is specified for cc.run, no output is printed.

    This makes it difficult to figure out what is causing a pause in the
    configure process.

 meson.build | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 88e437873ad1444e6f93b8c47145b1c9eea9c592
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Tue Mar 21 16:38:47 2017 +0530

    meson: Detect with-docs and with-man automatically

    By default, only build man pages and gtk-doc if the build-deps were
    found. To force-enable, pass -Dwith-docs=yes and -Dwith-man=yes.

    Also use a foreach loop for man pages instead of listing them all
    manually

 docs/reference/gio/meson.build     | 86
 ++++++--------------------------------
 docs/reference/glib/meson.build    | 36 +++++-----------
 docs/reference/gobject/meson.build | 36 +++++-----------
 meson.build                        | 11 +++--
 meson_options.txt                  |  4 +-
 5 files changed, 42 insertions(+), 131 deletions(-)

commit 5549a1d0c387d320f6141d46e34db58d1d041f84
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Fri Feb 24 16:07:45 2017 +0530

    meson: Rebase and update to 2.51.2

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 192cd652d4a2c3b6fec9cfab357c87a6850492f8
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Thu Feb 23 16:13:23 2017 +0000

    tests: gio/tests: add gdbus tests

 gio/tests/meson.build | 130
 ++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 116 insertions(+), 14 deletions(-)

commit 4e0ef7655de3692e10d17f56224310ccb3f6cf9c
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Thu Feb 23 00:40:45 2017 +0000

    meson: gio/tests: add more gresource tests

 gio/meson.build       |  2 +-
 gio/tests/meson.build | 72
 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 72 insertions(+), 2 deletions(-)

commit 2f29ee1735fe83e65505c47e1a68630d9f7e1032
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Thu Feb 16 09:52:58 2017 +0000

    meson: add -fvisibility=hidden explicitly to selected targets

    Don't use it project-wide for building everything. Otherwise
    symbols for shared modules won't be exposed, e.g. in the
    resourceplugin used by the gio resource unit test.

 gio/meson.build             | 3 +++
 gio/xdgmime/meson.build     | 2 +-
 glib/libcharset/meson.build | 2 +-
 glib/meson.build            | 2 +-
 glib/pcre/meson.build       | 2 +-
 gmodule/meson.build         | 3 +--
 gobject/meson.build         | 2 +-
 gthread/meson.build         | 3 +--
 meson.build                 | 5 +++--
 9 files changed, 13 insertions(+), 11 deletions(-)

commit 1224ff0c39b9975e685f433893fe7163eec1a81b
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Thu Feb 16 09:50:56 2017 +0000

    meson: use add_project_arguments() instead of add_global_arguments()

    add_global_arguments() doesn't work if the project is used as a
    subproject.

 meson.build | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 34e4e25d53d72db65bb2225a607d3274854fb549
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Sat Jan 28 12:52:18 2017 +0000

    meson: gio/tests: add more missing tests

 gio/meson.build                                    |   3 +-
 gio/tests/gdbus-object-manager-example/meson.build |  23 ++++
 gio/tests/gengiotypefuncs.py                       |  45 ++++++
 gio/tests/meson.build                              | 151
 ++++++++++++---------
 gobject/tests/meson.build                          |   8 ++
 5 files changed, 163 insertions(+), 67 deletions(-)

commit f438c04fac22d31d43afef5f7666bf04dda75bf3
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Sat Jan 28 17:00:41 2017 +0000

    gio: tests: rename generated giotypefunc.c to giotypefuncs.inc

    This is needed for the Meson port, a file name .c that's included
    and shouldn't be compiled into an object is difficult to manage
    otherwise.

 gio/tests/.gitignore     | 2 +-
 gio/tests/Makefile.am    | 6 +++---
 gio/tests/defaultvalue.c | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 33fb1bbb61bce38368acd5d503a16e46c511b674
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Sat Jan 28 16:59:45 2017 +0000

    meson: gio, gobject: use files() for headers list

    Since these variables are referenced from other directories
    such as the tests/ subdir as well.

 gio/meson.build     | 16 ++++++++--------
 gobject/meson.build |  4 ++--
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 89ee284d2b4487096d7881060ff7fc6d363c824f
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Thu Jan 26 10:49:47 2017 +0000

    meson: glib/tests: add missing tests

 glib/meson.build       |  2 +-
 glib/tests/meson.build | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 1 deletion(-)

commit d29f022b0b2697df22918e7675bf18a6ca0b83c4
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Wed Jan 25 17:02:51 2017 +0000

    meson: add support for dtrace/systemtap

    Still at least one FIXME. And untested so far. It builds.

 gio/meson.build     | 17 +++++++++++++++++
 glib/meson.build    | 17 +++++++++++++++++
 gobject/meson.build | 17 +++++++++++++++++
 meson.build         | 44 ++++++++++++++++++++++++++++++++++++++++++++
 meson_options.txt   |  6 ++++++
 5 files changed, 101 insertions(+)

commit 9fdcb2bf37d5a877ac35e040d8f8570cd776a073
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Wed Jan 25 18:29:59 2017 +0530

    meson: Add a comment about the gdbus-peer gio test

    So that it's not forgotten later.

 gio/tests/meson.build | 1 +
 1 file changed, 1 insertion(+)

commit 5afc6600e8de778c73d8b9addbc9860830d1ba6d
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Wed Jan 25 18:17:24 2017 +0530

    meson: Add missing termios.h check

    Same change as d1d1aba3b4c024255b530b0f4f2dc9dd19a7086e

    https://bugzilla.gnome.org/show_bug.cgi?id=775517

 meson.build | 1 +
 1 file changed, 1 insertion(+)

commit 3c6261993073ea83f5f985790964e503db26e8ea
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Thu Dec 29 08:09:44 2016 +0530

    tests: autoptr test can be run on gcc, clang, intel

    The only place where it won't work, is MSVC and maybe Sun Studio, but
    we'd need someone to test Sun Studio first.

 gio/tests/meson.build  | 2 +-
 glib/tests/meson.build | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9096bde3ce3f5a03abffcd9f08645dbe3b159bfb
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Wed Dec 21 08:51:50 2016 +0530

    build: Remove function checks for unused functions

    These were removed several years ago.

 configure.ac | 4 ++--
 meson.build  | 2 --
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 70021b0e837c7b74ab687d95c6b788f8288c3463
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Wed Dec 21 08:50:30 2016 +0530

    meson: Derive defines from header, struct, function names

    This is what Autoconf macros do too, so no need to hard-code the
    names.

 meson.build | 288
 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 146 insertions(+), 142 deletions(-)

commit 122f4c051db2d1f02569db5b167c0932ae29aa4d
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Wed Dec 21 07:46:30 2016 +0530

    meson: Add tls-interaction test, and fix giomodule test

    giomodule test needed symbol visibility pragmas added. This is
    needed on
    Windows anyway, so it's better to do it this way rather than disabling
    -fvisibility=hidden for the test modules.

 gio/tests/meson.build                 |  8 ++++++++
 gio/tests/modules/symbol-visibility.h | 16 ++++++++++++++++
 gio/tests/modules/test-module-a.c     |  6 ++++--
 gio/tests/modules/test-module-b.c     |  6 ++++--
 4 files changed, 32 insertions(+), 4 deletions(-)

commit e2da3cb5996707c1c351ce02695fdb6a9b2af78b
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Wed Dec 21 06:34:47 2016 +0530

    meson: Port to latest master (2.51.0)

    Also remove headers from some gio sources. Headers do not need to be
    added to the list of sources.

    + various smaller self-explanatory fixes.

 docs/reference/gio/meson.build |  9 +++++
 gio/meson.build                | 78
 +++++++++++++++++++++++++++++++-----------
 glib/meson.build               |  2 +-
 gobject/meson.build            |  2 +-
 meson.build                    | 34 +++++++++++++++---
 meson_options.txt              |  1 +
 6 files changed, 99 insertions(+), 27 deletions(-)

commit d10be6102f28e63f5d85c9d8500af28dff2b7ca7
Author: Patrick Griffis <tingping@tingping.se>
Date:   Fri Dec 9 14:30:22 2016 -0500

    meson: Minor modernizations

 gio/gdbus-2.0/codegen/meson.build |  12 ++-
 gio/inotify/meson.build           |   3 +-
 gio/kqueue/meson.build            |   3 +-
 gio/meson.build                   |  11 ++-
 gio/win32/meson.build             |   3 +-
 gio/xdgmime/meson.build           |   3 +-
 glib/libcharset/meson.build       |   3 +-
 glib/meson.build                  | 176
 +++++++++++++++++++-------------------
 glib/pcre/meson.build             |  40 ++++-----
 gmodule/meson.build               |   2 +-
 gobject/meson.build               |   6 +-
 meson.build                       |  40 +++++----
 12 files changed, 158 insertions(+), 144 deletions(-)

commit bc2bb5639b4d499e07ae2f718def07c86a3ded67
Author: Patrick Griffis <tingping@tingping.se>
Date:   Fri Dec 9 13:51:41 2016 -0500

    meson: Match upstream gtkdoc changes

 docs/reference/gio/meson.build     | 6 +-----
 docs/reference/glib/meson.build    | 8 +-------
 docs/reference/gobject/meson.build | 6 +-----
 3 files changed, 3 insertions(+), 17 deletions(-)

commit 0df9aab0537dd61e2ee637c3b6ddc9d9d60bcddf
Author: Patrick Griffis <tingping@tingping.se>
Date:   Wed Dec 7 05:28:33 2016 -0500

    meson: Build all docs

 docs/reference/gio/meson.build                   | 216
 +++++++++++++++++++++++
 docs/reference/gio/xml/gtkdocentities.ent.in     |   8 +
 docs/reference/gio/xml/meson.build               |  14 ++
 docs/reference/glib/meson.build                  | 123 +++++++++++++
 docs/reference/glib/xml/gtkdocentities.ent.in    |   8 +
 docs/reference/glib/xml/meson.build              |  14 ++
 docs/reference/gobject/meson.build               |  82 +++++++++
 docs/reference/gobject/xml/gtkdocentities.ent.in |   8 +
 docs/reference/gobject/xml/meson.build           |  14 ++
 meson.build                                      |  27 ++-
 10 files changed, 512 insertions(+), 2 deletions(-)

commit c61a72f4bc01d7e4f5071c8f6a8de29405cac1d0
Author: Patrick Griffis <tingping@tingping.se>
Date:   Tue Dec 6 10:14:57 2016 -0500

    meson: Match soname version of autotools

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a690e2a375ac0803412186b68eadf8723ee43a39
Author: Patrick Griffis <tingping@tingping.se>
Date:   Tue Dec 6 08:07:03 2016 -0500

    meson: More build fixes

    - Fix installing various data files
    - Build translations

 gio/meson.build     |  25 ++++++----
 glib/meson.build    |  13 ++++++
 gobject/meson.build |  11 +++++
 meson.build         |  10 +++-
 meson_options.txt   |   2 +
 po/meson.build      | 129
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 178 insertions(+), 12 deletions(-)

commit fe2a9887a8ccb14f2386e01b14834e97a33bc2d7
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Wed Dec 21 04:07:24 2016 +0530

    meson: Improve MSVC and MinGW support and fix dependencies everywhere

    Disable gio tests on Windows, fix .gitignore to not ignore
    config.h.meson, and add more things to it.

    Rename the library file naming and versioning to match what Autotools
    outputs, e.g., libglib-2.0.so.0.5000.2 on Linux, libglib-2.0-0.dll
    and
    glib-2.0-0.dll on Windows with MSVC.

    Several more tiny fixes, more executables built and installed, install
    pkg-config and m4 files, fix building of gobject tests.

    Changes to gdbus-codegen to support out-of-tree builds without
    environment variables set (which you can't in Meson). We now add the
    build directory to the Python module search path.

 .gitignore                             |  15 +-
 config.h.meson                         |  15 +-
 gio/build_mkenum.py                    |  16 +-
 gio/data-to-c.py                       |  16 +
 gio/gdbus-2.0/codegen/codegen.py       |   2 +-
 gio/gdbus-2.0/codegen/config.py.in     |   3 -
 gio/gdbus-2.0/codegen/gdbus-codegen.in |  12 +-
 gio/gdbus-2.0/codegen/meson.build      |  35 ++
 gio/inotify/meson.build                |   3 +-
 gio/kqueue/meson.build                 |   4 +-
 gio/meson.build                        | 365 +++++++--------
 gio/tests/meson.build                  |  40 +-
 gio/tests/modules/meson.build          |   6 +-
 gio/win32/meson.build                  |   4 +-
 gio/xdgmime/meson.build                |   2 +-
 glib/libcharset/meson.build            |   2 +-
 glib/meson.build                       |  95 +++-
 glib/pcre/meson.build                  |  50 +++
 glib/tests/meson.build                 |  50 +--
 gmodule/meson.build                    |  40 +-
 gobject/gmarshal-list-to-strings.py    |  21 +
 gobject/meson.build                    |  53 ++-
 gobject/tests/gobject_test_marshal.py  |  10 +-
 gobject/tests/meson.build              |  20 +-
 gthread/meson.build                    |   9 +-
 meson.build                            | 799
 +++++++++++++++++++--------------
 26 files changed, 981 insertions(+), 706 deletions(-)

commit 213957970ee4e58e37ee2c81766284af34dddcb9
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Mon Mar 7 11:13:24 2016 +0000

    meson: Fix glib, add gobject, gio, gthread, gmodule, etc

    Several small fixes to the build files.

    Lots of tests have also been added, and glib tests pass now.

 config.h.meson                        |  786 ++++++++++++++++++++++
 gio/build_mkenum.py                   |   23 +
 gio/inotify/meson.build               |   13 +
 gio/kqueue/meson.build                |   15 +
 gio/meson.build                       |  802 ++++++++++++++++++++++
 gio/tests/meson.build                 |  219 ++++++
 gio/tests/modules/meson.build         |   13 +
 gio/win32/meson.build                 |   13 +
 gio/xdgmime/meson.build               |   15 +
 glib/glibconfig.h.in                  |   83 +--
 glib/libcharset/meson.build           |    4 +-
 glib/meson.build                      |  108 ++-
 glib/tests/Makefile.am                |    1 +
 glib/tests/meson.build                |  165 +++++
 gmodule/meson.build                   |   90 +++
 gobject/meson.build                   |   65 ++
 gobject/tests/gobject_test_marshal.py |   17 +
 gobject/tests/meson.build             |   69 ++
 gthread/meson.build                   |   11 +
 meson.build                           | 1197
 ++++++++++++++++++++++++++-------
 20 files changed, 3405 insertions(+), 304 deletions(-)

commit 98e641424b2e24cdae8c6e4ba022e53fc89d4640
Author: Jussi Pakkanen <jpakkane@gmail.com>
Date:   Wed Aug 7 23:41:12 2013 +0300

    meson: initial glib build

    https://mail.gnome.org/archives/gtk-devel-list/2013-August/msg00001.html

 glib/glibconfig.h.in        | 222 ++++++++++++++++++
 glib/libcharset/meson.build |   3 +
 glib/meson.build            | 106 +++++++++
 meson.build                 | 538
 ++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 869 insertions(+)

commit 41385745e73df690ff3ab9f07d975626935a51de
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jul 13 19:03:00 2017 -0400

    Revert "mkenums: Support public/private trigraph"

    This reverts commit 9ba17d511e325eec1e0c1c27cb4d37de4f12ac1e.

    This conflicts with the python port in the meson branch.

 gobject/glib-mkenums.in | 19 -------------------
 1 file changed, 19 deletions(-)

commit 9aa98db40450bc539a5cf59640c9f9cf28da93e8
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Jul 13 17:45:44 2017 +0800

    Visual Studio builds: Use PythonDir instead of PythonPath

    This is to avoid confusion with the PYTHONPATH envvar that is commonly
    used to determine where additional Python modules can be loaded,
    especially in the case of a MSBuild build.  Note that envvar names are
    not case sensitive on Windows in general.

 win32/vs10/README.txt                   |  2 +-
 win32/vs10/glib-install.propsin         |  8 ++++----
 win32/vs10/glib-version-paths.props.in  | 14 +++++++-------
 win32/vs9/README.txt                    |  2 +-
 win32/vs9/glib-install.vspropsin        |  8 ++++----
 win32/vs9/glib-version-paths.vsprops.in |  2 +-
 6 files changed, 18 insertions(+), 18 deletions(-)

commit 75fa8c2afbab4f414d2eb03684d9f807bd690aef
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Thu Jul 13 01:42:13 2017 +0000

    W32 - don't use gettext & gcov during gettext init

    Non-representable characters during UTF16->locale conversion
    will cause gcov code to return an error, for which it will try
    to use gettext, so that the error message is localized.

    If such call is made while gettext is being initialized
    (there's a g_once_init_enter up the stack), the thread will hang
    forever.

    To solve this, use W32 API to do the UTF16->locale conversion
    and don't use gettext when it returns an error.

    Also optimize g_win32_locale_filename_from_utf8() a bit,
    as we need more UTF16 and less UTF8 now.

    https://bugzilla.gnome.org/show_bug.cgi?id=784579

 glib/gwin32.c | 76
 ++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 60 insertions(+), 16 deletions(-)

commit b803c0a224f88c4d9afac1ae967832c6d9633551
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Wed Jul 12 23:36:18 2017 +0200

    gspawn-win32: Fix multiple definition error with a static build

    gspawn-win32.c gets included by gspawn-win32-helper.c and in case
    of a static build the definitions there clash with the ones from
    libglib. Fixed by not compiling the ABI comapt code in case
    GSPAWN_HELPER is defined.

    I missed this issue in commit 23dffdd949eb1c

    https://bugzilla.gnome.org/show_bug.cgi?id=780634

 glib/gspawn-win32.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b60e4665ef3c74179885f528c3f675526600830e
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Wed Jul 12 22:32:25 2017 +0200

    gwin32: Fix missing prototypes on win64

    I missed this in commit 5067d25a74783a8b6e

    https://bugzilla.gnome.org/show_bug.cgi?id=780634

 glib/gwin32.h | 2 --
 1 file changed, 2 deletions(-)

commit c4b5702e08d97b1b1163c2022ad4c7d92bee140c
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Wed Jul 12 19:46:07 2017 +0000

    Use %lu format for DWORD

 glib/gmain.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5eededccda6236cd307b0f0bcc852e495e9fd8f8
Author: Daniel Boles <dboles@src.gnome.org>
Date:   Wed Jul 12 19:23:40 2017 +0100

    gsettingsschema: Fix a compiler warning

    g_build_filename() returns a gchar*, but it was stored in a const
    gchar*
    and then g_free()d, which is wrong and led to a warning about
    the const
    qualifier being cast away.

 gio/gsettingsschema.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7d64d109f0d78ba683df1122ddfadd5ace3e9143
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jul 12 18:18:28 2017 +0800

    MSVC 201x builds: Allow different Python versions per toolset

    Use conditionals to select the Python installation, so that we
    can more
    stick to the default Visual Studio versions used to compile each
    official Python releases more closely.

    This means by default:
    -2010/2012/2013 builds use Python 3.4.x, which is built with 2010
    -2015/2017 builds use Python 3.6.x, which is built with 2015

 win32/vs10/glib-version-paths.props.in | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit a00e7ed32e510791016725ce0a3dc08f59b9a443
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jul 12 11:45:34 2017 +0800

    win32: Update MSVC projects for glib-genmarshal

    glib-genmarshal is now a Python script instead of a compiled
    program, so
    we need to:

    -Remove the projects that are used to build the glib-genmarshal
    sources.
    -Generate the full glib-genmarshal Python script from
    glib-genmarshal.in
    -Make Python a hard build-time requirement, since we use this tool
     in many parts of the stack (and it is the case for glib-mkenums).
    -Tell people in the Visual Studio build README.txt files that Python
     2.7.x or 3.x is now required for the build/"install".

 win32/gen_util_scripts.py                  |   7 +-
 win32/vs10/Makefile.am                     |   2 -
 win32/vs10/README.txt                      |   5 +
 win32/vs10/glib-genmarshal.vcxproj         | 173
 -----------------------------
 win32/vs10/glib-genmarshal.vcxproj.filters |  22 ----
 win32/vs10/glib-install.propsin            |  19 ++--
 win32/vs10/glib-install.vcxproj            |  12 +-
 win32/vs10/glib-install.vcxproj.filters    |   1 +
 win32/vs10/glib.sln                        |  90 ++++++---------
 win32/vs11/Makefile.am                     |   2 -
 win32/vs12/Makefile.am                     |   2 -
 win32/vs14/Makefile.am                     |   2 -
 win32/vs15/Makefile.am                     |   2 -
 win32/vs9/Makefile.am                      |   1 -
 win32/vs9/README.txt                       |   7 +-
 win32/vs9/glib-genmarshal.vcproj           | 161
 ---------------------------
 win32/vs9/glib-install.vcproj              |  34 ++++++
 win32/vs9/glib-install.vspropsin           |  17 +--
 win32/vs9/glib.sln                         |  70 ++++--------
 19 files changed, 141 insertions(+), 488 deletions(-)

commit c6793d1cfb845ae1cab7fa03a8044568e3494ecd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 11 18:23:38 2017 +0100

    Allow whitespace between marshallers list tokens

    Some (older) list files use whitespace, and we need to take that into
    account when splitting off the various tokens.

 gobject/glib-genmarshal.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cf7ee86b97981f116a4f2c736cbfb355588a5262
Author: Aleksandr Slobodeniuk <alenuke@yandex.ru>
Date:   Tue Jul 11 15:48:58 2017 +0300

    docs: fixing lost character

    https://bugzilla.gnome.org/show_bug.cgi?id=784792

 glib/gvariant.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 522ba7303ea4302dd3b36221304d309efaaca238
Author: Daniel Boles <dboles@src.gnome.org>
Date:   Tue Jul 11 12:49:40 2017 +0100

    docs: tut_gsignal: Fix mismatched argument names

    The names differed between the argument declaration and its
    description.

 docs/reference/gobject/tut_gsignal.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 30b961607a187c2e55cadc73db96ec99d3d8a44b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 11 12:24:10 2017 +0100

    Avoid a leak for arguments in va_list marshallers

    We need to revers a check on whether the list of arguments needs
    unboxing.

 gobject/glib-genmarshal.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea365530d2ddf88fec914a12899f1ece6d9962ba
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 11 12:15:44 2017 +0100

    Do not mix declarations and statements

    Projects using glib-genmarshal may still wish to support C89.

 gobject/glib-genmarshal.in | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 9c66e65b29d5fd17dcfd77c4b010aa792b2e1d5a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 5 19:26:26 2017 +0100

    Remove unused marshallers-related files

    We don't use gmarshal.list any more, and the generated
    gmarshal.strings
    file is not used after the Python port of glib-genmarshal.

    https://bugzilla.gnome.org/show_bug.cgi?id=784528

 gobject/Makefile.am           |  6 ++----
 gobject/glib-genmarshal.in    |  2 +-
 gobject/gmarshal.list         | 32 --------------------------------
 gobject/marshal-genstrings.pl |  9 ---------
 win32/setup.py                | 20 --------------------
 5 files changed, 3 insertions(+), 66 deletions(-)

commit f7643a7df750684c97aaef8b3fbf66fcc2661e84
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 5 17:10:08 2017 +0100

    Re-enable signal tests when cross-compiling

    The glib-genmarshal tool has been rewritten in Python, which means we
    can run it when cross-compiling.

    https://bugzilla.gnome.org/show_bug.cgi?id=784528

 gobject/tests/Makefile.am | 26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit 93f16a45abe81c3186c84a343a2e47493cf5d875
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jun 22 17:04:05 2017 +0100

    Rewrite glib-genmarshal in Python

    We're in the process or rewriting other tools in Python to reduce the
    number of dependencies of GLib.

    Additionally, making glib-genmarshal a Python script reduces the
    complexity when cross-compiling, as we don't need a native build to
    generate the marshallers.

    https://bugzilla.gnome.org/show_bug.cgi?id=784528

 configure.ac                               |    2 +
 docs/reference/gobject/glib-genmarshal.xml |  107 ++-
 gobject/Makefile.am                        |   19 +-
 gobject/glib-genmarshal.c                  | 1136
 ----------------------------
 gobject/glib-genmarshal.in                 | 1022
 +++++++++++++++++++++++++
 5 files changed, 1121 insertions(+), 1165 deletions(-)

commit 2502bfd8b0e9a8136aae833dc674a28a884f1de1
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Jul 10 11:35:11 2017 +0100

    Re-normalise line endings of README.win32

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 README.win32 | 406
 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 203 insertions(+), 203 deletions(-)

commit a88302683fd2b332ba665baac6d8be592d7e52aa
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Jul 10 11:31:52 2017 +0100

    git: Add .gitattributes file with EOL settings for README.win32

    Set it to always have CRLF line endings, since we want it to be
    readable
    on Windows by default. This should result in the line endings being
    normalised to CRLF even after it’s edited by someone on Linux.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 .gitattributes | 1 +
 1 file changed, 1 insertion(+)

commit a13113491855bf2803374bcfece824df0891c82a
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Jul 3 11:30:08 2017 +0100

    build: Drop nmake/MSC build system for GLib

    It hasn’t been seriously maintained for the best part of 10 years
    and is
    very outdated. The recommended way to build GLib on Windows is now
    Visual Studio:

    https://wiki.gnome.org/Projects/GTK%2B/Win32/MSVCCompilationOfGTKStack#GLib

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=722047

 Makefile.am                     |   1 -
 README.win32                    | 183 +---------------------------
 build/win32/Makefile.am         |   4 -
 build/win32/dirent/Makefile.am  |   1 -
 build/win32/dirent/makefile.msc |  16 ---
 build/win32/make.msc            | 237
 ------------------------------------
 build/win32/module.defs         | 124 -------------------
 configure.ac                    |   5 -
 gio/Makefile.am                 |   1 -
 gio/makefile.msc                | 260
 ----------------------------------------
 gio/win32/makefile.msc          |  35 ------
 glib/.gitignore                 |   1 -
 glib/Makefile.am                |   2 -
 glib/gnulib/Makefile.am         |   3 -
 glib/gnulib/makefile.msc        |  18 ---
 glib/makefile.msc.in            | 143 ----------------------
 glib/pcre/Makefile.am           |   4 +-
 glib/pcre/makefile.msc          |  30 -----
 glib/update-pcre/update.sh      |  38 ------
 gmodule/.gitignore              |   1 -
 gmodule/Makefile.am             |   2 -
 gmodule/makefile.msc.in         |  37 ------
 gobject/.gitignore              |   1 -
 gobject/Makefile.am             |   2 -
 gobject/makefile.msc.in         |  83 -------------
 gthread/.gitignore              |   1 -
 gthread/Makefile.am             |   2 -
 gthread/makefile.msc.in         |  26 ----
 makefile.msc                    |  28 -----
 tests/.gitignore                |   2 -
 tests/Makefile.am               |   4 -
 tests/makefile.msc.in           | 105 ----------------
 win32-fixup.pl                  |  41 -------
 33 files changed, 2 insertions(+), 1439 deletions(-)

commit 1d3210a8abeed853a943fe1620ccd4f24b76eb05
Author: Aleksander Morgado <aleksander@aleksander.es>
Date:   Mon Jul 10 11:11:39 2017 +0200

    configure: fix minor typo 'be build'->'be built'

    https://bugzilla.gnome.org/show_bug.cgi?id=784739

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28cc905cd02043a64135ccdf7f4e05d5672e4756
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Jul 9 20:47:55 2017 +0300

    Updated Hebrew translation

 po/he.po | 904
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 459 insertions(+), 445 deletions(-)

commit 28cc6aeb19dd2b5ff6e01362dbee833636930eeb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jul 7 19:11:51 2017 -0400

    gsettings: Try harder to describe keys

    If a key has no description, show the summary,
    rather than "(null)". Since thats not helpful at all.

 gio/gsettings-tool.c | 2 ++
 1 file changed, 2 insertions(+)

commit 85e4a2591227940db712223d8e39ccd7ae75802f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jul 1 20:31:51 2017 -0400

    Avoid a race with the openuri portal

    Same as the previous commit; use the new predictable request
    object path to connect to the Response signal early.

 gio/gopenuriportal.c | 67
 ++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 55 insertions(+), 12 deletions(-)

commit a95e2a4c64c74fa648e5ac5b6130c84ad73731ad
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 5 22:52:54 2017 +0200

    docs: Fix cut'n'paste error in g_resources_get_info() doc

    https://bugzilla.gnome.org/show_bug.cgi?id=784581

 gio/gresource.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8e23a514b02c67104f03545dec58116f00087229
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Sun Jul 2 22:51:30 2017 +0200

    unicode: Update test data files for unicode 10.0.0

    https://bugzilla.gnome.org/show_bug.cgi?id=784456

 tests/casefold.txt | 2 +-
 tests/casemap.txt  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4e1567a079c13036320802f49ee8f78f78d0273a
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Sun Jul 2 22:47:09 2017 +0200

    unicode: Update to unicode 10.0.0

    https://bugzilla.gnome.org/show_bug.cgi?id=784456

 glib/gscripttable.h   |   78 ++--
 glib/gunibreak.h      | 1062
 ++++++++++++++++++++++++++++++------------------
 glib/gunichartables.h | 1074
 ++++++++++++++++++++++++++++++++-----------------
 glib/gunicode.h       |   12 +-
 glib/gunidecomp.h     |   72 ++--
 glib/guniprop.c       |    6 +
 glib/tests/unicode.c  |   10 +
 7 files changed, 1476 insertions(+), 838 deletions(-)

commit a74fe20064d0f5f1ad8f191b2f988c3d11776054
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed Jul 5 16:35:58 2017 +0100

    tests: Drop local timezone GTimeVal overflow check

    We can’t reasonably control the local timezone in the test
    environment, so drop some assertions which were assuming the local
    timezone offset was not big enough to cause an overflow in the
    GTimeVal
    handling for GDateTime.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 glib/tests/gdatetime.c | 7 -------
 1 file changed, 7 deletions(-)

commit 5a8b02cae6a630a19cc0c164f5f8a93eddb240ab
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Jul 4 10:21:38 2017 +0100

    gdbusutils: Add an example to g_dbus_gvariant_to_gvalue() docs

    Clarify that GVariants of type v are not magically unboxed.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=784433

 gio/gdbusutils.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 9bc3d025f97ad1db456604f42bd014b7a9ac4048
Author: Jehan <jehan@girinstud.io>
Date:   Sat Jul 1 17:03:29 2017 +0200

    configure: close a parenthese in an error message.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f39024038fd009d94a5929f9bab656cb2f7097cc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jun 28 15:49:40 2017 -0400

    Disambiguate source names

    This makes debugging more pleasant.

 gio/gdbusconnection.c   | 2 +-
 gio/gdbusnameowning.c   | 2 +-
 gio/gdbusnamewatching.c | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 79e4d4c6be616277d7d6ba2f830852967c42f6e3
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Jun 21 15:45:07 2017 +0200

    gio: Mention the ALL_METADATA flag in g_file_copy()

    The g_file_copy() documentation didn't mention if
    G_FILE_COPY_ALL_METADATA was applicable or not, and users were led to
    call g_file_copy_attributes() to specify it after the g_file_copy()
    call, unless they checked the source (been there, done that).

    https://bugzilla.gnome.org/show_bug.cgi?id=784037

 gio/gfile.c | 4 ++++
 1 file changed, 4 insertions(+)

commit fd329f4853f180eb92746f39fc96fd5d91394009
Author: Sebastian Dröge <sebastian@centricular.com>
Date:   Wed Jun 21 09:52:06 2017 +0300

    GKeyFile – Add array length annotations to to_data(), get_keys()
    and get_groups()

    https://bugzilla.gnome.org/show_bug.cgi?id=784020

 glib/gkeyfile.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1366ce7ee004f97886807b9fede205c0af8b1a17
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Jun 20 13:41:10 2017 +0100

    gutf8: Clarify return value docs for g_utf8_find_next_char()

    Make it clearer that it will only return NULL if @end is non-NULL. Add
    a
    test for this too.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=773842

 glib/gutf8.c              | 8 +++++++-
 glib/tests/utf8-pointer.c | 9 +++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 3e89b19c44d353edfafde876e12b56ddd29ef8a4
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Mar 17 12:15:15 2017 +0000

    gutf8: Fix documentation for g_utf8_get_char_validated() length limits

    If g_utf8_get_char_validated() encounters a nul byte in the middle
    of a
    string of given longer length, it returns -2, indicating a partial
    gunichar. That is not the obvious behaviour, but since
    g_utf8_get_char_validated() has been API for a long time, the
    behaviour
    cannot be changed.

    Document it, and add some unit tests (for this behaviour and the other
    behaviour of g_utf8_get_char_validated()).

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=780095

 glib/gutf8.c               |  4 ++++
 glib/tests/utf8-validate.c | 53
 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit 428acd9b1486beba186c073577ea659eee44ae0a
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Jun 19 13:57:36 2017 +0100

    tests: Fix overflows in find_maximum_supported_tv_sec()

    The addition (highest_success + lowest_failure) could have overflowed,
    and typically would do on 32-bit platforms where the real
    highest_success should be G_MAXLONG. Fix that, and introduce special
    handling of the corner case of (highest_success = G_MAXLONG).

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=783841

 glib/tests/gdatetime.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 30fed3b906f3408aa4fc9a7996fa03cf7b940ebe
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Jun 16 12:42:32 2017 +0100

    tests: Fix GDateTime overflow tests on 32-bit architectures

    On architectures where sizeof(glong) == 32 bits, there are no problems
    with overflow when constructing a GDateTime from a GTimeVal. Adjust
    the
    test for this by basing it on the maximum supported tv_sec value
    it can
    calculate, rather than a fixed ‘known unsupported’ value.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=783841

 glib/tests/gdatetime.c | 35 +++++++++++++++++++++--------------
 1 file changed, 21 insertions(+), 14 deletions(-)

commit 2db7aa479919dc7ae8742f52ad5d54191a7282fd
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Jun 16 12:31:58 2017 +0100

    gdatetime: Fix a potential overflow in overflow calculations

    I can’t remember whether glong (tv.tv_sec) needs to be explicitly
    promoted to gint64 here, or whether C does it automatically. Safer to
    make the cast explicit to avoid overflow issues on 32-bit platforms,
    where glong is 32-bit.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=783841

 glib/gdatetime.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18f8b77c04be373fd4f65560519ab0e09596801e
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Jun 20 14:58:14 2017 +0100

    gio: Use g_strerror() instead of strerror()

    This marginally improves thread safety, and marginally improves
    consistency.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=733821

 gio/gdbusauthmechanismsha1.c     | 12 ++++++------
 gio/gdbusmessage.c               |  2 +-
 gio/gdbusserver.c                |  2 +-
 gio/gtestdbus.c                  |  4 ++--
 gio/gunixconnection.c            |  6 +++---
 gio/tests/gdbus-peer.c           |  2 +-
 gio/tests/gsubprocess-testprog.c |  2 +-
 7 files changed, 15 insertions(+), 15 deletions(-)

commit c8e268bbce70ee05da5a94e424517168a14c7645
Author: Igor Pashev <pashev.igor@gmail.com>
Date:   Tue Jun 20 13:38:00 2017 +0000

    Fix detection and usage of strerror_r()

    autoconf provides a macro for this situation, which saves us having to
    manually work out whether strerror_r() returns a char* or an int.

    https://bugzilla.gnome.org/show_bug.cgi?id=784000

 configure.ac     | 3 ++-
 glib/gstrfuncs.c | 4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit bb50b70713dbe8b41c8a729ecb90829e451ae335
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 19 21:51:09 2017 -0400

    2.53.3

 NEWS         | 33 +++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 34 insertions(+), 1 deletion(-)

commit 5cb0ca7a352e599705a1dce151cb9e45655be1d3
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Jun 17 11:01:18 2017 +0000

    Update Kazakh translation

 po/kk.po | 1482
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 755 insertions(+), 727 deletions(-)

commit 017f78d77f0bf2bed749e21199ea89d75e56ab69
Author: Colin Walters <walters@verbum.org>
Date:   Fri May 19 15:54:39 2017 -0400

    gtype: Add private DEFINE_TYPE with prelude to workaround gtype
    deadlocks

    And use it in GSocket, as it had a real-world case reported.

    https://bugzilla.gnome.org/show_bug.cgi?id=674885

 gio/gsocket.c           | 24 +++++++++++++++++-------
 gobject/gtype-private.h | 11 +++++++++++
 gobject/gtype.h         | 16 ++++++++++++++--
 3 files changed, 42 insertions(+), 9 deletions(-)

commit ac0b0c84f7d310012d6960d96bb5daa62b8d2d48
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed Jun 14 09:56:13 2017 +0100

    gmessages: Expand documentation on GLogWriterFunc chaining

    As prompted by Marc-Andre Lureau.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=661926

 glib/gmessages.c | 5 ++++-
 glib/gmessages.h | 7 +++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

commit ad49479265d061eb73682648feb550b105c3898c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jun 14 11:48:27 2017 +0800

    Visual Studio builds: Visual Studio 2013 and later has va_copy()

    Update config.h.win32.in and glib/glibconfig.h.win32.in to indicate
    so.

 config.h.win32.in          | 4 ++--
 glib/glibconfig.h.win32.in | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 951fd642dc49bbbc49f4929cfe47b643b161c992
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jun 14 10:51:55 2017 +0800

    Visual Studio builds: Use the Centricular fork of libffi

    The latest upstream libffi is getting bit-rotten with the Windows/MSVC
    builds, and since we are eventually moving to a Meson-based build
    system,
    make use of the Centricular fork of libffi[1], which is better
    maintained
    and tested for builds on Windows, with the use of DLLs over static
    libraries
    and elimination of awkward build flags that we had to use for GObject.

    [1]: https://github.com/centricular/libffi

 win32/vs10/README.txt                | 10 +++++-----
 win32/vs10/glib-build-defines.props  |  2 +-
 win32/vs10/gobject.vcxprojin         |  8 ++++----
 win32/vs9/README.txt                 |  9 ++++-----
 win32/vs9/glib-build-defines.vsprops |  2 +-
 win32/vs9/gobject.vcprojin           |  8 ++++----
 6 files changed, 19 insertions(+), 20 deletions(-)

commit d52f789a29be6686c469f98877b1d5b301ec2737
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sun Jun 11 02:08:58 2017 +0200

    Updated Esperanto translation

 po/eo.po | 4805
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 3234 insertions(+), 1571 deletions(-)

commit 45d4b59e3f7ef7b41db08f0c11ee5000126cfedb
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sun Dec 4 15:02:54 2016 +0800

    glocalfileoutputstream: Fix symlink writing on FreeBSD and NetBSD

    FreeBSD, DragonflyBSD and NetBSD support O_NOFOLLOW, but they
    use error
    numbers that are different from what POSIX standard specifies. They
    are
    not going to change the behavior, and existing programs on these
    systems
    already take advantage of this difference. To support them, we have to
    add a check in GIO to use different error numbers on these systems.

    https://bugzilla.gnome.org/show_bug.cgi?id=775593

 gio/glocalfileoutputstream.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 9c254f472fd49fbe57a99f5926b1621e5a254e54
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Fri Jun 9 19:35:20 2017 +0000

    Update German translation

 po/de.po | 71
 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 36 insertions(+), 35 deletions(-)

commit 34045e66a69636933b3e2c5c84ecab4463ff58d4
Author: Simon McVittie <smcv@collabora.com>
Date:   Fri Jun 9 12:41:54 2017 +0100

    GGtkNotificationBackend: Use correct path for GetNameOwner call

    For historical reasons, the reference dbus-daemon responds to most
    method calls on all object paths. However, the canonical path
    of the object implementing the o.fd.DBus interface is
    /org/freedesktop/DBus, and in some environments (notably AppArmor
    with the <abstractions/dbus-session-strict> abstraction) only this
    path is allowed.

    https://bugs.freedesktop.org/show_bug.cgi?id=101256 officially
    deprecates all other object paths, and when adding new APIs we will
    only make them available on the canonical object path.

    Signed-off-by: Simon McVittie <smcv@collabora.com>
    Reviewed-by: Emmanuele Bassi <ebassi@gnome.org>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=783593

 gio/ggtknotificationbackend.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit debbdb7ce7818beb9d73aafa6b261db4d7c9aa4f
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Jun 7 20:57:24 2017 +0200

    docs: The program name is also set by g_application_run

    https://bugzilla.gnome.org/show_bug.cgi?id=783524

 glib/gutils.c | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 6863080c32abff9667238a3b04750c6f675e1e1a
Author: Ondrej Holy <oholy@redhat.com>
Date:   Tue Jun 6 10:04:56 2017 +0200

    gio-tool: Fix alignment of monitor messages

    Name of GMount/GVolume/GDrive is aligned in many cases in output
    messages,
    except few cases. Let's unify the alignment.

    https://bugzilla.gnome.org/show_bug.cgi?id=776169

 gio/gio-tool-mount.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 085b3470f0bc1c2972a63433caa4e098a378d2f6
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Jun 5 16:07:52 2017 +0100

    gdbusintrospection: Remove incorrect (out) annotations

    The caller passes in a GString instance which is then modified by the
    function, rather than the function building its own GString and
    passing
    it out to the caller.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=783392

 gio/gdbusintrospection.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f98d9982677117834625f72ac1e496774564e15d
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Jun 5 16:04:18 2017 +0100

    gdatainputstream: Annotate (out) length arguments as (optional)

    All of them are.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=783350

 gio/gdatainputstream.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit cb9de6695c2716c88d830e6641ea9749e197b3b5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jun 5 14:12:15 2017 +0000

    Update Spanish translation

 po/es.po | 316
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 161 insertions(+), 155 deletions(-)

commit 329b7bdec5bd95ea4100f86e05e7fe446524fe26
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Sat Jun 3 23:44:14 2017 +0000

    Update Indonesian translation

 po/id.po | 44 +++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

commit eea06815749498edc07e35bbbd71c2fb57e4267d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Fri Jun 2 12:46:13 2017 +0200

    LGPLv2+ -> LGPLv2.1+: update remaining files

    For the files in gio/ (but not in gio/ sub-directories), only
    the *.[ch]
    files were handled in commit 3bf4a720c315b5015c8d51edf0b458348f796674.

    For the modified files in glib/tests/markups/, I've tested that
    `make check` still succeeds.

    After this commit,
    $ git grep -in "GNU Library"
    and
    $ git grep -in "Library General"
    return only results in COPYING files and in glib/libcharset/. The
    latter
    was not updated because it's a copy.

    $ git grep -in "version 2" | grep -iv "version 2\.1"
    now doesn't return any LGPL license header.
    - glib-gettextize.in: GPL
    - glib/gen-unicode-tables.pl: GPL
    - glib/gnulib/: a copy
    - glib/libcharset/: a copy
    - m4macros/attributes.m4: GPL
    - po/po2tbl.sed.in: GPL
    - tap-driver.sh: GPL
    - tests/*.pl: GPL

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gio/data-to-c.pl                              | 2 +-
 gio/gnetworking.h.in                          | 6 +++---
 gio/gnetworking.h.win32                       | 6 +++---
 gio/gopenuriportal.c                          | 6 +++---
 gio/gopenuriportal.h                          | 6 +++---
 gio/org.freedesktop.portal.Documents.xml      | 2 +-
 gio/org.freedesktop.portal.NetworkMonitor.xml | 2 +-
 gio/org.freedesktop.portal.OpenURI.xml        | 2 +-
 gio/org.freedesktop.portal.ProxyResolver.xml  | 2 +-
 glib/tests/markups/valid-14.expected          | 2 +-
 glib/tests/markups/valid-14.gmarkup           | 2 +-
 11 files changed, 19 insertions(+), 19 deletions(-)

commit 34b21312f1e0f6d35ccc815cc93f723c0a225ff3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 2 11:42:42 2017 -0700

    appinfo: Fix the build on windows

    The previous commit forgot to protect some unix-only
    calls by an ifdef.

    Pointed out by John Emmas.

 gio/gappinfo.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 7c5cd293d02d8650973c397b515b5d4a88ba0f80
Author: Patrick Griffis <tingping@tingping.se>
Date:   Tue Dec 20 00:41:36 2016 -0500

    Fix g_file_copy_async() annotation

    https://bugzilla.gnome.org/show_bug.cgi?id=776333

 gio/gfile.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit e4e83bff7282348387c7fe3fae5dad80aebaf096
Author: Ignacio Casal Quinteiro <qignacio@amazon.com>
Date:   Thu Jun 1 09:11:00 2017 +0200

    win32: port monotonic times to use QPC

    This provides a high precision monotonic time and
    the concerns that we had are no longer true
    on new versions of Windows (7+).

    https://bugzilla.gnome.org/show_bug.cgi?id=783340

 glib/gmain.c | 134
 +++++++++++------------------------------------------------
 1 file changed, 24 insertions(+), 110 deletions(-)

commit b4ee4628d9133556fae8144d8e5454346d23cabc
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Fri Apr 14 07:29:05 2017 +0000

    GetTickCount64 is a __stdcall function

    https://bugzilla.gnome.org/show_bug.cgi?id=781301

 glib/gmain.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d1d60fc846ce208ca730919e3608bd8ffda31a0c
Author: John Lindgren <john@jlindgren.net>
Date:   Fri Apr 14 02:09:35 2017 -0400

    NtNotifyChangeMultipleKeys is a __stdcall function.

    https://bugzilla.gnome.org/show_bug.cgi?id=781301

 gio/gwin32registrykey.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 4dd1b17c2487470831f03d7ee52e3cc1a0c9e0bd
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Feb 6 09:41:10 2017 +0100

    gdbus: Fix race in name watching on connection teardown

    If g_dbus_unwatch_name() is called from one thread at the same time as
    the GDBusConnection is emitting ::disconnected in another thread,
    there
    will be a race and the handler for ::disconnected may end up using
    memory after it’s freed.

    Fix this by serialising through the map_id_to_client, so that
    on_connection_disconnected() atomically gets a strong reference to the
    Client, or NULL.

    https://bugzilla.gnome.org/show_bug.cgi?id=777307

 gio/gdbusnamewatching.c | 48
 +++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 43 insertions(+), 5 deletions(-)

commit 97068f363efd40893ff902201390b0efe92d3293
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed May 31 12:10:25 2017 -0400

    OpenFile support: Handle open failing

    This can happen, report it as an error when it does.

 gio/gopenuriportal.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit e1e73dafa6eeae3e045bf054e132c2c70ff2bcc0
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Mar 30 11:02:14 2017 +0100

    gsubprocess: Copy parent process’ environ when clearing
    subprocess’

    Previously, this was done at the time of spawning the subprocess,
    which
    meant the g_subprocess_launcher_*_environ() functions could not
    be used
    to modify the parent process’ environment.

    Change the code to copy the parent process’ environment when
    g_subprocess_launcher_set_environ(NULL) is called. Document the change
    and add a unit test.

    https://bugzilla.gnome.org/show_bug.cgi?id=778422

 gio/gsubprocesslauncher.c | 11 +++++++++--
 gio/tests/gsubprocess.c   | 46
 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+), 2 deletions(-)

commit c7d325733c6a3bd384df6523350d9312df5ccc92
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed May 31 11:08:55 2017 +0100

    docs: Mention GtkApplication in the GResource documentation

    Since GtkApplication auto-loads some well-known resource paths. Add a
    cross-reference to its documentation. (The cross-reference won’t be
    linked if the GTK+ documentation isn’t available at build time,
    but this
    is probably good enough. It is likely to be available.)

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=782336

 gio/gresource.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 678899e87a77b534535af58d87872d642aef6a5c
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed May 31 11:08:05 2017 +0100

    docs: Mention the alias GResource attribute in the documentation

    It was the only part of the XML format which was not documented.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=782336

 gio/gresource.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 29b4e9b05f534c98ef7e5aa346b1ec9dca781cbf
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed May 31 10:55:25 2017 +0100

    docs: Improve formatting and fix typos in GResource documentation

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 gio/gresource.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 4c8ab22b95de887af7e233095816c3ae9dd8c10e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat May 20 16:21:14 2017 -0400

    Use OpenFile for local files

    The OpenURI portal has a separate method to handle local
    files now. Use it.

    At the same time, split out the openuri helpers into separate
    files, and generate code for the OpenURI portal.

    https://bugzilla.gnome.org/show_bug.cgi?id=783193

 gio/Makefile.am                        |   4 +
 gio/gappinfo.c                         | 264 +++-------------------------
 gio/gopenuriportal.c                   | 302
 +++++++++++++++++++++++++++++++++
 gio/gopenuriportal.h                   |  41 +++++
 gio/org.freedesktop.portal.OpenURI.xml | 105 ++++++++++++
 5 files changed, 471 insertions(+), 245 deletions(-)

commit 99d34f65d3101333ffad69f06e4625000585c7bf
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Mon May 29 00:38:19 2017 +0200

    gdbus-codegen: Apply --output-directory to generated docs as well

    In addition to code, gdbus-codegen can also generate docbook
    documentation for DBus interfaces. There's no good reason why
    the newly added --output-directory option shouldn't apply to
    those generated files as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=783201

 gio/gdbus-2.0/codegen/codegen_docbook.py | 6 ++++--
 gio/gdbus-2.0/codegen/codegen_main.py    | 5 +++--
 2 files changed, 7 insertions(+), 4 deletions(-)

commit d3b4f7c9f6be6894538fa7b172aad43b9031e983
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat May 6 14:22:38 2017 -0400

    Make dbus activation sandbox-aware

    When we call org.freedesktop.Application.Open to activate
    an application and pass file uris, the application may not
    be able to see the files due to a flatpak sandbox.

    Flatpak puts the flatpak app-id in the  X-Flatpak key in
    desktop files that it exports, so we can easily recognize
    applications that may be affected by this.

    In this case, call the document portal to export the files
    and pass the resulting uri's instead of the original ones.

    https://bugzilla.gnome.org/show_bug.cgi?id=783130

 gio/gdesktopappinfo.c | 43 ++++++++++++++++++++++++++++++++++++-------
 1 file changed, 36 insertions(+), 7 deletions(-)

commit 60a1cc9facaa29414213066fddf8507575f6ff3f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue May 23 22:08:01 2017 -0400

    Add a wrapper for the AddFull document portal api

    This is a wrapper which takes a list of uris and rewrites
    them by calling AddFull with the file:// uris.

    https://bugzilla.gnome.org/show_bug.cgi?id=783130

 gio/gdocumentportal.c | 126
 +++++++++++++++++++++++++++++++++++++++++++++++++-
 gio/gdocumentportal.h |   4 ++
 2 files changed, 129 insertions(+), 1 deletion(-)

commit a76fc7fa760c21776d4c2888d3064597cf18ca78
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue May 23 21:54:39 2017 -0400

    Update flatpak document portal interface

    This api has been changed upstream, recently.

    A new AddFull method has been added in this commit:
    https://github.com/flatpak/flatpak/commit/6ce8521b640c7a69f97a2fd7c96de94eb9a83125

    https://bugzilla.gnome.org/show_bug.cgi?id=783130

 gio/Makefile.am                          |   1 +
 gio/org.freedesktop.portal.Documents.xml | 161
 ++++++++++++++++++++++++++++++-
 2 files changed, 160 insertions(+), 2 deletions(-)

commit 90b255ee93684515914f2ebd3fd2c6f822225883
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon May 29 22:53:44 2017 +0100

    docs: Fix minor cross-linking problem in GVariant documentation

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 glib/gvariant.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cc8b3d6ee203c58a6465c464d71838dd587241eb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Fri May 26 15:15:21 2017 +0200

    docs: LGPL: Library -> Lesser

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 docs/reference/glib/glib-docs.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d51054ab60a5ee3aa39595cdcf3eb90bd55d458
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Sun May 28 14:05:16 2017 +0200

    Update COPYING file to LGPLv2.1

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 COPYING | 216
 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 118 insertions(+), 98 deletions(-)

commit f6c44ec3e44557463721a54b7b6fe0264c6d2424
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Sun May 28 14:09:39 2017 +0200

    tests/: LGPLv2+ -> LGPLv2.1+

    gen-casefold-txt.pl and gen-casemap-txt.pl are licensed under
    GPLv2+, so
    they are not touched by this commit.

    A lot of *.c files in tests/ don't have a license header.

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 tests/child-test.c                   | 2 +-
 tests/completion-test.c              | 2 +-
 tests/dirname-test.c                 | 2 +-
 tests/env-test.c                     | 2 +-
 tests/file-test.c                    | 2 +-
 tests/gio-test.c                     | 2 +-
 tests/gobject/accumulator.c          | 2 +-
 tests/gobject/defaultiface.c         | 2 +-
 tests/gobject/deftype.c              | 2 +-
 tests/gobject/dynamictype.c          | 2 +-
 tests/gobject/gvalue-test.c          | 2 +-
 tests/gobject/ifacecheck.c           | 2 +-
 tests/gobject/ifaceinherit.c         | 2 +-
 tests/gobject/ifaceinit.c            | 2 +-
 tests/gobject/override.c             | 2 +-
 tests/gobject/paramspec-test.c       | 2 +-
 tests/gobject/performance-threaded.c | 2 +-
 tests/gobject/performance.c          | 2 +-
 tests/gobject/references.c           | 2 +-
 tests/gobject/signals.c              | 2 +-
 tests/gobject/singleton.c            | 2 +-
 tests/gobject/testcommon.h           | 2 +-
 tests/gobject/testgobject.c          | 2 +-
 tests/gobject/testmodule.c           | 2 +-
 tests/gobject/testmodule.h           | 2 +-
 tests/libmoduletestplugin_a.c        | 2 +-
 tests/libmoduletestplugin_b.c        | 2 +-
 tests/mapping-test.c                 | 2 +-
 tests/memchunks.c                    | 2 +-
 tests/module-test.c                  | 2 +-
 tests/relation-test.c                | 2 +-
 tests/slice-color.c                  | 2 +-
 tests/slice-concurrent.c             | 2 +-
 tests/slice-test.c                   | 2 +-
 tests/sources.c                      | 2 +-
 tests/spawn-test.c                   | 2 +-
 tests/testglib.c                     | 2 +-
 tests/type-test.c                    | 2 +-
 38 files changed, 38 insertions(+), 38 deletions(-)

commit 3bf4a720c315b5015c8d51edf0b458348f796674
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Sat May 27 18:21:30 2017 +0200

    gio/: LGPLv2+ -> LGPLv2.1+

    Sub-directories inside gio/ already processed in a previous commit:
    - fam/
    - gdbus-2.0/ (which contains only codegen/)
    - gvdb/
    - inotify/
    - tests/
    - win32/
    - xdgmime/

    Other sub-directories inside gio/:
    - completion/: no license headers
    - kqueue/: not LGPL, BSD-style license

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gio/gaction.c                     | 8 ++++----
 gio/gaction.h                     | 8 ++++----
 gio/gactiongroup.c                | 8 ++++----
 gio/gactiongroup.h                | 8 ++++----
 gio/gactiongroupexporter.c        | 8 ++++----
 gio/gactiongroupexporter.h        | 8 ++++----
 gio/gactionmap.c                  | 8 ++++----
 gio/gactionmap.h                  | 8 ++++----
 gio/gappinfo.c                    | 2 +-
 gio/gappinfo.h                    | 2 +-
 gio/gappinfoprivate.h             | 2 +-
 gio/gapplication-tool.c           | 2 +-
 gio/gapplication.c                | 8 ++++----
 gio/gapplication.h                | 8 ++++----
 gio/gapplicationcommandline.c     | 8 ++++----
 gio/gapplicationcommandline.h     | 8 ++++----
 gio/gapplicationimpl-dbus.c       | 2 +-
 gio/gasynchelper.c                | 2 +-
 gio/gasynchelper.h                | 2 +-
 gio/gasyncinitable.c              | 2 +-
 gio/gasyncinitable.h              | 2 +-
 gio/gasyncresult.c                | 2 +-
 gio/gasyncresult.h                | 2 +-
 gio/gbufferedinputstream.c        | 2 +-
 gio/gbufferedinputstream.h        | 2 +-
 gio/gbufferedoutputstream.c       | 2 +-
 gio/gbufferedoutputstream.h       | 2 +-
 gio/gbytesicon.c                  | 2 +-
 gio/gbytesicon.h                  | 2 +-
 gio/gcancellable.c                | 2 +-
 gio/gcancellable.h                | 2 +-
 gio/gcharsetconverter.c           | 2 +-
 gio/gcharsetconverter.h           | 2 +-
 gio/gcocoanotificationbackend.c   | 2 +-
 gio/gcontenttype-win32.c          | 2 +-
 gio/gcontenttype.c                | 2 +-
 gio/gcontenttype.h                | 2 +-
 gio/gcontenttypeprivate.h         | 2 +-
 gio/gcontextspecificgroup.c       | 2 +-
 gio/gcontextspecificgroup.h       | 2 +-
 gio/gconverter.c                  | 2 +-
 gio/gconverter.h                  | 2 +-
 gio/gconverterinputstream.c       | 2 +-
 gio/gconverterinputstream.h       | 2 +-
 gio/gconverteroutputstream.c      | 2 +-
 gio/gconverteroutputstream.h      | 2 +-
 gio/gcredentials.c                | 2 +-
 gio/gcredentials.h                | 2 +-
 gio/gcredentialsprivate.h         | 2 +-
 gio/gdatagrambased.c              | 2 +-
 gio/gdatagrambased.h              | 2 +-
 gio/gdatainputstream.c            | 2 +-
 gio/gdatainputstream.h            | 2 +-
 gio/gdataoutputstream.c           | 2 +-
 gio/gdataoutputstream.h           | 2 +-
 gio/gdbus-tool.c                  | 2 +-
 gio/gdbusactiongroup-private.h    | 8 ++++----
 gio/gdbusactiongroup.c            | 8 ++++----
 gio/gdbusactiongroup.h            | 8 ++++----
 gio/gdbusaddress.c                | 2 +-
 gio/gdbusaddress.h                | 2 +-
 gio/gdbusauth.c                   | 2 +-
 gio/gdbusauth.h                   | 2 +-
 gio/gdbusauthmechanism.c          | 2 +-
 gio/gdbusauthmechanism.h          | 2 +-
 gio/gdbusauthmechanismanon.c      | 2 +-
 gio/gdbusauthmechanismanon.h      | 2 +-
 gio/gdbusauthmechanismexternal.c  | 2 +-
 gio/gdbusauthmechanismexternal.h  | 2 +-
 gio/gdbusauthmechanismsha1.c      | 2 +-
 gio/gdbusauthmechanismsha1.h      | 2 +-
 gio/gdbusauthobserver.c           | 2 +-
 gio/gdbusauthobserver.h           | 2 +-
 gio/gdbusconnection.c             | 2 +-
 gio/gdbusconnection.h             | 2 +-
 gio/gdbuserror.c                  | 2 +-
 gio/gdbuserror.h                  | 2 +-
 gio/gdbusinterface.c              | 2 +-
 gio/gdbusinterface.h              | 2 +-
 gio/gdbusinterfaceskeleton.c      | 2 +-
 gio/gdbusinterfaceskeleton.h      | 2 +-
 gio/gdbusintrospection.c          | 2 +-
 gio/gdbusintrospection.h          | 2 +-
 gio/gdbusmenumodel.c              | 8 ++++----
 gio/gdbusmenumodel.h              | 8 ++++----
 gio/gdbusmessage.c                | 2 +-
 gio/gdbusmessage.h                | 2 +-
 gio/gdbusmethodinvocation.c       | 2 +-
 gio/gdbusmethodinvocation.h       | 2 +-
 gio/gdbusnameowning.c             | 2 +-
 gio/gdbusnameowning.h             | 2 +-
 gio/gdbusnamewatching.c           | 2 +-
 gio/gdbusnamewatching.h           | 2 +-
 gio/gdbusobject.c                 | 2 +-
 gio/gdbusobject.h                 | 2 +-
 gio/gdbusobjectmanager.c          | 2 +-
 gio/gdbusobjectmanager.h          | 2 +-
 gio/gdbusobjectmanagerclient.c    | 2 +-
 gio/gdbusobjectmanagerclient.h    | 2 +-
 gio/gdbusobjectmanagerserver.c    | 2 +-
 gio/gdbusobjectmanagerserver.h    | 2 +-
 gio/gdbusobjectproxy.c            | 2 +-
 gio/gdbusobjectproxy.h            | 2 +-
 gio/gdbusobjectskeleton.c         | 2 +-
 gio/gdbusobjectskeleton.h         | 2 +-
 gio/gdbusprivate.c                | 2 +-
 gio/gdbusprivate.h                | 2 +-
 gio/gdbusproxy.c                  | 2 +-
 gio/gdbusproxy.h                  | 2 +-
 gio/gdbusserver.c                 | 2 +-
 gio/gdbusserver.h                 | 2 +-
 gio/gdbusutils.c                  | 2 +-
 gio/gdbusutils.h                  | 2 +-
 gio/gdelayedsettingsbackend.c     | 2 +-
 gio/gdelayedsettingsbackend.h     | 2 +-
 gio/gdesktopappinfo.c             | 2 +-
 gio/gdesktopappinfo.h             | 2 +-
 gio/gdocumentportal.c             | 2 +-
 gio/gdocumentportal.h             | 2 +-
 gio/gdrive.c                      | 2 +-
 gio/gdrive.h                      | 2 +-
 gio/gdtlsclientconnection.c       | 2 +-
 gio/gdtlsclientconnection.h       | 2 +-
 gio/gdtlsconnection.c             | 2 +-
 gio/gdtlsconnection.h             | 2 +-
 gio/gdtlsserverconnection.c       | 2 +-
 gio/gdtlsserverconnection.h       | 2 +-
 gio/gdummyfile.c                  | 2 +-
 gio/gdummyfile.h                  | 2 +-
 gio/gdummyproxyresolver.c         | 2 +-
 gio/gdummyproxyresolver.h         | 2 +-
 gio/gdummytlsbackend.c            | 2 +-
 gio/gdummytlsbackend.h            | 2 +-
 gio/gemblem.c                     | 2 +-
 gio/gemblem.h                     | 2 +-
 gio/gemblemedicon.c               | 2 +-
 gio/gemblemedicon.h               | 2 +-
 gio/gfdonotificationbackend.c     | 2 +-
 gio/gfile.c                       | 2 +-
 gio/gfile.h                       | 2 +-
 gio/gfileattribute-priv.h         | 2 +-
 gio/gfileattribute.c              | 2 +-
 gio/gfileattribute.h              | 2 +-
 gio/gfiledescriptorbased.c        | 2 +-
 gio/gfiledescriptorbased.h        | 2 +-
 gio/gfileenumerator.c             | 2 +-
 gio/gfileenumerator.h             | 2 +-
 gio/gfileicon.c                   | 2 +-
 gio/gfileicon.h                   | 2 +-
 gio/gfileinfo-priv.h              | 2 +-
 gio/gfileinfo.c                   | 2 +-
 gio/gfileinfo.h                   | 2 +-
 gio/gfileinputstream.c            | 2 +-
 gio/gfileinputstream.h            | 2 +-
 gio/gfileiostream.c               | 2 +-
 gio/gfileiostream.h               | 2 +-
 gio/gfilemonitor.c                | 2 +-
 gio/gfilemonitor.h                | 2 +-
 gio/gfilenamecompleter.c          | 2 +-
 gio/gfilenamecompleter.h          | 2 +-
 gio/gfileoutputstream.c           | 2 +-
 gio/gfileoutputstream.h           | 2 +-
 gio/gfilterinputstream.c          | 2 +-
 gio/gfilterinputstream.h          | 2 +-
 gio/gfilteroutputstream.c         | 2 +-
 gio/gfilteroutputstream.h         | 2 +-
 gio/ggtknotificationbackend.c     | 2 +-
 gio/ghttpproxy.c                  | 2 +-
 gio/ghttpproxy.h                  | 2 +-
 gio/gicon.c                       | 2 +-
 gio/gicon.h                       | 2 +-
 gio/ginetaddress.c                | 2 +-
 gio/ginetaddress.h                | 2 +-
 gio/ginetaddressmask.c            | 2 +-
 gio/ginetaddressmask.h            | 2 +-
 gio/ginetsocketaddress.c          | 2 +-
 gio/ginetsocketaddress.h          | 2 +-
 gio/ginitable.c                   | 2 +-
 gio/ginitable.h                   | 2 +-
 gio/ginputstream.c                | 2 +-
 gio/ginputstream.h                | 2 +-
 gio/gio-autocleanups.h            | 2 +-
 gio/gio-querymodules.c            | 2 +-
 gio/gio-tool-cat.c                | 2 +-
 gio/gio-tool-copy.c               | 2 +-
 gio/gio-tool-info.c               | 2 +-
 gio/gio-tool-list.c               | 2 +-
 gio/gio-tool-mime.c               | 2 +-
 gio/gio-tool-mkdir.c              | 2 +-
 gio/gio-tool-monitor.c            | 2 +-
 gio/gio-tool-mount.c              | 2 +-
 gio/gio-tool-move.c               | 2 +-
 gio/gio-tool-open.c               | 2 +-
 gio/gio-tool-remove.c             | 2 +-
 gio/gio-tool-rename.c             | 2 +-
 gio/gio-tool-save.c               | 2 +-
 gio/gio-tool-set.c                | 2 +-
 gio/gio-tool-trash.c              | 2 +-
 gio/gio-tool-tree.c               | 2 +-
 gio/gio-tool.c                    | 2 +-
 gio/gio-tool.h                    | 2 +-
 gio/gio.h                         | 2 +-
 gio/gio_trace.h                   | 2 +-
 gio/gioenums.h                    | 2 +-
 gio/gioerror.c                    | 2 +-
 gio/gioerror.h                    | 2 +-
 gio/giomodule-priv.h              | 2 +-
 gio/giomodule.c                   | 2 +-
 gio/giomodule.h                   | 2 +-
 gio/gioprivate.h                  | 2 +-
 gio/gioscheduler.c                | 2 +-
 gio/gioscheduler.h                | 2 +-
 gio/giostream.c                   | 2 +-
 gio/giostream.h                   | 8 ++++----
 gio/giotypes.h                    | 2 +-
 gio/giowin32-priv.h               | 2 +-
 gio/gkeyfilesettingsbackend.c     | 2 +-
 gio/glib-compile-resources.c      | 2 +-
 gio/glib-compile-schemas.c        | 2 +-
 gio/glistmodel.c                  | 2 +-
 gio/glistmodel.h                  | 2 +-
 gio/gliststore.c                  | 2 +-
 gio/gliststore.h                  | 2 +-
 gio/gloadableicon.c               | 2 +-
 gio/gloadableicon.h               | 2 +-
 gio/glocalfile.c                  | 2 +-
 gio/glocalfile.h                  | 2 +-
 gio/glocalfileenumerator.c        | 2 +-
 gio/glocalfileenumerator.h        | 2 +-
 gio/glocalfileinfo.c              | 2 +-
 gio/glocalfileinfo.h              | 2 +-
 gio/glocalfileinputstream.c       | 2 +-
 gio/glocalfileinputstream.h       | 2 +-
 gio/glocalfileiostream.c          | 2 +-
 gio/glocalfileiostream.h          | 2 +-
 gio/glocalfilemonitor.c           | 2 +-
 gio/glocalfilemonitor.h           | 2 +-
 gio/glocalfileoutputstream.c      | 2 +-
 gio/glocalfileoutputstream.h      | 2 +-
 gio/glocalfileprivate.h           | 2 +-
 gio/glocalvfs.c                   | 2 +-
 gio/glocalvfs.h                   | 2 +-
 gio/gmemoryinputstream.c          | 2 +-
 gio/gmemoryinputstream.h          | 2 +-
 gio/gmemoryoutputstream.c         | 2 +-
 gio/gmemoryoutputstream.h         | 2 +-
 gio/gmemorysettingsbackend.c      | 2 +-
 gio/gmenu.c                       | 8 ++++----
 gio/gmenu.h                       | 8 ++++----
 gio/gmenuexporter.c               | 8 ++++----
 gio/gmenuexporter.h               | 8 ++++----
 gio/gmenumodel.c                  | 8 ++++----
 gio/gmenumodel.h                  | 8 ++++----
 gio/gmount.c                      | 2 +-
 gio/gmount.h                      | 2 +-
 gio/gmountoperation.c             | 2 +-
 gio/gmountoperation.h             | 2 +-
 gio/gmountprivate.h               | 2 +-
 gio/gnativesocketaddress.c        | 2 +-
 gio/gnativesocketaddress.h        | 2 +-
 gio/gnativevolumemonitor.c        | 2 +-
 gio/gnativevolumemonitor.h        | 2 +-
 gio/gnetworkaddress.c             | 2 +-
 gio/gnetworkaddress.h             | 2 +-
 gio/gnetworking.c                 | 2 +-
 gio/gnetworkingprivate.h          | 2 +-
 gio/gnetworkmonitor.c             | 2 +-
 gio/gnetworkmonitor.h             | 2 +-
 gio/gnetworkmonitorbase.c         | 2 +-
 gio/gnetworkmonitorbase.h         | 2 +-
 gio/gnetworkmonitornetlink.c      | 2 +-
 gio/gnetworkmonitornetlink.h      | 2 +-
 gio/gnetworkmonitornm.c           | 2 +-
 gio/gnetworkmonitornm.h           | 2 +-
 gio/gnetworkmonitorportal.c       | 2 +-
 gio/gnetworkmonitorportal.h       | 2 +-
 gio/gnetworkservice.c             | 2 +-
 gio/gnetworkservice.h             | 2 +-
 gio/gnextstepsettingsbackend.c    | 2 +-
 gio/gnotification-private.h       | 2 +-
 gio/gnotification.c               | 2 +-
 gio/gnotification.h               | 2 +-
 gio/gnotificationbackend.c        | 8 ++++----
 gio/gnotificationbackend.h        | 8 ++++----
 gio/gnullsettingsbackend.c        | 2 +-
 gio/gosxappinfo.c                 | 2 +-
 gio/gosxappinfo.h                 | 2 +-
 gio/gosxcontenttype.c             | 2 +-
 gio/goutputstream.c               | 2 +-
 gio/goutputstream.h               | 2 +-
 gio/gpermission.c                 | 2 +-
 gio/gpermission.h                 | 2 +-
 gio/gpollableinputstream.c        | 2 +-
 gio/gpollableinputstream.h        | 2 +-
 gio/gpollableoutputstream.c       | 2 +-
 gio/gpollableoutputstream.h       | 2 +-
 gio/gpollableutils.c              | 2 +-
 gio/gpollableutils.h              | 2 +-
 gio/gpollfilemonitor.c            | 2 +-
 gio/gpollfilemonitor.h            | 2 +-
 gio/gportalnotificationbackend.c  | 2 +-
 gio/gportalsupport.c              | 2 +-
 gio/gportalsupport.h              | 2 +-
 gio/gpropertyaction.c             | 8 ++++----
 gio/gpropertyaction.h             | 8 ++++----
 gio/gproxy.c                      | 2 +-
 gio/gproxy.h                      | 2 +-
 gio/gproxyaddress.c               | 2 +-
 gio/gproxyaddress.h               | 2 +-
 gio/gproxyaddressenumerator.c     | 2 +-
 gio/gproxyaddressenumerator.h     | 2 +-
 gio/gproxyresolver.c              | 2 +-
 gio/gproxyresolver.h              | 2 +-
 gio/gproxyresolverportal.c        | 2 +-
 gio/gproxyresolverportal.h        | 2 +-
 gio/gregistrysettingsbackend.c    | 2 +-
 gio/gregistrysettingsbackend.h    | 2 +-
 gio/gremoteactiongroup.c          | 8 ++++----
 gio/gremoteactiongroup.h          | 8 ++++----
 gio/gresolver.c                   | 2 +-
 gio/gresolver.h                   | 2 +-
 gio/gresource-tool.c              | 2 +-
 gio/gresource.c                   | 2 +-
 gio/gresource.h                   | 2 +-
 gio/gresourcefile.c               | 2 +-
 gio/gresourcefile.h               | 2 +-
 gio/gseekable.c                   | 2 +-
 gio/gseekable.h                   | 2 +-
 gio/gsettings-mapping.c           | 2 +-
 gio/gsettings-mapping.h           | 2 +-
 gio/gsettings-tool.c              | 2 +-
 gio/gsettings.c                   | 2 +-
 gio/gsettings.h                   | 2 +-
 gio/gsettingsbackend.c            | 2 +-
 gio/gsettingsbackend.h            | 2 +-
 gio/gsettingsbackendinternal.h    | 2 +-
 gio/gsettingsschema-internal.h    | 2 +-
 gio/gsettingsschema.c             | 2 +-
 gio/gsettingsschema.h             | 2 +-
 gio/gsimpleaction.c               | 8 ++++----
 gio/gsimpleaction.h               | 8 ++++----
 gio/gsimpleactiongroup.c          | 8 ++++----
 gio/gsimpleactiongroup.h          | 8 ++++----
 gio/gsimpleasyncresult.c          | 2 +-
 gio/gsimpleasyncresult.h          | 2 +-
 gio/gsimpleiostream.c             | 8 ++++----
 gio/gsimpleiostream.h             | 8 ++++----
 gio/gsimplepermission.c           | 2 +-
 gio/gsimplepermission.h           | 2 +-
 gio/gsimpleproxyresolver.c        | 2 +-
 gio/gsimpleproxyresolver.h        | 2 +-
 gio/gsocket.c                     | 2 +-
 gio/gsocket.h                     | 2 +-
 gio/gsocketaddress.c              | 2 +-
 gio/gsocketaddress.h              | 2 +-
 gio/gsocketaddressenumerator.c    | 2 +-
 gio/gsocketaddressenumerator.h    | 2 +-
 gio/gsocketclient.c               | 2 +-
 gio/gsocketclient.h               | 8 ++++----
 gio/gsocketconnectable.c          | 2 +-
 gio/gsocketconnectable.h          | 2 +-
 gio/gsocketconnection.c           | 2 +-
 gio/gsocketconnection.h           | 8 ++++----
 gio/gsocketcontrolmessage.c       | 8 ++++----
 gio/gsocketcontrolmessage.h       | 8 ++++----
 gio/gsocketinputstream.c          | 2 +-
 gio/gsocketinputstream.h          | 8 ++++----
 gio/gsocketlistener.c             | 2 +-
 gio/gsocketlistener.h             | 8 ++++----
 gio/gsocketoutputstream.c         | 2 +-
 gio/gsocketoutputstream.h         | 8 ++++----
 gio/gsocketservice.c              | 8 ++++----
 gio/gsocketservice.h              | 8 ++++----
 gio/gsocks4aproxy.c               | 2 +-
 gio/gsocks4aproxy.h               | 2 +-
 gio/gsocks4proxy.c                | 2 +-
 gio/gsocks4proxy.h                | 2 +-
 gio/gsocks5proxy.c                | 2 +-
 gio/gsocks5proxy.h                | 2 +-
 gio/gsrvtarget.c                  | 2 +-
 gio/gsrvtarget.h                  | 2 +-
 gio/gsubprocess.c                 | 8 ++++----
 gio/gsubprocess.h                 | 2 +-
 gio/gsubprocesslauncher-private.h | 2 +-
 gio/gsubprocesslauncher.c         | 8 ++++----
 gio/gsubprocesslauncher.h         | 2 +-
 gio/gtask.c                       | 2 +-
 gio/gtask.h                       | 2 +-
 gio/gtcpconnection.c              | 8 ++++----
 gio/gtcpconnection.h              | 8 ++++----
 gio/gtcpwrapperconnection.c       | 2 +-
 gio/gtcpwrapperconnection.h       | 8 ++++----
 gio/gtestdbus.c                   | 2 +-
 gio/gtestdbus.h                   | 2 +-
 gio/gthemedicon.c                 | 2 +-
 gio/gthemedicon.h                 | 2 +-
 gio/gthreadedresolver.c           | 2 +-
 gio/gthreadedresolver.h           | 2 +-
 gio/gthreadedsocketservice.c      | 8 ++++----
 gio/gthreadedsocketservice.h      | 8 ++++----
 gio/gtlsbackend.c                 | 2 +-
 gio/gtlsbackend.h                 | 2 +-
 gio/gtlscertificate.c             | 2 +-
 gio/gtlscertificate.h             | 2 +-
 gio/gtlsclientconnection.c        | 2 +-
 gio/gtlsclientconnection.h        | 2 +-
 gio/gtlsconnection.c              | 2 +-
 gio/gtlsconnection.h              | 2 +-
 gio/gtlsdatabase.c                | 2 +-
 gio/gtlsdatabase.h                | 2 +-
 gio/gtlsfiledatabase.c            | 2 +-
 gio/gtlsfiledatabase.h            | 8 ++++----
 gio/gtlsinteraction.c             | 2 +-
 gio/gtlsinteraction.h             | 2 +-
 gio/gtlspassword.c                | 2 +-
 gio/gtlspassword.h                | 2 +-
 gio/gtlsserverconnection.c        | 2 +-
 gio/gtlsserverconnection.h        | 2 +-
 gio/gunionvolumemonitor.c         | 2 +-
 gio/gunionvolumemonitor.h         | 2 +-
 gio/gunixconnection.c             | 8 ++++----
 gio/gunixconnection.h             | 8 ++++----
 gio/gunixcredentialsmessage.c     | 8 ++++----
 gio/gunixcredentialsmessage.h     | 8 ++++----
 gio/gunixfdlist.c                 | 8 ++++----
 gio/gunixfdlist.h                 | 8 ++++----
 gio/gunixfdmessage.c              | 8 ++++----
 gio/gunixfdmessage.h              | 8 ++++----
 gio/gunixinputstream.c            | 2 +-
 gio/gunixinputstream.h            | 2 +-
 gio/gunixmount.c                  | 2 +-
 gio/gunixmount.h                  | 2 +-
 gio/gunixmounts.c                 | 2 +-
 gio/gunixmounts.h                 | 2 +-
 gio/gunixoutputstream.c           | 2 +-
 gio/gunixoutputstream.h           | 2 +-
 gio/gunixsocketaddress.c          | 2 +-
 gio/gunixsocketaddress.h          | 2 +-
 gio/gunixvolume.c                 | 2 +-
 gio/gunixvolume.h                 | 2 +-
 gio/gunixvolumemonitor.c          | 2 +-
 gio/gunixvolumemonitor.h          | 2 +-
 gio/gvfs.c                        | 2 +-
 gio/gvfs.h                        | 2 +-
 gio/gvolume.c                     | 2 +-
 gio/gvolume.h                     | 2 +-
 gio/gvolumemonitor.c              | 2 +-
 gio/gvolumemonitor.h              | 2 +-
 gio/gwin32appinfo.c               | 2 +-
 gio/gwin32appinfo.h               | 2 +-
 gio/gwin32inputstream.c           | 2 +-
 gio/gwin32inputstream.h           | 2 +-
 gio/gwin32mount.c                 | 2 +-
 gio/gwin32mount.h                 | 2 +-
 gio/gwin32networking.h            | 2 +-
 gio/gwin32outputstream.c          | 2 +-
 gio/gwin32outputstream.h          | 2 +-
 gio/gwin32registrykey.c           | 2 +-
 gio/gwin32registrykey.h           | 2 +-
 gio/gwin32volumemonitor.c         | 2 +-
 gio/gwin32volumemonitor.h         | 2 +-
 gio/gzlibcompressor.c             | 2 +-
 gio/gzlibcompressor.h             | 2 +-
 gio/gzlibdecompressor.c           | 2 +-
 gio/gzlibdecompressor.h           | 2 +-
 gio/strinfo.c                     | 2 +-
 gio/thumbnail-verify.c            | 2 +-
 gio/thumbnail-verify.h            | 2 +-
 468 files changed, 651 insertions(+), 651 deletions(-)

commit 90afd3b77530ba8de1eb57ee79a017528b77c6cd
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Fri May 26 16:15:09 2017 +0200

    gio/xdgmime/: LGPLv2+ -> LGPLv2.1+

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gio/xdgmime/xdgmime.c       | 2 +-
 gio/xdgmime/xdgmime.h       | 2 +-
 gio/xdgmime/xdgmimealias.c  | 2 +-
 gio/xdgmime/xdgmimealias.h  | 2 +-
 gio/xdgmime/xdgmimecache.c  | 2 +-
 gio/xdgmime/xdgmimecache.h  | 2 +-
 gio/xdgmime/xdgmimeglob.c   | 2 +-
 gio/xdgmime/xdgmimeglob.h   | 2 +-
 gio/xdgmime/xdgmimeicon.c   | 2 +-
 gio/xdgmime/xdgmimeicon.h   | 2 +-
 gio/xdgmime/xdgmimeint.c    | 2 +-
 gio/xdgmime/xdgmimeint.h    | 2 +-
 gio/xdgmime/xdgmimemagic.c  | 2 +-
 gio/xdgmime/xdgmimemagic.h  | 2 +-
 gio/xdgmime/xdgmimeparent.c | 2 +-
 gio/xdgmime/xdgmimeparent.h | 2 +-
 16 files changed, 16 insertions(+), 16 deletions(-)

commit 408381b8aeb24155f6d0d7ffd6eab3b59732ecdf
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Thu Jan 5 14:32:59 2017 +0100

    gio/win32/: LGPLv2+ -> LGPLv2.1+

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gio/win32/gwin32filemonitor.c        | 2 +-
 gio/win32/gwin32filemonitor.h        | 2 +-
 gio/win32/gwin32fsmonitorutils.c     | 2 +-
 gio/win32/gwin32fsmonitorutils.h     | 2 +-
 gio/win32/gwinhttpfile.c             | 2 +-
 gio/win32/gwinhttpfile.h             | 2 +-
 gio/win32/gwinhttpfileinputstream.c  | 2 +-
 gio/win32/gwinhttpfileinputstream.h  | 2 +-
 gio/win32/gwinhttpfileoutputstream.c | 2 +-
 gio/win32/gwinhttpfileoutputstream.h | 2 +-
 gio/win32/gwinhttpvfs.c              | 2 +-
 gio/win32/gwinhttpvfs.h              | 2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

commit d9a44b66af1f6a54785651aa313f684f36bfdd89
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Sat May 27 17:19:21 2017 +0200

    gio/tests/: LGPLv2+ -> LGPLv2.1+

    A lot of tests in gio/tests/ don't have a license header.

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gio/tests/cancellable.c                   |  2 +-
 gio/tests/dbus-appinfo.c                  |  8 ++++----
 gio/tests/dbus-launch.c                   |  2 +-
 gio/tests/defaultvalue.c                  | 10 +++++-----
 gio/tests/desktop-app-info.c              |  2 +-
 gio/tests/filter-cat.c                    |  2 +-
 gio/tests/filter-streams.c                |  8 ++++----
 gio/tests/gdbus-addresses.c               |  2 +-
 gio/tests/gdbus-auth.c                    |  2 +-
 gio/tests/gdbus-bz627724.c                |  2 +-
 gio/tests/gdbus-close-pending.c           |  2 +-
 gio/tests/gdbus-connection-flush-helper.c |  2 +-
 gio/tests/gdbus-connection-flush.c        |  2 +-
 gio/tests/gdbus-connection-loss.c         |  2 +-
 gio/tests/gdbus-connection-slow.c         |  2 +-
 gio/tests/gdbus-connection.c              |  2 +-
 gio/tests/gdbus-error.c                   |  2 +-
 gio/tests/gdbus-exit-on-close.c           |  2 +-
 gio/tests/gdbus-export.c                  |  2 +-
 gio/tests/gdbus-introspection.c           |  2 +-
 gio/tests/gdbus-message.c                 |  2 +-
 gio/tests/gdbus-names.c                   |  2 +-
 gio/tests/gdbus-non-socket.c              |  2 +-
 gio/tests/gdbus-overflow.c                |  2 +-
 gio/tests/gdbus-peer-object-manager.c     |  2 +-
 gio/tests/gdbus-peer.c                    |  2 +-
 gio/tests/gdbus-proxy-threads.c           |  2 +-
 gio/tests/gdbus-proxy-well-known-name.c   |  2 +-
 gio/tests/gdbus-proxy.c                   |  2 +-
 gio/tests/gdbus-serialization.c           |  2 +-
 gio/tests/gdbus-sessionbus.c              |  2 +-
 gio/tests/gdbus-sessionbus.h              |  2 +-
 gio/tests/gdbus-test-codegen.c            |  2 +-
 gio/tests/gdbus-tests.c                   |  2 +-
 gio/tests/gdbus-tests.h                   |  2 +-
 gio/tests/gdbus-threading.c               |  2 +-
 gio/tests/gdbus-unix-addresses.c          |  2 +-
 gio/tests/glistmodel.c                    |  2 +-
 gio/tests/gnotification-server.c          |  8 ++++----
 gio/tests/gnotification-server.h          |  8 ++++----
 gio/tests/gnotification.c                 |  8 ++++----
 gio/tests/gtesttlsbackend.c               |  2 +-
 gio/tests/gtesttlsbackend.h               |  2 +-
 gio/tests/gtlsconsoleinteraction.c        |  2 +-
 gio/tests/gtlsconsoleinteraction.h        |  2 +-
 gio/tests/network-monitor.c               |  2 +-
 gio/tests/pollable.c                      |  2 +-
 gio/tests/proxy-test.c                    |  2 +-
 gio/tests/proxy.c                         |  2 +-
 gio/tests/resolver.c                      |  2 +-
 gio/tests/resources.c                     |  2 +-
 gio/tests/simple-async-result.c           |  8 ++++----
 gio/tests/simple-proxy.c                  |  2 +-
 gio/tests/sleepy-stream.c                 |  8 ++++----
 gio/tests/socket-listener.c               |  2 +-
 gio/tests/socket-service.c                |  2 +-
 gio/tests/socket.c                        |  2 +-
 gio/tests/stream-rw_all.c                 |  8 ++++----
 gio/tests/task.c                          |  8 ++++----
 gio/tests/test-io-stream.c                |  2 +-
 gio/tests/test-io-stream.h                |  2 +-
 gio/tests/test-pipe-unix.c                |  2 +-
 gio/tests/test-pipe-unix.h                |  2 +-
 gio/tests/tls-certificate.c               |  2 +-
 gio/tests/tls-interaction.c               |  2 +-
 65 files changed, 96 insertions(+), 96 deletions(-)

commit 6000f25e4f2c927787e7e4a6b99a8604df9306d0
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Thu Jan 5 14:51:09 2017 +0100

    gio/inotify/: LGPLv2+ -> LGPLv2.1+

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gio/inotify/ginotifyfilemonitor.c | 2 +-
 gio/inotify/ginotifyfilemonitor.h | 2 +-
 gio/inotify/inotify-helper.c      | 8 ++++----
 gio/inotify/inotify-helper.h      | 8 ++++----
 gio/inotify/inotify-kernel.c      | 8 ++++----
 gio/inotify/inotify-kernel.h      | 8 ++++----
 gio/inotify/inotify-missing.c     | 8 ++++----
 gio/inotify/inotify-missing.h     | 8 ++++----
 gio/inotify/inotify-path.c        | 8 ++++----
 gio/inotify/inotify-path.h        | 8 ++++----
 gio/inotify/inotify-sub.c         | 8 ++++----
 gio/inotify/inotify-sub.h         | 8 ++++----
 12 files changed, 42 insertions(+), 42 deletions(-)

commit ae4bac0ada63ee000bb90a83fda3c3e9526c775c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Fri May 26 16:08:19 2017 +0200

    gio/gvdb/: LGPLv2+ -> LGPLv2.1+

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gio/gvdb/gvdb-builder.c | 2 +-
 gio/gvdb/gvdb-builder.h | 2 +-
 gio/gvdb/gvdb-format.h  | 2 +-
 gio/gvdb/gvdb-reader.c  | 2 +-
 gio/gvdb/gvdb-reader.h  | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 0fedc90fac1520412b98626566546fac18143d78
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Thu Jan 5 14:44:41 2017 +0100

    gio/gdbus-2.0/codegen/: LGPLv2+ -> LGPLv2.1+

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gio/gdbus-2.0/codegen/__init__.py        | 2 +-
 gio/gdbus-2.0/codegen/codegen.py         | 2 +-
 gio/gdbus-2.0/codegen/codegen_docbook.py | 2 +-
 gio/gdbus-2.0/codegen/codegen_main.py    | 2 +-
 gio/gdbus-2.0/codegen/config.py.in       | 2 +-
 gio/gdbus-2.0/codegen/dbustypes.py       | 2 +-
 gio/gdbus-2.0/codegen/gdbus-codegen.in   | 2 +-
 gio/gdbus-2.0/codegen/parser.py          | 2 +-
 gio/gdbus-2.0/codegen/utils.py           | 2 +-
 9 files changed, 9 insertions(+), 9 deletions(-)

commit 57cd1b42394e4d30a1e3a50178cd1acaed6b729d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Thu Jan 5 14:37:16 2017 +0100

    gio/fam/: LGPLv2+ -> LGPLv2.1+

    There is only one *.c file in gio/fam/.

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gio/fam/gfamfilemonitor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fae61260c63ac1347fe701f10b30ceb2e7428256
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon May 29 11:24:09 2017 +0100

    gtlspassword: Fix a typo in a translatable string

    Singular/Plural mismatch.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 gio/gtlspassword.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d865ffa4d56a90dc0539f89ea9f04a5d9671c441
Author: Juan R. Garcia Blanco <jgblanco.mail@gmail.com>
Date:   Tue Oct 4 21:17:00 2011 +0200

    gtlspassword: Comment for translators added

    With tweaks by Philip Withnall <philip@tecnocode.co.uk>.

    https://bugzilla.gnome.org/show_bug.cgi?id=658446

 gio/gtlspassword.c | 2 ++
 1 file changed, 2 insertions(+)

commit 646041bc288c8405ce50d67910eadedf6d68e1f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat May 27 10:51:56 2017 -0400

    Allow ltp 1.12

    It works just fine, in my testing.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f41633efd86b7e9959c2bb7f2d33873944c0ec5
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Sat May 27 00:21:39 2017 +0800

    gio/gdbusprivate.c: Include missed headers

    This ensures the needed GTYPE_*'s can be found during the build

 gio/gdbusprivate.c | 3 +++
 1 file changed, 3 insertions(+)

commit b5e8e4eea95aa429897ecb8a931d8985edb8b4c2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed May 24 18:18:32 2017 -0400

    GApplication: Remove some unused members

    All the menu handling is in GtkApplication, these fields
    are entirely unused, and can go away.

    https://bugzilla.gnome.org/show_bug.cgi?id=783061

 gio/gapplication.c | 3 ---
 1 file changed, 3 deletions(-)

commit 6b948d9613f2dcdec72828f3429ba01403063ff2
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Thu Jan 5 14:09:06 2017 +0100

    gobject/: LGPLv2+ -> LGPLv2.1+

    All gobject/*.{c,h} files have been processed.

    gmarshal.c and gmarshal.h don't have a license header.

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gobject/gatomicarray.c         | 2 +-
 gobject/gatomicarray.h         | 2 +-
 gobject/gbinding.c             | 2 +-
 gobject/gbinding.h             | 2 +-
 gobject/gboxed.c               | 2 +-
 gobject/gboxed.h               | 2 +-
 gobject/gclosure.c             | 2 +-
 gobject/gclosure.h             | 2 +-
 gobject/genums.c               | 2 +-
 gobject/genums.h               | 2 +-
 gobject/glib-genmarshal.c      | 2 +-
 gobject/glib-types.h           | 2 +-
 gobject/gobject-autocleanups.h | 2 +-
 gobject/gobject-query.c        | 2 +-
 gobject/gobject.c              | 2 +-
 gobject/gobject.h              | 2 +-
 gobject/gobject_trace.h        | 2 +-
 gobject/gobjectnotifyqueue.c   | 2 +-
 gobject/gparam.c               | 2 +-
 gobject/gparam.h               | 2 +-
 gobject/gparamspecs.c          | 2 +-
 gobject/gparamspecs.h          | 2 +-
 gobject/gsignal.c              | 2 +-
 gobject/gsignal.h              | 2 +-
 gobject/gsourceclosure.c       | 2 +-
 gobject/gsourceclosure.h       | 2 +-
 gobject/gtype-private.h        | 2 +-
 gobject/gtype.c                | 2 +-
 gobject/gtype.h                | 2 +-
 gobject/gtypemodule.c          | 2 +-
 gobject/gtypemodule.h          | 2 +-
 gobject/gtypeplugin.c          | 2 +-
 gobject/gtypeplugin.h          | 2 +-
 gobject/gvalue.c               | 2 +-
 gobject/gvalue.h               | 2 +-
 gobject/gvaluearray.c          | 2 +-
 gobject/gvaluearray.h          | 2 +-
 gobject/gvaluecollector.h      | 2 +-
 gobject/gvaluetransform.c      | 2 +-
 gobject/gvaluetypes.c          | 2 +-
 gobject/gvaluetypes.h          | 2 +-
 41 files changed, 41 insertions(+), 41 deletions(-)

commit 308bc41fb90b500a6c383d09c2251ec45f4aa38f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Thu Jan 5 14:15:39 2017 +0100

    gobject/tests/: LGPLv2+ -> LGPLv2.1+

    A lot of tests in gobject/tests/ don't have a license header. And some
    tests are licensed under a BSD-style license.

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gobject/tests/ifaceproperties.c | 2 +-
 gobject/tests/qdata.c           | 8 ++++----
 gobject/tests/testcommon.h      | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit feacdabb3f64f2702a0033cfeb4c1a8f032d10e8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Thu Jan 5 14:02:45 2017 +0100

    gthread/: LGPLv2+ -> LGPLv2.1+

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gthread/gthread-impl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ca82612a6cba64dc1d036dc161ee44ba6e98c529
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Thu Jan 5 13:53:32 2017 +0100

    gmodule/: LGPLv2+ -> LGPLv2.1+

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 gmodule/COPYING             | 216
 ++++++++++++++++++++++++--------------------
 gmodule/gmodule-ar.c        |   2 +-
 gmodule/gmodule-dl.c        |   2 +-
 gmodule/gmodule-dyld.c      |   2 +-
 gmodule/gmodule-win32.c     |   2 +-
 gmodule/gmodule.c           |   2 +-
 gmodule/gmodule.h           |   2 +-
 gmodule/gmoduleconf.h.in    |   2 +-
 gmodule/gmoduleconf.h.win32 |   2 +-
 9 files changed, 126 insertions(+), 106 deletions(-)

commit f9faac7661fb84a1c7f998a76c7e89280a17b7b9
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Thu Jan 5 12:47:07 2017 +0100

    glib/: LGPLv2+ -> LGPLv2.1+

    All glib/*.{c,h} files have been processed, as well as gtester-report.

    12 of those files are not licensed under LGPL:

            gbsearcharray.h
            gconstructor.h
            glibintl.h
            gmirroringtable.h
            gscripttable.h
            gtranslit-data.h
            gunibreak.h
            gunichartables.h
            gunicomp.h
            gunidecomp.h
            valgrind.h
            win_iconv.c

    Some of them are generated files, some are licensed under a BSD-style
    license and win_iconv.c is in the public domain.

    Sub-directories inside glib/:

            deprecated/: processed in a previous commit
            glib-mirroring-tab/: already LGPLv2.1+
            gnulib/: not modified, the code is copied from gnulib
            libcharset/: a copy
            pcre/: a copy
            tests/: processed in a previous commit

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 glib/docs.c                |  2 +-
 glib/galloca.h             |  2 +-
 glib/garray.c              |  2 +-
 glib/garray.h              |  2 +-
 glib/gasyncqueue.c         |  2 +-
 glib/gasyncqueue.h         |  2 +-
 glib/gasyncqueueprivate.h  |  2 +-
 glib/gatomic.c             |  8 ++++----
 glib/gatomic.h             |  8 ++++----
 glib/gbacktrace.c          |  2 +-
 glib/gbacktrace.h          |  2 +-
 glib/gbase64.c             | 10 +++++-----
 glib/gbase64.h             | 10 +++++-----
 glib/gbitlock.c            |  2 +-
 glib/gbitlock.h            |  2 +-
 glib/gbookmarkfile.c       |  8 ++++----
 glib/gbookmarkfile.h       |  8 ++++----
 glib/gbytes.c              |  2 +-
 glib/gbytes.h              |  2 +-
 glib/gcharset.c            |  2 +-
 glib/gcharset.h            |  2 +-
 glib/gcharsetprivate.h     |  2 +-
 glib/gchecksum.c           | 10 +++++-----
 glib/gchecksum.h           | 10 +++++-----
 glib/gconvert.c            |  2 +-
 glib/gconvert.h            |  2 +-
 glib/gdataset.c            |  2 +-
 glib/gdataset.h            |  2 +-
 glib/gdatasetprivate.h     |  2 +-
 glib/gdate.c               |  2 +-
 glib/gdate.h               |  2 +-
 glib/gdir.c                |  2 +-
 glib/gdir.h                |  2 +-
 glib/genviron.c            |  2 +-
 glib/genviron.h            |  2 +-
 glib/gerror.c              |  2 +-
 glib/gerror.h              |  2 +-
 glib/gfileutils.c          |  2 +-
 glib/gfileutils.h          |  2 +-
 glib/ggettext.c            |  2 +-
 glib/ggettext.h            |  2 +-
 glib/ghash.c               |  2 +-
 glib/ghash.h               |  2 +-
 glib/ghmac.c               | 10 +++++-----
 glib/ghmac.h               | 10 +++++-----
 glib/ghook.c               |  2 +-
 glib/ghook.h               |  2 +-
 glib/ghostutils.c          |  2 +-
 glib/ghostutils.h          |  2 +-
 glib/gi18n-lib.h           |  2 +-
 glib/gi18n.h               |  2 +-
 glib/giochannel.c          |  2 +-
 glib/giochannel.h          |  2 +-
 glib/giounix.c             |  2 +-
 glib/giowin32.c            |  2 +-
 glib/gkeyfile.c            |  2 +-
 glib/gkeyfile.h            |  2 +-
 glib/glib-autocleanups.h   |  2 +-
 glib/glib-init.c           |  8 ++++----
 glib/glib-init.h           |  8 ++++----
 glib/glib-object.h         |  2 +-
 glib/glib-private.c        |  2 +-
 glib/glib-private.h        | 10 +++++-----
 glib/glib-unix.c           |  2 +-
 glib/glib-unix.h           | 10 +++++-----
 glib/glib.h                |  2 +-
 glib/glib_trace.h          |  2 +-
 glib/glist.c               |  2 +-
 glib/glist.h               |  2 +-
 glib/gmacros.h             |  2 +-
 glib/gmain-internal.h      | 10 +++++-----
 glib/gmain.c               |  2 +-
 glib/gmain.h               | 10 +++++-----
 glib/gmappedfile.c         |  2 +-
 glib/gmappedfile.h         |  2 +-
 glib/gmarkup.c             |  2 +-
 glib/gmarkup.h             |  2 +-
 glib/gmem.c                |  2 +-
 glib/gmem.h                |  2 +-
 glib/gmessages.c           |  2 +-
 glib/gmessages.h           |  2 +-
 glib/gnode.c               |  2 +-
 glib/gnode.h               |  2 +-
 glib/goption.c             | 10 +++++-----
 glib/goption.h             | 12 ++++++------
 glib/gpattern.c            |  2 +-
 glib/gpattern.h            |  2 +-
 glib/gpoll.c               |  2 +-
 glib/gpoll.h               | 12 ++++++------
 glib/gprimes.c             |  2 +-
 glib/gprimes.h             |  2 +-
 glib/gprintf.c             |  2 +-
 glib/gprintf.h             |  2 +-
 glib/gprintfint.h          |  2 +-
 glib/gqsort.c              |  2 +-
 glib/gqsort.h              |  2 +-
 glib/gquark.c              |  2 +-
 glib/gquark.h              |  2 +-
 glib/gqueue.c              |  2 +-
 glib/gqueue.h              |  2 +-
 glib/grand.c               |  2 +-
 glib/grand.h               |  2 +-
 glib/gscanner.c            |  2 +-
 glib/gscanner.h            |  2 +-
 glib/gsequence.c           |  2 +-
 glib/gsequence.h           |  2 +-
 glib/gshell.c              |  2 +-
 glib/gshell.h              |  2 +-
 glib/gslice.c              |  2 +-
 glib/gslice.h              |  2 +-
 glib/gslist.c              |  2 +-
 glib/gslist.h              |  2 +-
 glib/gspawn-win32-helper.c |  2 +-
 glib/gspawn-win32.c        |  2 +-
 glib/gspawn.c              |  2 +-
 glib/gspawn.h              |  2 +-
 glib/gstdio.c              |  2 +-
 glib/gstdio.h              |  2 +-
 glib/gstrfuncs.c           |  2 +-
 glib/gstrfuncs.h           |  2 +-
 glib/gstring.c             |  2 +-
 glib/gstring.h             |  2 +-
 glib/gstringchunk.c        |  2 +-
 glib/gstringchunk.h        |  2 +-
 glib/gtester-report        |  2 +-
 glib/gtester.c             |  2 +-
 glib/gtestutils.c          |  2 +-
 glib/gtestutils.h          |  2 +-
 glib/gthread-posix.c       |  2 +-
 glib/gthread-win32.c       |  2 +-
 glib/gthread.c             |  2 +-
 glib/gthread.h             |  8 ++++----
 glib/gthreadpool.c         |  2 +-
 glib/gthreadpool.h         |  2 +-
 glib/gthreadprivate.h      |  2 +-
 glib/gtimer.c              |  2 +-
 glib/gtimer.h              |  2 +-
 glib/gtimezone.c           |  2 +-
 glib/gtimezone.h           |  8 ++++----
 glib/gtranslit.c           |  2 +-
 glib/gtrashstack.c         |  2 +-
 glib/gtrashstack.h         |  2 +-
 glib/gtree.c               |  2 +-
 glib/gtree.h               |  2 +-
 glib/gtypes.h              |  2 +-
 glib/gunibreak.c           |  2 +-
 glib/gunicode.h            |  2 +-
 glib/gunicodeprivate.h     |  2 +-
 glib/gunicollate.c         |  2 +-
 glib/gunidecomp.c          |  2 +-
 glib/guniprop.c            |  2 +-
 glib/gurifuncs.c           |  2 +-
 glib/gurifuncs.h           |  2 +-
 glib/gutf8.c               |  2 +-
 glib/gutils.c              |  2 +-
 glib/gutils.h              |  2 +-
 glib/gvariant-core.c       |  2 +-
 glib/gvariant-core.h       |  2 +-
 glib/gvariant-internal.h   |  2 +-
 glib/gvariant-parser.c     |  2 +-
 glib/gvariant-serialiser.c |  2 +-
 glib/gvariant-serialiser.h |  2 +-
 glib/gvariant.c            |  2 +-
 glib/gvariant.h            |  2 +-
 glib/gvarianttype.c        |  2 +-
 glib/gvarianttype.h        |  2 +-
 glib/gvarianttypeinfo.c    |  2 +-
 glib/gvarianttypeinfo.h    |  2 +-
 glib/gversion.c            |  2 +-
 glib/gversion.h            |  2 +-
 glib/gversionmacros.h      |  2 +-
 glib/gwakeup.c             |  2 +-
 glib/gwakeup.h             |  2 +-
 glib/gwin32.c              |  2 +-
 glib/gwin32.h              |  2 +-
 175 files changed, 253 insertions(+), 253 deletions(-)

commit 95cad9c3e0ba1d45ea8e1295505c50b6ac647a85
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Tue Dec 27 14:59:46 2016 +0100

    glib/tests/: LGPLv2+ -> LGPLv2.1+

    There are other tests in glib/tests/ that are licensed under
    a BSD-style
    license, and other tests that don't have any license header.

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 glib/tests/1bit-mutex.c       | 8 ++++----
 glib/tests/642026.c           | 8 ++++----
 glib/tests/array-test.c       | 2 +-
 glib/tests/atomic.c           | 8 ++++----
 glib/tests/bytes.c            | 8 ++++----
 glib/tests/cache.c            | 2 +-
 glib/tests/convert.c          | 2 +-
 glib/tests/gvariant.c         | 2 +-
 glib/tests/hash.c             | 2 +-
 glib/tests/hostutils.c        | 2 +-
 glib/tests/markup-collect.c   | 8 ++++----
 glib/tests/markup-subparser.c | 8 ++++----
 glib/tests/node.c             | 2 +-
 glib/tests/overflow.c         | 2 +-
 glib/tests/pattern.c          | 2 +-
 glib/tests/regex.c            | 2 +-
 glib/tests/scannerapi.c       | 2 +-
 glib/tests/shell.c            | 2 +-
 glib/tests/sort.c             | 2 +-
 glib/tests/tree.c             | 2 +-
 glib/tests/uri.c              | 2 +-
 glib/tests/utf8-performance.c | 2 +-
 glib/tests/utf8-pointer.c     | 2 +-
 glib/tests/utf8-validate.c    | 2 +-
 24 files changed, 42 insertions(+), 42 deletions(-)

commit e7a6cd1cb6fef3a3b433b35557b727ca66ff2cec
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Tue Dec 27 14:43:38 2016 +0100

    glib/deprecated/: LGPLv2+ -> LGPLv2.1+

    https://bugzilla.gnome.org/show_bug.cgi?id=776504

 glib/deprecated/gallocator.c         | 2 +-
 glib/deprecated/gallocator.h         | 2 +-
 glib/deprecated/gcache.c             | 2 +-
 glib/deprecated/gcache.h             | 2 +-
 glib/deprecated/gcompletion.c        | 2 +-
 glib/deprecated/gcompletion.h        | 2 +-
 glib/deprecated/gmain.h              | 2 +-
 glib/deprecated/grel.c               | 2 +-
 glib/deprecated/grel.h               | 2 +-
 glib/deprecated/gthread-deprecated.c | 2 +-
 glib/deprecated/gthread.h            | 2 +-
 11 files changed, 11 insertions(+), 11 deletions(-)

commit e9846a7c8f8bdac48470778ddd6f1532a93fdf89
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 24 15:43:59 2017 +0800

    Visual Studio builds: Redo utility script generation

    Use the new gen_util_scripts.py script to generate the glib-mkenums
    and
    gdbus-codegen scripts with the proper info in them so that they can be
    used properly by other build systems such as Meson, during "install".

 win32/vs10/glib-gen-srcs.props          |  4 --
 win32/vs10/glib-install.propsin         | 14 ++++++-
 win32/vs10/glib-install.vcxproj         | 22 +++++++++--
 win32/vs10/glib-install.vcxproj.filters |  4 +-
 win32/vs10/gobject.vcxproj.filtersin    |  7 +---
 win32/vs10/gobject.vcxprojin            | 18 ++-------
 win32/vs9/glib-gen-srcs.vsprops         |  4 --
 win32/vs9/glib-install.vcproj           | 68
 +++++++++++++++++++++++++++++++++
 win32/vs9/glib-install.vspropsin        | 10 ++++-
 win32/vs9/gobject.vcprojin              | 42 ++------------------
 10 files changed, 121 insertions(+), 72 deletions(-)

commit 79e73da2e52e860015860e68d13e5f4840238cfc
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 24 13:16:55 2017 +0800

    win32/gen_util_scripts.py: Make it path agnostic

 win32/gen_util_scripts.py | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit c5cd5bcd9738b09ccf175d01df5a4ff910aca368
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 24 12:55:37 2017 +0800

    Visual Studio builds: Add script to generate utility scripts

    This will allow the utility scripts glib-mkenums and gdbus-codegen be
    generated with the proper info in them, as build systems such as Meson
    might look for shebang lines to determine the commands that need to be
    called to invoke the scripts (which is necessary for calling these
    scripts on standard Windows cmd.exe)

 win32/Makefile.am         |  3 ++-
 win32/gen_util_scripts.py | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+), 1 deletion(-)

commit a05b64a0cb234fffad12af0ca052296a1bae4a85
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue May 23 13:28:19 2017 +0100

    build: Use AM_TESTS_ENVIRONMENT rather than TESTS_ENVIRONMENT

    TESTS_ENVIRONMENT is reserved for the user to be able to set when
    running the tests. AM_TESTS_ENVIRONMENT is for the tests’
    Makefile to
    set itself.

    https://www.gnu.org/software/automake/manual/html_node/Scripts_002dbased-Testsuites.html

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=782996

 glib-tap.mk                | 2 +-
 tests/Makefile.am          | 2 +-
 tests/gobject/Makefile.am  | 2 +-
 tests/refcount/Makefile.am | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit af3f141c091fe6b03fcb27e0cd680beac96e5ccd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon May 22 14:01:31 2017 -0400

    2.53.2

 NEWS | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

commit 6673d4caf694521044d88f411f619ef10431e90e
Author: Balázs Meskó <meskobalazs@fedoraproject.org>
Date:   Mon May 22 13:34:05 2017 +0000

    Update Hungarian translation

 po/hu.po | 11121
 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 5609 insertions(+), 5512 deletions(-)

commit a0ed9bc8d627ee2022dcd492809aed951bcbc18f
Author: Colin Walters <walters@verbum.org>
Date:   Fri May 19 16:08:20 2017 -0400

    gdbus: Init more types to work around gtype thread issue

    See https://bugzilla.gnome.org/show_bug.cgi?id=674885#c85

    In this pass I also went through and added more types from
    GDBusConnection.

 gio/gdbusprivate.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 151d3b01e68e80f110e561f9336efd609f5a191b
Author: Ryan Hendrickson <ryan.hendrickson@alum.mit.edu>
Date:   Fri May 19 15:44:14 2017 -0400

    gsettings: check $XDG_DATA_HOME for schemas

    Add $XDG_DATA_HOME/glib-2.0/schemas as a schema source, after (higher
    priority than) $XDG_DATA_DIRS/glib-2.0/schemas but before
    $GSETTINGS_SCHEMA_DIR. This is per the XDG Base Directory
    Specification,
    which states that user specific versions of data in $XDG_DATA_DIRS can
    be created in $XDG_DATA_HOME.

    https://bugzilla.gnome.org/show_bug.cgi?id=741335

 gio/gsettingsschema.c | 16 ++++++++++------
 gio/tests/gsettings.c |  1 +
 2 files changed, 11 insertions(+), 6 deletions(-)

commit 3de1fac3925c9bce1e142c813a829521a5052a01
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed May 17 13:40:06 2017 +0100

    docs: Fix a trivial typo in GMount documentation

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 gio/gmount.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f8ae236a76cf2b03e959d887504a381d5934ec5
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed May 17 13:37:02 2017 +0100

    docs: Fix a trivial typo in GMount documentation

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 gio/gmount.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5faaaac92cfdfe2fc40d79a5a7f420ba09beb03d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun May 14 20:33:00 2017 +0100

    Check for a recent enough libmount

    We need mnt_unref_table() in order to use libmount, but we also
    need to
    keep the fallback code for installations of libmount without a
    pkg-config file.

    https://bugzilla.gnome.org/show_bug.cgi?id=782628

 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

commit 9ba17d511e325eec1e0c1c27cb4d37de4f12ac1e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu May 4 15:05:07 2017 +0100

    mkenums: Support public/private trigraph

    It is possible, when using GTK-Doc, to mark sections of an enumeration
    type as "private": the values are there, but they are not documented,
    and GTK-Doc won't complain about missing symbols:

        typedef enum {
          /*< private >*/
          MY_FOO_PRIVATE,

          /*< public >*/
          MY_FOO_VALUE_A,
          MY_FOO_VALUE_B,

          /*< private >*/
          MY_FOO_VALUE_C,
          MY_FOO_VALUE_D
        } MyFooValue;

    The glib-mkenums parser also allows skipping enumeration values,
    using a
    slightly different syntax:

        typedef enum P
          MY_BAR_PRIVATE, /*< skip >*/
          MY_BAR_VALUE_A,
          MY_BAR_VALUE_B
        } MyBarValue;

    The annotation must sit on the same line as the enumeration value.

    Both GTK-Doc and glib-mkenum use the same trigraph syntax, but
    slightly
    different keys. This makes combining them slightly redundant, but
    feasible.

    All would be well and good, except that glib-mkenum will generate a
    warning for lines it does not understand — and that includes
    the GTK-Doc
    annotation trigraph, which, when confronted with the MyFooValue
    enumeration above, will result in a warning like:

        glib-mkenums: myfoo.h:2: Failed to parse `  /*< private >*/ '
        glib-mkenums: myfoo.h:5: Failed to parse `  /*< public >*/ '
        glib-mkenums: myfoo.h:9: Failed to parse `  /*< private >*/ '

    Of course, we could make glib-mkenum ignore any trigraph comment on a
    stand alone line, but it would probably be better to ensure that both
    glib-mkenums and gtk-doc behave consistently with each other, and
    especially with the maintainer's intent of hiding some values from the
    user, and reserving them for internal use.

    So we should ensure that glib-mkenums automatically skips all the
    enumeration values after a "private" flag has been set, until
    it reaches
    a "public" stanza.

    https://bugzilla.gnome.org/show_bug.cgi?id=782162

 gobject/glib-mkenums.in | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 274f336f6a0330ec444e171134455d74979199a1
Author: Mohammed Sadiq <sadiq@sadiqpk.org>
Date:   Tue May 2 18:57:54 2017 +0530

    docs: Trivial typo fixes

    The presence of space was resulting in wrongly rendered documentation
    in devhelp (and probably in other documentations).

    https://bugzilla.gnome.org/show_bug.cgi?id=782068

 gio/gdbusobject.c | 2 +-
 gobject/gobject.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit eb7b796bd206c31e336c89fb828a8a343ffb34ba
Author: Alexandru Pandelea <alexandru.pandelea@gmail.com>
Date:   Wed May 10 19:09:35 2017 +0300

    xdgmime: fix special case for mime_type_subclass

    Currently, all mime types are considered subclasses of
    application/octet-stream, but according to the freedesktop
    standard, everything but the inode/* types is a subclass of
    application/octet-stream.

    Update the special case for application/octet-stream so that all
    types but inode/* will match with it and add unit test for it.

    https://bugzilla.gnome.org/show_bug.cgi?id=782311

 gio/tests/contenttype.c    | 18 ++++++++++++++++++
 gio/xdgmime/xdgmime.c      |  3 ++-
 gio/xdgmime/xdgmimecache.c |  3 ++-
 3 files changed, 22 insertions(+), 2 deletions(-)

commit ac40b56ecb3ba17c43f6a888da877bf977d2849a
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Mon May 15 05:40:59 2017 +0000

    Update Indonesian translation

 po/id.po | 279
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 149 insertions(+), 130 deletions(-)

commit 0776e02be215caf153caedb9d9ba477972d0d6ab
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun May 14 20:36:20 2017 +0100

    Remove unused ignore file

    We're keeping the tmpl directory alive even if we don't need it.

 docs/reference/gobject/tmpl/.gitignore | 15 ---------------
 1 file changed, 15 deletions(-)

commit 0751ccd31505cd2774053553263466c6933b3c42
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:   Thu Jan 28 15:39:18 2016 +0100

    gdbus: fix use-after-free

    g_dbus_connection_call_internal() accesses the user data it passes to
    g_dbus_connection_send_message_with_reply() after the call. That data
    might be freed already in the case that the callback is called
    immediately.

    Fix this by removing the 'serial' field from the user data altogether
    and fetch the serial from the message in the callback.

    https://bugzilla.gnome.org/show_bug.cgi?id=748263

 gio/gdbusconnection.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 783e12e86cc1c6dfc25575ead1b0b6ddbf2a0bb7
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Fri May 12 15:23:12 2017 +0000

    Update German translation

 po/de.po | 288
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 138 insertions(+), 150 deletions(-)

commit 8a12fb47ce931f5be4e1cfc026e1ef77fcf507fb
Author: Daniel Boles <dboles.src@gmail.com>
Date:   Fri May 12 10:05:56 2017 +0100

    array-test: Fix a comment

 glib/tests/array-test.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e8222c334318a2fce87a32bcd321580623eb00be
Author: Krzesimir Nowak <krzesimir@kinvolk.io>
Date:   Wed May 10 16:03:20 2017 +0200

    gstrfuncs: Fix translation issues

    The tool that extracts the translatable strings to .po files does not
    cope with the G_GUINTX_FORMAT macros, so we preformat the numbers to
    strings and use the strings in the translatable error messages.

 glib/gstrfuncs.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 6b19907a4f664bed5477ed4cf9fe6ab3cdc825a6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed May 10 13:33:26 2017 +0200

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit b89fed057c09534c14475bcedf0940149b56942a
Author: Krzesimir Nowak <krzesimir@kinvolk.io>
Date:   Wed May 10 12:44:57 2017 +0200

    docs: Fix typos

    Something I spotted by accident with git log.

 gio/gnetworkmonitor.c | 2 +-
 gio/gproxyresolver.c  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ce7e02193b568d2006edbbeb09055f45557ac6e6
Author: Krzesimir Nowak <krzesimir@kinvolk.io>
Date:   Thu Apr 27 21:28:48 2017 +0200

    docs: Add index for 2.54 api

 docs/reference/glib/glib-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit 4fe89b0437db0a4997d548929eec07b8c579fff2
Author: Krzesimir Nowak <krzesimir@kinvolk.io>
Date:   Thu Apr 27 12:53:51 2017 +0200

    gstrfuncs: Add replacement for string-to-number functions

    Very often when we want to convert a string to number, we assume that
    the string contains only a number. We have g_ascii_strto* family of
    functions to do the conversion but they are awkward to use - one has
    to check if errno is zero, end_ptr is not NULL and *end_ptr points to
    the terminating nul and then do the bounds checking. Many projects
    need this kind of functionality, so it gets reimplemented all the
    time.

    This commit adds some replacement functions that convert a string to a
    signed or unsigned number that also follows the usual way of error
    reporting - returning FALSE on failure and filling an error output
    parameter.

 docs/reference/glib/glib-sections.txt |   9 ++
 glib/gstrfuncs.c                      | 210
 ++++++++++++++++++++++++++++++++
 glib/gstrfuncs.h                      |  47 ++++++++
 glib/tests/strfuncs.c                 | 220
 ++++++++++++++++++++++++++++++++++
 4 files changed, 486 insertions(+)

commit 58ecc57ca79efa7486aab9a7d183b4a5f3dd5dbd
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue May 9 18:17:29 2017 -0700

    win32/replace.py: Fix replacing items in files with UTF-8 content

    Some files that this script will process might have UTF-8 items in
    there, which can cause problems on Python 3.x as it is more strict and
    careful on unicode issues.  Fix this by:

    -Doing what we did before on Python 2.x
    -Open the file with encoding='utf-8' on Python 3.x

 win32/replace.py | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 0d81bb4e318b97780c70a55605cacf7e5b3fcaf7
Author: Sebastian Dröge <sebastian@centricular.com>
Date:   Wed Feb 8 16:27:34 2017 +0200

    gmodule – Don't use RTLD_DEFAULT on Android for g_module_self()
    on Android 64 bit

    On 64 bit Android this is #defined to 0, which is considered an
    invalid
    library handle in all other cases. RTLD_DEFAULT is only supposed to be
    used with dlsym() it seems, and the usage here was just an
    "optimization" before.

    By dlopen'ing NULL, we get the same on all 64 bit Android variants
    and it
    actually works instead of erroring out. On 32 bit Android, dlopen() of
    NULL unfortunately usually gives us something useless that finds no
    symbols whatsoever.

    https://bugzilla.gnome.org/show_bug.cgi?id=776876

 gmodule/gmodule-dl.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit cc5e9f2362e2f0088766d150f3149afac29f0d95
Author: Sebastian Dröge <sebastian@centricular.com>
Date:   Wed Jan 4 21:39:48 2017 +0200

    gmodule – Check for RTLD_LAZY and others in configure

    They are no #defines on Android but enum values, and on 64 bit Android
    they have different values than what we would otherwise fall-back to.

    https://bugzilla.gnome.org/show_bug.cgi?id=776876

 configure.ac         | 10 ++++++++++
 gmodule/gmodule-dl.c |  7 ++++---
 2 files changed, 14 insertions(+), 3 deletions(-)

commit 83c1b881fb6402db71d1d2754e883efa457255b9
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri May 5 12:42:39 2017 +0200

    gunixmounts: Prevent unwanted automount requests

    mnt_table_is_fs_mounted causes unwanted automount requests due to
    canonicalization of source and target. It might be replaced by
    mnt_table_find_source as per the documentation in order to prevent
    the automounts, but it is redundant. All mtab entries should be
    already
    mounted and thus mnt_table_is_fs_mounted result is always true (it
    basically checks that the fs from mtab is in mtab). Let's remove
    the check at all.

    https://bugzilla.gnome.org/show_bug.cgi?id=781867

 gio/gunixmounts.c | 3 ---
 1 file changed, 3 deletions(-)

commit 53ed1804e255c78dd4938fe53d27edf90844bdf1
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri May 5 12:33:58 2017 +0200

    gunixmounts: Speed up mtab processing with libmount

    libmnt_context is useless. It contains cache which is useful for
    searching,
    but it isn't used in our case. Let's use mnt_context_parse_mtab
    instead
    directly and the mtab processing will be faster.

    https://bugzilla.gnome.org/show_bug.cgi?id=781867

 gio/gunixmounts.c | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit b7ffc07d9893949b218d4057d896e7ba943c1b8b
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon May 8 11:19:46 2017 +0100

    tests: Improve error handling for fileutils test

    The test_stdio_wrappers() test will spuriously fail if the mkdir-test
    directory already exists and is non-empty, which can happen if a
    previous test run has failed and left a coredump file in the
    directory.
    Tighten up the error checking around the pre-test rmdir() call
    to catch
    this failure.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=782237

 glib/tests/fileutils.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5c1e85669a90e8ffc4a2c3bf2b2fec71eb35014d
Author: Philip Withnall <withnall@endlessm.com>
Date:   Sun May 7 20:17:34 2017 +0100

    tests: Update g_assert()s in fileutils test to be more descriptive

    Use the new g_assert_{non,}null(), g_assert_cmpint(), g_assert_true(),
    etc., to get more descriptive output when the tests fail.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=782237

 glib/tests/fileutils.c | 134
 ++++++++++++++++++++++++-------------------------
 1 file changed, 67 insertions(+), 67 deletions(-)

commit f9a6a9ba53ee4cf93de5ce28b2a9b8345c406f9e
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue May 2 15:53:13 2017 +0100

    gtimer: Handle gmtime() failure in g_time_val_to_iso8601()

    g_time_val_to_iso8601() has a limit to the future dates it can
    convert,
    imposed by what gmtime() can fit in its year field. If gmtime() fails,
    gracefully return NULL from g_time_val_to_iso8601() rather than trying
    to dereference the NULL structure and crashing.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=782075

 glib/gtimer.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 9374ecc3cb7f45d47fde150c537402ab9ca9d4af
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue May 2 23:33:23 2017 +0100

    gdatetime: Fix overflow checks when constructing from timestamps

    GDateTime does overflow checks to see if the timestamp being passed in
    is too big to be represented. However, it only does those after
    converting from a timestamp to an interval, which involves some
    multiplications and additions — and hence can overflow, and
    cause the
    later bounds check to erroneously succeed. This results in a non-NULL
    GDateTime being returned which represents completely the wrong date.

    Fix the overflow checks (do them earlier) and add some unit tests.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=782089

 glib/gdatetime.c       |  9 ++++++
 glib/tests/gdatetime.c | 84
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

commit 17395d79ebe8f42e1df9c72e649ccdd24cd2797b
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Sun Apr 30 19:35:16 2017 +0200

    Revert "ginputstream: Add missing (out) annotations to read()
    functions"

    This reverts commit 8446ee8c2039f233c084f0321f52f664941e4186.

 gio/ginputstream.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit fff6fc02b9d153ffd41a827ae9827ee34550f13a
Author: Jonh Wendell <jonh.wendell@redhat.com>
Date:   Thu May 4 11:03:48 2017 -0300

    build: Bump version to 2.53.2

    So that early adopters of new API have a version number to target.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1cd3378fb107bb7807482298dbef361a591a084
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 10:27:27 2014 +0100

    gdatetime: Remove an unnecessary NULL pointer check

    datetime->tz can never be NULL, so this pointer check is unnecessary
    and
    confusing, and messes up static analysis.

    https://bugzilla.gnome.org/show_bug.cgi?id=732000

 glib/gdatetime.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 404c2d24542d5306aa579cfc43470e789306866e
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Mar 2 10:26:26 2017 +0000

    ghash: Document that GHashTable is not suitable for static hash tables

    Instead, gperf should be used for that kind of thing.

    Inspired by http://stackoverflow.com/q/42372382/2931197.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 glib/ghash.c | 4 ++++
 1 file changed, 4 insertions(+)

commit f6f6b3d83c2abae8aac55c59339adcee919ab6e5
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Apr 15 15:04:34 2013 +0200

    garray: Add g_ptr_array_find[_with_equal_func]()

    Partially based on telepathy-glib’s tp_g_ptr_array_contains(), and a
    patch by Xavier Claessens <xavier.claessens@collabora.co.uk>.

    Test cases included.

    https://bugzilla.gnome.org/show_bug.cgi?id=698064

 docs/reference/glib/glib-sections.txt |  2 +
 glib/garray.c                         | 76
 +++++++++++++++++++++++++++++++++++
 glib/garray.h                         |  9 +++++
 glib/tests/array-test.c               | 55 +++++++++++++++++++++++++
 4 files changed, 142 insertions(+)

commit 42a8e952ef5b16cc4fa16c82e2d3c4c33f824dd8
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue May 2 15:59:59 2017 +0100

    gtimer: Whitespace fixes

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 glib/gtimer.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 070383ca36a32aee4635ad63f5365b9db245c83f
Author: Krzesimir Nowak <krzesimir@kinvolk.io>
Date:   Tue May 2 14:27:14 2017 +0200

    gvariant: Fix the max unsigned 64-bit integer value

    It should be 2^64-1, not just 2^64.

    Reviewed-by: Philip Withnall <philip@tecnocode.co.uk>

 glib/gvarianttype.h | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 6ddfd516e6acf9582eafd02874525a26281765de
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue May 2 07:23:32 2017 -0400

    Small documentation additions

    The GNetworkMonitor docs were talking about one implementation,
    omitting the others. While fixing that, add a bit about
    implementations
    to the GProxyResolver docs too.

 gio/gnetworkmonitor.c | 7 +++++--
 gio/gproxyresolver.c  | 4 ++++
 2 files changed, 9 insertions(+), 2 deletions(-)

commit f3403548614a8b0c378f7c39ff4321b0a118ebb1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue May 2 06:28:22 2017 -0400

    portal support: Raise the priority for network monitor

    When we are inside a sandbox, we want to use the portal
    implementation, since it is the only one that has a chance
    of working.

    This is safe to do, since the portal implementation will
    just fail initialization when loaded outside a sandbox.

 gio/gnetworkmonitorportal.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5993c0e5d7405739f415187c90160040ff119ec
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon May 1 19:34:51 2017 +0100

    gportalsupport: Fix compilation failure from previous commit

    Igor says: Thith code did not path the compilation check.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 gio/gportalsupport.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 82e31de04dcf4670f869dd2606244ffcadd7c9ac
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Apr 27 07:22:18 2017 -0400

    portal support: Read /.flatpak-info

    The flatpak-info file was moved to a different location a while
    ago, we should read it from there instead of relying on the
    compat symlink. One advantage is that this is a fixed, short
    path, we don't have to construct one dynamically.

    https://bugzilla.gnome.org/show_bug.cgi?id=781826

 gio/gportalsupport.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 84134c64ed4b2896044d239cd36899cf7e36ed03
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 30 22:04:17 2017 +0100

    docs: Remove some extraneous words from g_settings_sync()
    documentation

    Looks like the author started typing one thing, then changed
    their mind
    about how to phrase the sentence, and typed something else.

    Signed-off-by: Philip Withnall <philip@tecnocode.co.uk>

 gio/gsettings.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d21fb0ed3cce87ef01fceeacb033fc838b03615f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 30 09:41:35 2017 +0100

    docs: Add an example for using the g_spawn_*() APIs

    And clarify that you must add a child watch or *not* use the
    G_SPAWN_DO_NOT_REAP_CHILD flag, otherwise your child will become a
    zombie on exit, and will not be reaped until the parent process exits.

    Signed-off-by: Philip Withnall <philip@tecnocode.co.uk>

 glib/gspawn.c | 52 ++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 48 insertions(+), 4 deletions(-)

commit 3e2187975d4d620630cc8c655d36a92ec423c632
Author: Timm Bäder <mail@baedert.org>
Date:   Sat Apr 29 14:25:36 2017 +0200

    gappinfo: Clear previously set error before calling portal

    Otherwise, we might end up returning TRUE from
    g_app_info_launch_default_for_uri but with a set error parameter. This
    will lead to confusing results depending on how the caller checks for
    errors. Checking error != NULL indicats the call failed but
    checking the
    return value indicates that it succeeded.

 gio/gappinfo.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit cbcf10411c367c873dbeb4ea029c080099322596
Author: Patrick Griffis <tingping@tingping.se>
Date:   Sat Apr 29 03:44:42 2017 -0400

    tests: Fix g_content_type_is_mime_type() test on OSX

    It should be passed a mime type not a content type.

    https://bugzilla.gnome.org/show_bug.cgi?id=734946

 gio/tests/contenttype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17a3c782db6d55717c13ef164570801bbcea7384
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Apr 26 13:59:18 2017 +0100

    genmarshal: Always generate the prototypes in the body

    This way code that does not manually include the generated marshallers
    header and wishes to build with `-Wmissing-prototypes` will not
    generate
    a compiler warning.

    https://bugzilla.gnome.org/show_bug.cgi?id=781755

 gobject/glib-genmarshal.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 616cff7c8700c70f6fcc50001cb6889ec181df10
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Apr 26 13:48:36 2017 +0100

    genmarshal: Use fewer magic numbers

    https://bugzilla.gnome.org/show_bug.cgi?id=781755

 gobject/glib-genmarshal.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a8b5192d16fe3456bb0a27258688628ad9eda8b6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Apr 26 13:45:55 2017 +0100

    genmarshal: Constify global variables

    https://bugzilla.gnome.org/show_bug.cgi?id=781755

 gobject/glib-genmarshal.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1ffad8fed9a48c0ccd893eb47cce18278c73e6cd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Apr 26 13:41:41 2017 +0100

    genmarshal: Conform --help output to conventions

    The convention for arguments taking a value is:

      --argument=VALUE

    with the `VALUE` in caps.

    https://bugzilla.gnome.org/show_bug.cgi?id=781755

 gobject/glib-genmarshal.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit aefffa3fbc3901315fdc5f9957890926fc6eab54
Author: declan <dec1@geoaze.com>
Date:   Fri Apr 28 15:34:57 2017 +0200

    gdbusmessage: Don’t use major()/minor() if they’re unavailable

    https://bugzilla.gnome.org/show_bug.cgi?id=777030

 gio/gdbusmessage.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit b63469d7261a3d98207647a7f05167f21f22dbc1
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Apr 28 12:29:44 2017 +0100

    docs: Fix (nullable) (optional) annotations

    There are a few places where commit 18a33f72 replaced valid (nullable)
    (optional) annotations with just (optional). That has a different
    meaning.

    (nullable) (optional) can only be applied to gpointer* parameters, and
    means that both the gpointer* and returned gpointer can be NULL. i.e.
    The caller can pass in NULL to ignore the return value; and the
    returned
    value can be NULL.

    (optional) can be applied to anything* parameters, and means that the
    anything* can be NULL. i.e. The caller can pass in NULL to ignore the
    return value. The return value cannot be NULL.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 gio/gsocket.c           | 4 ++--
 gio/gsocketlistener.c   | 8 ++++----
 gio/gwin32registrykey.c | 8 ++++----
 glib/gconvert.c         | 2 +-
 glib/gerror.c           | 2 +-
 glib/ghash.c            | 4 ++--
 6 files changed, 14 insertions(+), 14 deletions(-)

commit 88ad0dab214799f17f0ddc463d10f44c00587dbf
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Apr 28 12:05:42 2017 +0100

    gdbusconnection: Add some comments about object ownership

    Some annotations I made while trying to debug bug #781847. They
    introduce no behavioural changes.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

 gio/gdbusconnection.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit ea586b47a306a1e9b5edd6fc94eb872342a87024
Author: Daniel Macks <dmacks@netspace.org>
Date:   Mon Apr 24 01:52:27 2017 -0400

    Implement g_content_type_is_mime_type() (clone of win32's)

    Add missing function, copying from gcontenttype-win32.c per Patrick
    Griffis (Comment #55 of bug report)

    https://bugzilla.gnome.org/show_bug.cgi?id=734946

 gio/gosxcontenttype.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit ecc27a0cbaaa0ec87e0ac362d2ada17dab519a42
Author: Daniel Macks <dmacks@netspace.org>
Date:   Mon Apr 24 01:40:51 2017 -0400

    Add test-case for g_content_type_is_mime_type()

    Verify presence of new interface.

    https://bugzilla.gnome.org/show_bug.cgi?id=734946

 gio/tests/contenttype.c | 1 +
 1 file changed, 1 insertion(+)

commit 643c722f1e5c021aeec7ba758d5fbf5a83e0069f
Author: Rafal Luzynski <digitalfreak@lingonborough.com>
Date:   Fri Mar 31 01:52:33 2017 +0200

    gosxappinfo: fix typo in g_osx_app_info_launch_internal

    Correct error domain is G_IO_ERROR.

    https://bugzilla.gnome.org/show_bug.cgi?id=734946

 gio/gosxappinfo.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0c4dd4a8020044fc7ba8196e0fccdd66e287fb97
Author: Patrick Griffis <tingping@tingping.se>
Date:   Thu Mar 30 19:49:21 2017 -0400

    gosxappinfo: Special case x-scheme-handler

    This is the only way they are exposed on Unix so we need to handle it

    https://bugzilla.gnome.org/show_bug.cgi?id=734946

 gio/gosxappinfo.c | 29 +++++++++++++++++++++--------
 1 file changed, 21 insertions(+), 8 deletions(-)

commit fac83e09d63b71a51bddf2165fb29b62effe380e
Author: Patrick Griffis <tingping@tingping.se>
Date:   Thu Mar 30 19:37:13 2017 -0400

    gosxappinfo: Fix get_default_for_type() on 10.10+

    https://bugzilla.gnome.org/show_bug.cgi?id=734946

 gio/gosxappinfo.c | 45 +++++++++++++++++++++++++++++++--------------
 1 file changed, 31 insertions(+), 14 deletions(-)

commit d4bfee1e7abe8be6506eadee21f08f5167df5f1b
Author: Patrick Griffis <tingping@tingping.se>
Date:   Thu Mar 30 17:13:41 2017 -0400

    build: Don't build dbus-appinfo on OSX

    https://bugzilla.gnome.org/show_bug.cgi?id=780309

 gio/tests/Makefile.am | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 75cd848ea861a2278e90d8ee9810e91dc49240a6
Author: Krzesimir Nowak <krzesimir@kinvolk.io>
Date:   Wed Apr 26 11:58:58 2017 +0200

    gvariant: Fix some typos in documentation

    Reformatted the docs for G_VARIANT_TYPE_UINT64 to avoid having a
    number in the beginning of the line, because apparently gtk-doc treats
    that as a first element of the numbered list. The number being that
    big probably makes gtk-doc to treat it as 1.

    Fixed the g_variant_new_fixed_array documentation - it was partially
    copy-pasted from the g_variant_get_fixed_array documentation.

    The rest should be quite obvious.

    https://bugzilla.gnome.org/show_bug.cgi?id=781830

 glib/gvariant.c     | 15 +++++++--------
 glib/gvarianttype.c |  2 +-
 glib/gvarianttype.h |  4 ++--
 3 files changed, 10 insertions(+), 11 deletions(-)

commit f3321da4624eb638a8e8cdd51d9026029a85df74
Author: Patrick Griffis <tingping@tingping.se>
Date:   Thu Mar 30 19:28:12 2017 -0400

    gosxappinfo: Fix typo in ifdef

    https://bugzilla.gnome.org/show_bug.cgi?id=780300

 gio/gosxappinfo.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 42c4a72e292d9d19ac15ce634b6e9a71569c63fd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Apr 26 08:16:54 2017 +0000

    Update Spanish translation

 po/es.po | 1212
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 634 insertions(+), 578 deletions(-)

commit 7651ce2ee46ee94c3c5c25d3c30592c6ad8f23ca
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Apr 24 13:15:45 2017 -0400

    2.53.1

 NEWS         | 60
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 61 insertions(+), 1 deletion(-)

commit 281e30103697958dff89e2f4a561d92871da9d65
Author: Philip Withnall <withnall@endlessm.com>
Date:   Mon Apr 24 21:38:59 2017 +0100

    gmain: Allow GSource methods to be called from a finalize() callback

    Temporarily increase the ref count of a GSource to 1 while calling its
    finalize() callback, so that the finalize() implementation can call
    GSource methods (like g_source_set_ready_time()) without causing
    critical warnings. It’s safe to call those methods at this point,
    as the
    source has been destroyed, but nothing has been freed.

    This is an indirect way of fixing a race between GCancellable and
    GCancellableSource, whereby the GCancellable::cancelled callback
    for the
    GCancellableSource is not disconnected until the
    GCancellableSource’s
    finalize() function is called. Previously, this meant there was
    a window
    in which the GCancellableSource’s ref count was 0, but the
    ::cancelled
    callback was still connected, and could legitimately be called as a
    result of another thread calling g_cancellable_cancel() on the
    GCancellable. The callback calls g_source_set_ready_time() on the
    GSource, and there’s no thread-safe way of checking whether
    the GSource
    has been destroyed. Instead, we have to change GSource so its
    ref count
    is only decremented to 0 inside the locked section in
    g_source_unref_internal() *after* the finalize() function has been
    called, and hence after the GCancellable::cancelled callback has been
    disconnected. The use of g_cancellable_disconnect() ensures that the
    callback disconnection is thread safe.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=781601

 glib/gmain.c | 4 ++++
 glib/gmain.h | 5 ++++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 09762ac4d6374edc51215d970d584dd8b9a6c745
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Apr 24 23:14:54 2017 +0300

    Updated Lithuanian translation

 po/lt.po | 645
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 349 insertions(+), 296 deletions(-)

commit 725d0053c065bf3b5af52cad664f9bbe7253146f
Author: Florian Heiser <gnu.l10n.de@gmail.com>
Date:   Sat Apr 22 02:03:46 2017 +0000

    Update German translation

 po/de.po | 617
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 325 insertions(+), 292 deletions(-)

commit 3362bf7a40abbf8911e3cefa4dad50352e7ba574
Author: Jordi Mas <jmas@softcatala.org>
Date:   Wed Apr 19 22:53:43 2017 +0200

    Update Catalan translation

 po/ca.po | 144
 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 62 insertions(+), 82 deletions(-)

commit 4a444d48e2bcf9323fcc5b5556cc5c9a2f455e33
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Tue Apr 18 11:06:47 2017 +0000

    Update Indonesian translation

 po/id.po | 646
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 337 insertions(+), 309 deletions(-)

commit e8487812b9782b6a01e8de9990593558394f4087
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Apr 18 11:58:28 2017 +0100

    gmessages: Fix documentation formatting

 glib/gmessages.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7641cf29e32dc8c58adf1829e57b8ebeba07dae8
Author: John Lindgren <john@jlindgren.net>
Date:   Thu Apr 13 22:31:29 2017 -0400

    Do not mix declarations with code.

    https://bugzilla.gnome.org/show_bug.cgi?id=781298

 glib/gfileutils.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit c19259526825a7eaf1a3faf64df1690e53a4b5cd
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Apr 13 10:24:32 2017 +0100

    ginputstream: Add missing (transfer full) annotation to read_bytes()

 gio/ginputstream.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8446ee8c2039f233c084f0321f52f664941e4186
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Apr 13 10:24:11 2017 +0100

    ginputstream: Add missing (out) annotations to read() functions

    https://bugzilla.gnome.org/show_bug.cgi?id=781234

 gio/ginputstream.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 8c4a6fdbf5a699b0590f0ee7ff88b4fe00a59ae9
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Apr 13 10:23:50 2017 +0100

    gio: Fix some typos of ‘asynchronous’ in documentation comments

 gio/ginputstream.c    | 4 ++--
 gio/gtlsinteraction.c | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 9ba95e25b74adf8d62effeaf6567074ac932811c
Author: Paolo Bonzini <pbonzini@redhat.com>
Date:   Tue Apr 4 09:56:47 2017 +0200

    gmain: only signal GWakeup right before or during a blocking poll

    Since commit e4ee307 ("Do not wake up main loop if change is from same
    thread", bug 761102), GMainContext uses context->owner to decide
    if the
    event loop is being run in the current thread.  However, what really
    matters is the phase in the prepare/query/poll/check/dispatch
    sequence.
    Wakeups are only needed between the end of prepare and the end
    of poll,
    and then only if prepare found that no sources were ready.

    There is no need to take threads into account, because prepare, check
    and all callers of conditional_wakeup all look at the new need_wakeup
    flag inside LOCK_CONTEXT/UNLOCK_CONTEXT.

    With this change, g_main_context_is_owner and g_main_context_wait are
    the only functions for which acquire/release matters, just like before
    commit e4ee307.

    Signed-off-by: Paolo Bonzini <bonzini@gnu.org>

 glib/gmain.c | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)

commit 0c0469b56d7e6b2533760d5d821076c88b05dfb0
Author: Paolo Bonzini <bonzini@gnu.org>
Date:   Mon Apr 3 13:32:32 2017 -0400

    gmain: Signal wakeups if context has never been acquired as well

    Should address backwards compatibility with how qemu is using
    `GMainContext`.

    See https://bugzilla.gnome.org/show_bug.cgi?id=761102#c14

    Input-into-keyboard-by: Colin Walters <walters@verbum.org>

 glib/gmain.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 3d7534eae5e5421573e1f7cf76f6339cffeb903d
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Mon Apr 10 13:00:44 2017 +0200

    gio-tool: Fix errors format string

    Compiling with clang 3.8.1-18 (debian, x86_64) I ran across this
    error:

    gio-tool.c:40:31: error: format string is not a string literal
    [-Werror,-Wformat-nonliteral]
      message = g_strdup_vprintf (format, args);
                                  ^~~~~~
    gio-tool.c:55:31: error: format string is not a string literal
    [-Werror,-Wformat-nonliteral]
      message = g_strdup_vprintf (format, args);
                                  ^~~~~~
    2 errors generated.

    To fix the first one, related with the function print_error(), this
    patch adds to the function prototype a compiler's attribute.

    For the second one, since the usage of that function is to print
    one string and the format is already provided, the patch simplifies
    the function by no receiving variadic arguments.

    https://bugzilla.gnome.org/show_bug.cgi?id=781125

 gio/gio-tool-rename.c |  2 +-
 gio/gio-tool-save.c   |  6 +++---
 gio/gio-tool-set.c    |  2 +-
 gio/gio-tool.c        | 12 ++----------
 gio/gio-tool.h        |  5 ++---
 5 files changed, 9 insertions(+), 18 deletions(-)

commit 77d00030e59b123c1e5eef708eacd4cf685253c3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Apr 10 15:40:42 2017 +0200

    gio-tool: Fix closing Unicode quotation mark

    See https://developer.gnome.org/hig/stable/typography.html

    https://bugzilla.gnome.org/show_bug.cgi?id=772221

 gio/gio-tool-set.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f952fdf3fcb00946317ecb2672e9d2c99c74c7a3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 17 11:54:02 2014 +0100

    Drop trailing semi-colon from G_DEFINE_ macro

    It's unnecessary, and only adds visual noise; we have been fairly
    inconsistent in the past, but the semi-colon-less version clearly
    dominates in the code base.

    https://bugzilla.gnome.org/show_bug.cgi?id=669355

 docs/reference/gobject/tut_gtype.xml     |  4 ++--
 docs/reference/gobject/tut_howto.xml     |  4 ++--
 gio/gcredentials.c                       |  2 +-
 gio/gdbus-2.0/codegen/codegen.py         | 18 +++++++++---------
 gio/gdbusauthobserver.c                  |  2 +-
 gio/gdbusdaemon.c                        |  2 +-
 gio/gdbusintrospection.c                 | 16 +++++++++-------
 gio/gdbusmessage.c                       |  2 +-
 gio/gdbusmethodinvocation.c              |  2 +-
 gio/gdbusobjectmanagerclient.c           |  2 +-
 gio/gdbusserver.c                        |  3 +--
 gio/gdtlsconnection.c                    |  2 +-
 gio/gdummytlsbackend.c                   | 14 +++++++-------
 gio/gfileinfo.c                          |  2 +-
 gio/gfilenamecompleter.c                 |  2 +-
 gio/giomodule.c                          |  4 ++--
 gio/glistmodel.c                         |  2 +-
 gio/glocalfileenumerator.c               |  2 +-
 gio/glocalfileiostream.c                 |  2 +-
 gio/gnativevolumemonitor.c               |  2 +-
 gio/gnotification.c                      |  2 +-
 gio/gnotificationbackend.c               |  2 +-
 gio/gresourcefile.c                      |  4 ++--
 gio/gsocketaddressenumerator.c           |  2 +-
 gio/gsocketcontrolmessage.c              |  4 +---
 gio/gsubprocess.c                        |  2 +-
 gio/gsubprocesslauncher.c                |  2 +-
 gio/gtlsbackend.c                        |  2 +-
 gio/gtlscertificate.c                    |  2 +-
 gio/gtlsdatabase.c                       |  2 +-
 gio/gunionvolumemonitor.c                |  2 +-
 gio/gunixmounts.c                        |  2 +-
 gio/gvfs.c                               |  2 +-
 gio/gvolumemonitor.c                     |  2 +-
 gio/tests/filter-streams.c               |  4 ++--
 gio/tests/gdbus-bz627724.c               |  2 +-
 gio/tests/gdbus-example-export.c         |  2 +-
 gio/tests/gdbus-example-proxy-subclass.c |  2 +-
 gio/tests/gdbus-peer-object-manager.c    |  2 +-
 gio/tests/gmenumodel.c                   |  4 ++--
 gio/tests/gnotification-server.c         |  2 +-
 gio/tests/gtesttlsbackend.c              | 10 +++++-----
 gio/tests/gtlsconsoleinteraction.c       |  2 +-
 gio/tests/socket-service.c               |  2 +-
 gio/tests/tls-interaction.c              |  2 +-
 gio/win32/gwinhttpfileinputstream.c      |  2 +-
 gio/win32/gwinhttpfileoutputstream.c     |  2 +-
 gobject/gbinding.c                       |  2 +-
 gobject/gboxed.c                         |  6 +++---
 gobject/gobject.c                        |  2 +-
 gobject/tests/binding.c                  |  4 ++--
 gobject/tests/dynamictests.c             |  2 +-
 gobject/tests/param.c                    |  6 +++---
 gobject/tests/properties.c               |  2 +-
 gobject/tests/threadtests.c              | 23 ++++++++++-------------
 tests/gobject/performance.c              | 18 ++++++------------
 tests/gobject/references.c               |  2 +-
 tests/gobject/singleton.c                |  2 +-
 tests/refcount/closures.c                |  2 +-
 tests/refcount/properties3.c             |  2 +-
 tests/refcount/properties4.c             |  2 +-
 61 files changed, 112 insertions(+), 122 deletions(-)

commit fb7d2184a616553fdc1881fe52ebe2a3c7748280
Author: Ondrej Holy <oholy@redhat.com>
Date:   Mon Dec 19 12:11:13 2016 +0100

    gio-tool: Do not leak GOptionContext

    GOptionContext is freed only in case of success. Free the context
    also in case of failure.

    https://bugzilla.gnome.org/show_bug.cgi?id=776169

 gio/gio-tool-cat.c     | 3 +++
 gio/gio-tool-copy.c    | 5 +++++
 gio/gio-tool-info.c    | 3 +++
 gio/gio-tool-list.c    | 2 ++
 gio/gio-tool-mime.c    | 3 +++
 gio/gio-tool-mkdir.c   | 3 +++
 gio/gio-tool-monitor.c | 3 +++
 gio/gio-tool-mount.c   | 2 ++
 gio/gio-tool-move.c    | 4 ++++
 gio/gio-tool-open.c    | 3 +++
 gio/gio-tool-remove.c  | 3 +++
 gio/gio-tool-rename.c  | 4 ++++
 gio/gio-tool-save.c    | 4 ++++
 gio/gio-tool-set.c     | 6 ++++++
 gio/gio-tool-trash.c   | 2 ++
 gio/gio-tool-tree.c    | 2 ++
 16 files changed, 52 insertions(+)

commit 292f10d053c92d8908ef2d862ecb7672f0e0765a
Author: Ondrej Holy <oholy@redhat.com>
Date:   Mon Dec 19 10:27:04 2016 +0100

    gio-tool: Add g_drive_is_removable() support

    The g_drive_is_removable() support was added recently in gio/gvfs
    (see Bug 765900 and Bug 765457). It was also added in gvfs-mount,
    but we forgot to add it also in gio-tool-mount.

    https://bugzilla.gnome.org/show_bug.cgi?id=776169

 gio/gio-tool-mount.c | 1 +
 1 file changed, 1 insertion(+)

commit 094613425ee949def2bcac83dcda3eee8b6856df
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Dec 16 14:43:57 2016 +0100

    gio-tool: Return error if there are not any volumes to mount

    Print error and return error code if device doesn't contain any
    volumes to mount.

    https://bugzilla.gnome.org/show_bug.cgi?id=776169

 gio/gio-tool-mount.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bcb1bfda52a8c650c19c419e247ccfac9451640a
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Dec 16 14:36:53 2016 +0100

    gio-tool: Do not print settable arguments unless they are any

    "Settable arguments:" is printed even if they are not any arguments
    to print. Do not print it similarly as it is done for "Writable
    namespaces:".

    https://bugzilla.gnome.org/show_bug.cgi?id=776169

 gio/gio-tool-info.c | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

commit bde2bde41155cf4f60daea4c1cb60e3fc30e2d0d
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Dec 16 14:35:55 2016 +0100

    gio-tool: Various memory leak fixes

    https://bugzilla.gnome.org/show_bug.cgi?id=776169

 gio/gio-tool-info.c    | 1 +
 gio/gio-tool-monitor.c | 2 ++
 gio/gio-tool-set.c     | 7 +++++--
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 0beeeb2ec9f2a934fee8c7aa40c4d4c415d0d187
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Dec 16 14:32:29 2016 +0100

    gio-tool: Various fixes related to error messages

    This patch contains the following changes:
    - Print all errors with "gio: " prefix
    - Print file uri in error for each tool allowing multiple locations
    - Mark all error messages translatable
    - Do not leak strings used in error messages
    - Always start error messages with capital letter
    - Unify some error messages across various tools
    - Fix addional/missing new line characters

    https://bugzilla.gnome.org/show_bug.cgi?id=776169

 gio/gio-tool-cat.c     |  4 ++--
 gio/gio-tool-info.c    |  6 +++---
